
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest0 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test001"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forID("");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test002"); }


    org.joda.time.DateTimeZone dateTimeZone3 = org.joda.time.DateTimeZone.forOffsetHoursMinutes(1, 1);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime((java.lang.Object)10.0d, dateTimeZone3);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone3);

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test003"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(1L, (-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test004"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime dateTime4 = dateTime2.plusHours((-1));
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime.Property property6 = dateTime2.property(dateTimeFieldType5);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime4);

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test005"); }


    org.joda.time.DateTimeUtils.setCurrentMillisFixed((-1L));

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test006"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime.Property property3 = dateTime2.centuryOfEra();
    boolean b5 = org.joda.time.field.FieldUtils.equals((java.lang.Object)property3, (java.lang.Object)10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test007"); }


    java.lang.ClassLoader classLoader1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.tz.ZoneInfoProvider zoneInfoProvider2 = new org.joda.time.tz.ZoneInfoProvider("hi!", classLoader1);
      org.junit.Assert.fail("Expected exception of type java.io.IOException");
    } catch (java.io.IOException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.io.IOException")) {
        org.junit.Assert.fail("Expected exception of type java.io.IOException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test008"); }


    org.joda.time.DateTimeZone dateTimeZone7 = org.joda.time.DateTimeZone.forOffsetHoursMinutes(1, 1);
    java.lang.String str8 = dateTimeZone7.getID();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime9 = new org.joda.time.DateTime(0, 1, (-1), 1, 0, dateTimeZone7);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "+01:01"+ "'", str8.equals("+01:01"));

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test009"); }


    org.joda.time.DateTimeUtils.setCurrentMillisSystem();

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test010"); }


    org.joda.time.tz.NameProvider nameProvider0 = org.joda.time.DateTimeZone.getNameProvider();
    org.joda.time.DateTimeZone.setNameProvider(nameProvider0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(nameProvider0);

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test011"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    org.joda.time.DateTimeFieldType dateTimeFieldType1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.OffsetDateTimeField offsetDateTimeField3 = new org.joda.time.field.OffsetDateTimeField(dateTimeField0, dateTimeFieldType1, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test012"); }


    java.io.DataInput dataInput0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTimeZone dateTimeZone2 = org.joda.time.tz.DateTimeZoneBuilder.readFrom(dataInput0, "+01:01");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test013"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue(100, 52, 54, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test014"); }


    org.joda.time.field.DividedDateTimeField dividedDateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.RemainderDateTimeField remainderDateTimeField1 = new org.joda.time.field.RemainderDateTimeField(dividedDateTimeField0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test015"); }


    java.util.Set set0 = org.joda.time.DateTimeZone.getAvailableIDs();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(set0);

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test016"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.PreciseDurationField preciseDurationField2 = new org.joda.time.field.PreciseDurationField(durationFieldType0, 10L);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test017"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)0.0d, "");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test018"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime.Property property1 = dateTime0.yearOfCentury();
    org.joda.time.DateTimeFieldType dateTimeFieldType2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime4 = dateTime0.withField(dateTimeFieldType2, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property1);

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test019"); }


    org.joda.time.DateTimeZone dateTimeZone9 = org.joda.time.DateTimeZone.forOffsetHoursMinutes(1, 1);
    java.lang.String str10 = dateTimeZone9.getID();
    org.joda.time.tz.CachedDateTimeZone cachedDateTimeZone11 = org.joda.time.tz.CachedDateTimeZone.forZone(dateTimeZone9);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime12 = new org.joda.time.DateTime(54, 1, 54, (-1), 10, 100, 0, dateTimeZone9);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "+01:01"+ "'", str10.equals("+01:01"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(cachedDateTimeZone11);

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test020"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime.Property property3 = dateTime2.centuryOfEra();
    org.joda.time.DateTime dateTime5 = dateTime2.minus(10L);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime7 = dateTime2.withWeekOfWeekyear(59);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test021"); }


    org.joda.time.chrono.ISOChronology iSOChronology6 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField7 = iSOChronology6.minuteOfDay();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime8 = new org.joda.time.DateTime(2016, 54, 2016, 0, 59, (-1), (org.joda.time.Chronology)iSOChronology6);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField7);

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test022"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime7 = new org.joda.time.DateTime(1, 0, 10, 100, (-1), 2016, (-1));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test023"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.minuteOfDay();
    // The following exception was thrown during execution in test generation
    try {
      long long7 = iSOChronology0.getDateTimeMillis((-9L), 100, 0, 2016, 54);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test024"); }


    java.io.DataInput dataInput0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTimeZone dateTimeZone2 = org.joda.time.tz.DateTimeZoneBuilder.readFrom(dataInput0, "hi!");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test025"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime.Property property3 = dateTime2.centuryOfEra();
    org.joda.time.ReadableDuration readableDuration4 = null;
    org.joda.time.DateTime dateTime5 = dateTime2.minus(readableDuration4);
    org.joda.time.ReadablePartial readablePartial6 = null;
    org.joda.time.DateTime dateTime7 = dateTime5.withFields(readablePartial6);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime9 = dateTime5.withHourOfDay(52);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test026"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime6 = new org.joda.time.DateTime(10, 0, 59, 0, 0, 10);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test027"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.minuteOfDay();
    org.joda.time.ReadablePartial readablePartial2 = null;
    // The following exception was thrown during execution in test generation
    try {
      long long4 = iSOChronology0.set(readablePartial2, (-9L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test028"); }


    org.joda.time.chrono.ISOChronology iSOChronology6 = org.joda.time.chrono.ISOChronology.getInstance();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime7 = new org.joda.time.DateTime(2016, 2016, 100, 2016, 59, 0, (org.joda.time.Chronology)iSOChronology6);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology6);

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test029"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiply(1, 59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 59);

  }

  @Test
  public void test030() {}
// Defects4J: flaky method
//   @Test
//   public void test030() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test030"); }
// 
// 
//     long long0 = org.joda.time.DateTimeUtils.currentTimeMillis();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long0 == 1456070754707L);
// 
//   }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test031"); }


    org.joda.time.DurationField durationField0 = null;
    org.joda.time.DurationFieldType durationFieldType1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.DecoratedDurationField decoratedDurationField2 = new org.joda.time.field.DecoratedDurationField(durationField0, durationFieldType1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test032"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime.Property property3 = dateTime0.yearOfCentury();
    org.joda.time.DateTimeFieldType dateTimeFieldType4 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime.Property property5 = dateTime0.property(dateTimeFieldType4);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property3);

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test033"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    // The following exception was thrown during execution in test generation
    try {
      long long8 = iSOChronology0.getDateTimeMillis(0, 0, 0, 100, 54, 10, 0);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test034"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime6 = new org.joda.time.DateTime(2016, 21, 0, 0, 1, (-1));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test035"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime.Property property3 = dateTime2.centuryOfEra();
    org.joda.time.DateTime dateTime5 = dateTime2.minus(10L);
    org.joda.time.DateTime dateTime7 = dateTime5.minusMillis(59);
    java.util.Locale locale9 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str10 = dateTime5.toString("0001-02-21T17:06:54.708+01:01", locale9);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test036"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd((-1), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test037"); }


    org.joda.time.DateTimeUtils.setCurrentMillisOffset(10L);

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test038"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    int i3 = dateTime2.getYear();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test039"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(durationFieldType0, "0001-02-21T17:06:54.747+01:01");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test040"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime.Property property3 = dateTime0.yearOfCentury();
    org.joda.time.DateTime dateTime4 = dateTime0.toDateTime();
    org.joda.time.Instant instant5 = dateTime0.toInstant();
    int i6 = dateTime0.getWeekyear();
    java.util.Locale locale8 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str9 = dateTime0.toString("hi!", locale8);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(instant5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 2016);

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test041"); }


    org.joda.time.field.DividedDateTimeField dividedDateTimeField0 = null;
    org.joda.time.DateTimeFieldType dateTimeFieldType1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.RemainderDateTimeField remainderDateTimeField2 = new org.joda.time.field.RemainderDateTimeField(dividedDateTimeField0, dateTimeFieldType1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test042"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime dateTime4 = dateTime2.plusHours((-1));
    org.joda.time.DateTime.Property property5 = dateTime2.year();
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i7 = dateTime2.get(dateTimeFieldType6);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property5);

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test043"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("", 1, 54, 0);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test044"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime.Property property3 = dateTime2.centuryOfEra();
    org.joda.time.DateTime.Property property4 = dateTime2.monthOfYear();
    org.joda.time.DateTime.Property property5 = dateTime2.era();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str7 = dateTime2.toString("2016-02-21T17:06:54.611+01:01");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property5);

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test045"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(0L, 59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test046"); }


    org.joda.time.DateTimeZone dateTimeZone2 = org.joda.time.DateTimeZone.forOffsetHoursMinutes(1, 1);
    java.lang.String str3 = dateTimeZone2.getID();
    java.lang.String str4 = dateTimeZone2.getID();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+01:01"+ "'", str3.equals("+01:01"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "+01:01"+ "'", str4.equals("+01:01"));

  }

  @Test
  public void test047() {}
// Defects4J: flaky method
//   @Test
//   public void test047() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test047"); }
// 
// 
//     org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
//     org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
//     org.joda.time.DateTime.Property property3 = dateTime0.yearOfCentury();
//     boolean b4 = dateTime0.isAfterNow();
//     int i5 = dateTime0.getDayOfYear();
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.DateTime dateTime9 = dateTime0.withDate(0, 0, 0);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b4 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i5 == 52);
// 
//   }

  @Test
  public void test048() {}
// Defects4J: flaky method
//   @Test
//   public void test048() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test048"); }
// 
// 
//     org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
//     org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
//     int i3 = dateTime0.getSecondOfMinute();
//     org.joda.time.ReadablePartial readablePartial4 = null;
//     org.joda.time.DateTime dateTime5 = dateTime0.withFields(readablePartial4);
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.DateTime dateTime7 = dateTime5.withDayOfYear(2016);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i3 == 55);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime5);
// 
//   }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test049"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime.Property property3 = dateTime2.centuryOfEra();
    org.joda.time.DateTime dateTime5 = dateTime2.minus(10L);
    org.joda.time.DateTime.Property property6 = dateTime2.yearOfEra();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property6);

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test050"); }


    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone10 = new org.joda.time.tz.FixedDateTimeZone("+00:00:00.010", "hi!", (-1), 52);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime11 = new org.joda.time.DateTime(21, 0, 54, 0, 2016, 21, (org.joda.time.DateTimeZone)fixedDateTimeZone10);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test051"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(durationFieldType0, "2016-02-21T17:06:54.611+01:01");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test052"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 59, 1, 59);

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test053"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.ReadablePartial readablePartial1 = null;
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array3 = iSOChronology0.get(readablePartial1, (-9L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test054"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime.Property property3 = dateTime2.centuryOfEra();
    org.joda.time.DateTime.Property property4 = dateTime2.monthOfYear();
    org.joda.time.DurationFieldType durationFieldType5 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime7 = dateTime2.withFieldAdded(durationFieldType5, 1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property4);

  }

  @Test
  public void test055() {}
// Defects4J: flaky method
//   @Test
//   public void test055() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test055"); }
// 
// 
//     org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
//     org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
//     org.joda.time.DateTime.Property property3 = dateTime2.centuryOfEra();
//     org.joda.time.ReadableDuration readableDuration4 = null;
//     org.joda.time.DateTime dateTime5 = dateTime2.minus(readableDuration4);
//     org.joda.time.ReadablePartial readablePartial6 = null;
//     org.joda.time.DateTime dateTime7 = dateTime5.withFields(readablePartial6);
//     int i8 = dateTime5.getSecondOfDay();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i8 == 61615);
// 
//   }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test056"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTimeZone dateTimeZone2 = org.joda.time.DateTimeZone.forOffsetHoursMinutes(2016, 21);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test057() {}
// Defects4J: flaky method
//   @Test
//   public void test057() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test057"); }
// 
// 
//     org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
//     org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
//     org.joda.time.DateTime.Property property3 = dateTime2.centuryOfEra();
//     org.joda.time.DateTime dateTime5 = dateTime2.minus(10L);
//     org.joda.time.DateTime dateTime7 = dateTime5.minusMillis(59);
//     int i8 = dateTime5.getYear();
//     org.joda.time.DateTime.Property property9 = dateTime5.secondOfDay();
//     org.joda.time.DateTime dateTime10 = org.joda.time.DateTime.now();
//     org.joda.time.DateTime dateTime12 = dateTime10.withYear(1);
//     int i13 = dateTime10.getSecondOfMinute();
//     java.lang.String str14 = dateTime10.toString();
//     boolean b15 = dateTime5.isAfter((org.joda.time.ReadableInstant)dateTime10);
//     org.joda.time.DateTime dateTime17 = dateTime10.minus(0L);
//     long long18 = dateTime10.getMillis();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i8 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i13 == 55);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str14 + "' != '" + "2016-02-21T17:06:55.176+01:01"+ "'", str14.equals("2016-02-21T17:06:55.176+01:01"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b15 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long18 == 1456070755176L);
// 
//   }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test058"); }


    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder0 = new org.joda.time.tz.DateTimeZoneBuilder();
    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder11 = dateTimeZoneBuilder0.addRecurringSavings("", 10, 100, 52, '#', 100, (-1), 10, false, 52);
    java.io.OutputStream outputStream13 = null;
    // The following exception was thrown during execution in test generation
    try {
      dateTimeZoneBuilder11.writeTo("+00:00:00.010", outputStream13);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZoneBuilder11);

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test059"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime dateTime4 = dateTime2.plusHours((-1));
    org.joda.time.DateTime.Property property5 = dateTime2.year();
    org.joda.time.DateTime dateTime7 = dateTime2.plusYears(100);
    java.util.Locale locale9 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str10 = dateTime7.toString("2016-02-21T17:06:55.153+01:01", locale9);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test060"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)1, (java.lang.Number)100.0f, (java.lang.Number)55);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test061"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)2016, "2016-02-21T17:06:55.153+01:01");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test062"); }


    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField2 = iSOChronology1.centuries();
    org.joda.time.DateTime dateTime3 = new org.joda.time.DateTime(0L, (org.joda.time.Chronology)iSOChronology1);
    org.joda.time.DateTime.Property property4 = dateTime3.minuteOfDay();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property4);

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test063"); }


    java.io.DataInput dataInput0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTimeZone dateTimeZone2 = org.joda.time.tz.DateTimeZoneBuilder.readFrom(dataInput0, "+00:00:00.010");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test064"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime.Property property3 = dateTime2.centuryOfEra();
    org.joda.time.DateTime dateTime5 = dateTime2.minus(10L);
    org.joda.time.DateTime dateTime7 = dateTime2.withMillis((-1L));
    org.joda.time.chrono.ISOChronology iSOChronology8 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField9 = iSOChronology8.eras();
    org.joda.time.DateTimeField dateTimeField10 = iSOChronology8.weekyear();
    org.joda.time.DateTime dateTime11 = dateTime7.withChronology((org.joda.time.Chronology)iSOChronology8);
    org.joda.time.ReadablePartial readablePartial12 = null;
    // The following exception was thrown during execution in test generation
    try {
      long long14 = iSOChronology8.set(readablePartial12, 1456070754707L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime11);

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test065"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTimeZone dateTimeZone2 = org.joda.time.DateTimeZone.forOffsetHoursMinutes(1, 2016);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test066"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime.Property property3 = dateTime2.centuryOfEra();
    org.joda.time.DateTime dateTime5 = dateTime2.minus(10L);
    org.joda.time.DateTime dateTime7 = dateTime5.minusMillis(59);
    org.joda.time.ReadableDuration readableDuration8 = null;
    org.joda.time.DateTime dateTime10 = dateTime7.withDurationAdded(readableDuration8, 1);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime14 = dateTime10.withDate(52, 10, 61615);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime10);

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test067"); }


    org.joda.time.DateTimeUtils.MillisProvider millisProvider0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTimeUtils.setCurrentMillisProvider(millisProvider0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test068"); }


    java.util.Locale locale0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.text.DateFormatSymbols dateFormatSymbols1 = org.joda.time.DateTimeUtils.getDateFormatSymbols(locale0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test069"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField1 = iSOChronology0.eras();
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.weekyear();
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.ZeroIsMaxDateTimeField zeroIsMaxDateTimeField4 = new org.joda.time.field.ZeroIsMaxDateTimeField(dateTimeField2, dateTimeFieldType3);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test070"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime.Property property3 = dateTime2.centuryOfEra();
    org.joda.time.ReadableDuration readableDuration4 = null;
    org.joda.time.DateTime dateTime5 = dateTime2.minus(readableDuration4);
    org.joda.time.DateTime.Property property6 = dateTime5.hourOfDay();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property6);

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test071"); }


    org.joda.time.DateTimeUtils.setCurrentMillisFixed(1456067095230L);

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test072"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("", 0, 21, 2016);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test073"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime.Property property3 = dateTime2.centuryOfEra();
    org.joda.time.DateTime dateTime5 = dateTime2.minus(10L);
    org.joda.time.DateTime dateTime7 = dateTime2.withMillis((-1L));
    org.joda.time.Instant instant8 = dateTime2.toInstant();
    org.joda.time.DateTime dateTime9 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime11 = dateTime9.withYear(1);
    int i12 = dateTime9.getSecondOfMinute();
    org.joda.time.Chronology chronology13 = org.joda.time.DateTimeUtils.getInstantChronology((org.joda.time.ReadableInstant)dateTime9);
    org.joda.time.DateTime dateTime14 = dateTime2.withChronology(chronology13);
    org.joda.time.DateTime.Property property15 = dateTime2.era();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime17 = dateTime2.withYearOfEra(0);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(instant8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property15);

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test074"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.minuteOfDay();
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.millisOfSecond();
    org.joda.time.ReadablePeriod readablePeriod3 = null;
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array5 = iSOChronology0.get(readablePeriod3, 1456070754707L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test075"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime.Property property3 = dateTime0.yearOfCentury();
    org.joda.time.DateTime dateTime4 = dateTime0.toDateTime();
    org.joda.time.Instant instant5 = dateTime0.toInstant();
    org.joda.time.DateTime dateTime6 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime8 = dateTime6.withYear(1);
    org.joda.time.DateTime.Property property9 = dateTime6.yearOfCentury();
    int i10 = dateTime0.compareTo((org.joda.time.ReadableInstant)dateTime6);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime12 = dateTime0.withDayOfWeek(0);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(instant5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test076"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(59, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 58);

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test077"); }


    java.io.File file0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.tz.ZoneInfoProvider zoneInfoProvider1 = new org.joda.time.tz.ZoneInfoProvider(file0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test078"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, "2016-02-21T17:06:55.153+01:01");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test079"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField2 = iSOChronology1.centuries();
    org.joda.time.DurationField durationField3 = iSOChronology1.halfdays();
    org.joda.time.chrono.ISOChronology iSOChronology4 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField5 = iSOChronology4.eras();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.PreciseDateTimeField preciseDateTimeField6 = new org.joda.time.field.PreciseDateTimeField(dateTimeFieldType0, durationField3, durationField5);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField5);

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test080"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.tz.ZoneInfoProvider zoneInfoProvider1 = new org.joda.time.tz.ZoneInfoProvider("+00:00:00.010");
      org.junit.Assert.fail("Expected exception of type java.io.IOException");
    } catch (java.io.IOException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.io.IOException")) {
        org.junit.Assert.fail("Expected exception of type java.io.IOException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test081"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime.Property property3 = dateTime2.centuryOfEra();
    org.joda.time.DateTime dateTime5 = dateTime2.minus(10L);
    org.joda.time.DateTime dateTime7 = dateTime2.withMillis((-1L));
    int i8 = dateTime7.getSecondOfMinute();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str10 = dateTime7.toString("2016-02-21T17:06:55.153+01:01");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 59);

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test082"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime.Property property3 = dateTime0.yearOfCentury();
    org.joda.time.DateTime dateTime4 = dateTime0.toDateTime();
    org.joda.time.DateTime dateTime6 = dateTime4.withMinuteOfHour(59);
    org.joda.time.DateTime dateTime7 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime9 = dateTime7.withYear(1);
    org.joda.time.DateTime.Property property10 = dateTime9.centuryOfEra();
    org.joda.time.DateTime dateTime12 = dateTime9.minus(10L);
    org.joda.time.DateTime dateTime14 = dateTime9.withMillis((-1L));
    int i15 = dateTime14.getSecondOfMinute();
    boolean b16 = dateTime4.isBefore((org.joda.time.ReadableInstant)dateTime14);
    org.joda.time.DateTimeFieldType dateTimeFieldType17 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i18 = dateTime14.get(dateTimeFieldType17);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test083"); }


    java.io.InputStream inputStream0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTimeZone dateTimeZone2 = org.joda.time.tz.DateTimeZoneBuilder.readFrom(inputStream0, "2016-02-21T17:06:55.088+01:01");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test084"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.tz.ZoneInfoProvider zoneInfoProvider1 = new org.joda.time.tz.ZoneInfoProvider("2016-02-21T17:06:55.176+01:01");
      org.junit.Assert.fail("Expected exception of type java.io.IOException");
    } catch (java.io.IOException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.io.IOException")) {
        org.junit.Assert.fail("Expected exception of type java.io.IOException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test085"); }


    int i1 = org.joda.time.field.FieldUtils.safeToInt(10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 10);

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test086"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime.Property property3 = dateTime2.centuryOfEra();
    org.joda.time.ReadableDuration readableDuration4 = null;
    org.joda.time.DateTime dateTime5 = dateTime2.minus(readableDuration4);
    boolean b6 = dateTime2.isAfterNow();
    org.joda.time.DurationFieldType durationFieldType7 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime9 = dateTime2.withFieldAdded(durationFieldType7, 61615237);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test087"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)2016, "2016-02-21T16:05:55.230+01:01");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test088"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(0L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test089"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime.Property property3 = dateTime2.centuryOfEra();
    org.joda.time.DateTime dateTime5 = dateTime2.minus(10L);
    org.joda.time.DateTime dateTime7 = dateTime2.withMillis((-1L));
    org.joda.time.DateTimeFieldType dateTimeFieldType8 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i9 = dateTime7.get(dateTimeFieldType8);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);

  }

  @Test
  public void test090() {}
// Defects4J: flaky method
//   @Test
//   public void test090() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test090"); }
// 
// 
//     org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstance();
//     org.joda.time.DateTime dateTime1 = org.joda.time.DateTime.now();
//     org.joda.time.DateTime dateTime3 = dateTime1.withYear(1);
//     org.joda.time.DateTime.Property property4 = dateTime3.centuryOfEra();
//     org.joda.time.DateTime dateTime6 = dateTime3.minus(10L);
//     org.joda.time.DateTime dateTime8 = dateTime6.minusMillis(59);
//     int i9 = dateTime6.getYear();
//     org.joda.time.DateTime.Property property10 = dateTime6.secondOfDay();
//     org.joda.time.DateTime dateTime11 = org.joda.time.DateTime.now();
//     org.joda.time.DateTime dateTime13 = dateTime11.withYear(1);
//     int i14 = dateTime11.getSecondOfMinute();
//     java.lang.String str15 = dateTime11.toString();
//     boolean b16 = dateTime6.isAfter((org.joda.time.ReadableInstant)dateTime11);
//     org.joda.time.LocalTime localTime17 = dateTime11.toLocalTime();
//     int[] i_array19 = new int[] { 100 };
//     // The following exception was thrown during execution in test generation
//     try {
//       gregorianChronology0.validate((org.joda.time.ReadablePartial)localTime17, i_array19);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gregorianChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i9 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i14 == 55);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str15 + "' != '" + "2016-02-21T15:04:55.229-00:00:00.001"+ "'", str15.equals("2016-02-21T15:04:55.229-00:00:00.001"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b16 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localTime17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array19);
// 
//   }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test091"); }


    org.joda.time.DateTimeUtils.setCurrentMillisFixed(1456070754707L);

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test092"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.minuteOfDay();
    org.joda.time.DateTimeFieldType dateTimeFieldType2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.OffsetDateTimeField offsetDateTimeField6 = new org.joda.time.field.OffsetDateTimeField(dateTimeField1, dateTimeFieldType2, (-1), 0, 57955220);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test093"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField1 = iSOChronology0.centuries();
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.weekOfWeekyear();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField2, 0, 58, 61615);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test094"); }


    java.io.DataInput dataInput0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTimeZone dateTimeZone2 = org.joda.time.tz.DateTimeZoneBuilder.readFrom(dataInput0, "2016-02-21T17:06:55.088+01:01");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test095"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime5 = new org.joda.time.DateTime(55, 61615237, 10, 54, 58);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test096() {}
// Defects4J: flaky method
//   @Test
//   public void test096() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test096"); }
// 
// 
//     org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
//     org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
//     org.joda.time.DateTime dateTime4 = dateTime2.plusHours((-1));
//     org.joda.time.DateTime.Property property5 = dateTime2.year();
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter6 = null;
//     java.lang.String str7 = dateTime2.toString(dateTimeFormatter6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str7 + "' != '" + "0001-02-21T16:05:54.706-00:00:00.001"+ "'", str7.equals("0001-02-21T16:05:54.706-00:00:00.001"));
// 
//   }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test097"); }


    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.joda.time.field.FieldUtils.safeToInt(1456070754707L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test098"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime.Property property3 = dateTime0.yearOfCentury();
    boolean b4 = dateTime0.isAfterNow();
    org.joda.time.DateTime.Property property5 = dateTime0.millisOfSecond();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property5);

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test099"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime.Property property3 = dateTime2.centuryOfEra();
    org.joda.time.DateTime dateTime5 = dateTime2.minus(10L);
    org.joda.time.DateTime dateTime7 = dateTime5.withMillis(100L);
    org.joda.time.DateTime.Property property8 = dateTime5.millisOfSecond();
    org.joda.time.DateTime dateTime10 = dateTime5.withMillisOfSecond(100);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime12 = dateTime10.withMillisOfSecond(2016);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime10);

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test100"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTimeFieldType dateTimeFieldType1 = null;
    boolean b2 = dateTime0.isSupported(dateTimeFieldType1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test101"); }


    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder0 = new org.joda.time.tz.DateTimeZoneBuilder();
    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder11 = dateTimeZoneBuilder0.addRecurringSavings("", 10, 100, 52, '#', 100, (-1), 10, false, 52);
    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder14 = dateTimeZoneBuilder0.setFixedSavings("hi!", 54);
    java.io.OutputStream outputStream16 = null;
    // The following exception was thrown during execution in test generation
    try {
      dateTimeZoneBuilder14.writeTo("2016-02-21T17:06:55.342+01:01", outputStream16);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZoneBuilder11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZoneBuilder14);

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test102"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.DateTime dateTime1 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime3 = dateTime1.withYear(1);
    org.joda.time.DateTime.Property property4 = dateTime3.centuryOfEra();
    org.joda.time.DateTime dateTime6 = dateTime3.minus(10L);
    org.joda.time.DateTime dateTime8 = dateTime6.minusMillis(59);
    int i9 = dateTime6.getYear();
    org.joda.time.DateTime.Property property10 = dateTime6.secondOfDay();
    org.joda.time.DateTime dateTime12 = dateTime6.plusMonths(54);
    boolean b13 = gregorianChronology0.equals((java.lang.Object)dateTime6);
    org.joda.time.DateTimeField dateTimeField14 = gregorianChronology0.hourOfHalfday();
    // The following exception was thrown during execution in test generation
    try {
      long long19 = gregorianChronology0.getDateTimeMillis(0, 0, 55, 59);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField14);

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test103"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    int i3 = dateTime0.getSecondOfMinute();
    org.joda.time.ReadablePartial readablePartial4 = null;
    org.joda.time.DateTime dateTime5 = dateTime0.withFields(readablePartial4);
    int i6 = dateTime5.getMinuteOfHour();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 5);

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test104"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime dateTime4 = dateTime2.plusHours((-1));
    org.joda.time.DateTime dateTime6 = dateTime2.withYear((-1));
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime8 = dateTime2.withDayOfYear(61615);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime6);

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test105"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime.Property property3 = dateTime2.centuryOfEra();
    org.joda.time.DateTime dateTime5 = dateTime2.minus(10L);
    org.joda.time.DateTime dateTime7 = dateTime5.withMillis(100L);
    org.joda.time.DateTime.Property property8 = dateTime5.millisOfSecond();
    org.joda.time.DateTime dateTime10 = dateTime5.withMillisOfSecond(100);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime12 = dateTime10.withDayOfYear(57955220);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime10);

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test106"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.DateTime dateTime1 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime3 = dateTime1.withYear(1);
    org.joda.time.DateTime.Property property4 = dateTime3.centuryOfEra();
    org.joda.time.DateTime dateTime6 = dateTime3.minus(10L);
    org.joda.time.DateTime dateTime8 = dateTime6.minusMillis(59);
    int i9 = dateTime6.getYear();
    org.joda.time.DateTime.Property property10 = dateTime6.secondOfDay();
    org.joda.time.DateTime dateTime12 = dateTime6.plusMonths(54);
    boolean b13 = gregorianChronology0.equals((java.lang.Object)dateTime6);
    org.joda.time.DateTimeField dateTimeField14 = gregorianChronology0.hourOfHalfday();
    java.lang.Object obj15 = null;
    boolean b16 = gregorianChronology0.equals(obj15);
    // The following exception was thrown during execution in test generation
    try {
      long long21 = gregorianChronology0.getDateTimeMillis(2, 58, 5, (-1));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test107"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.DateTime dateTime1 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime3 = dateTime1.withYear(1);
    org.joda.time.DateTime.Property property4 = dateTime3.centuryOfEra();
    org.joda.time.DateTime dateTime6 = dateTime3.minus(10L);
    org.joda.time.DateTime dateTime8 = dateTime6.minusMillis(59);
    int i9 = dateTime6.getYear();
    org.joda.time.DateTime.Property property10 = dateTime6.secondOfDay();
    org.joda.time.DateTime dateTime12 = dateTime6.plusMonths(54);
    boolean b13 = gregorianChronology0.equals((java.lang.Object)dateTime6);
    org.joda.time.DateTimeField dateTimeField14 = gregorianChronology0.hourOfHalfday();
    java.lang.Object obj15 = null;
    boolean b16 = gregorianChronology0.equals(obj15);
    // The following exception was thrown during execution in test generation
    try {
      long long24 = gregorianChronology0.getDateTimeMillis(61615237, 1, (-1), 0, 0, 52, 10);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test108"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate(55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-55));

  }

  @Test
  public void test109() {}
// Defects4J: flaky method
//   @Test
//   public void test109() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test109"); }
// 
// 
//     org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
//     org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
//     org.joda.time.DateTime.Property property3 = dateTime2.centuryOfEra();
//     org.joda.time.DateTime dateTime5 = dateTime2.minus(10L);
//     org.joda.time.DateTime dateTime7 = dateTime2.withMillis((-1L));
//     org.joda.time.Instant instant8 = dateTime2.toInstant();
//     org.joda.time.DateTime dateTime9 = org.joda.time.DateTime.now();
//     org.joda.time.DateTime dateTime11 = dateTime9.withYear(1);
//     int i12 = dateTime9.getSecondOfMinute();
//     org.joda.time.Chronology chronology13 = org.joda.time.DateTimeUtils.getInstantChronology((org.joda.time.ReadableInstant)dateTime9);
//     org.joda.time.DateTime dateTime14 = dateTime2.withChronology(chronology13);
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter15 = null;
//     java.lang.String str16 = dateTime2.toString(dateTimeFormatter15);
//     org.joda.time.DateTime.Property property17 = dateTime2.era();
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.DateTime dateTime19 = dateTime2.withYearOfCentury((-55));
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(instant8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i12 == 54);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str16 + "' != '" + "0001-02-21T17:06:54.707+01:01"+ "'", str16.equals("0001-02-21T17:06:54.707+01:01"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property17);
// 
//   }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test110"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)0.0d, (java.lang.Number)10, (java.lang.Number)3660000);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test111"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.minuteOfDay();
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.millisOfSecond();
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.DividedDateTimeField dividedDateTimeField5 = new org.joda.time.field.DividedDateTimeField(dateTimeField2, dateTimeFieldType3, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test112"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    org.joda.time.DurationField durationField1 = null;
    org.joda.time.chrono.ISOChronology iSOChronology2 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField3 = iSOChronology2.eras();
    org.joda.time.DateTimeField dateTimeField4 = iSOChronology2.weekyear();
    org.joda.time.DurationField durationField5 = iSOChronology2.hours();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.PreciseDateTimeField preciseDateTimeField6 = new org.joda.time.field.PreciseDateTimeField(dateTimeFieldType0, durationField1, durationField5);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField5);

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test113"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField1 = iSOChronology0.hours();
    org.joda.time.ReadablePeriod readablePeriod2 = null;
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array4 = iSOChronology0.get(readablePeriod2, (-1L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField1);

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test114"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)(byte)1, (java.lang.Number)0.0d, (java.lang.Number)(-55));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test115"); }


    org.joda.time.DateTimeZone dateTimeZone8 = org.joda.time.DateTimeZone.forOffsetHoursMinutes(1, 1);
    java.lang.String str9 = dateTimeZone8.getID();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime10 = new org.joda.time.DateTime(54, 0, 3660000, 2016, 54, (-55), dateTimeZone8);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "+01:01"+ "'", str9.equals("+01:01"));

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test116"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime dateTime4 = dateTime2.plusHours((-1));
    org.joda.time.DateTime.Property property5 = dateTime2.year();
    org.joda.time.DateTime dateTime7 = dateTime2.plusYears(100);
    org.joda.time.Chronology chronology8 = org.joda.time.DateTimeUtils.getInstantChronology((org.joda.time.ReadableInstant)dateTime2);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime10 = dateTime2.withYearOfCentury(57955220);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology8);

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test117"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime.Property property3 = dateTime0.yearOfCentury();
    boolean b4 = dateTime0.isAfterNow();
    int i5 = dateTime0.getDayOfYear();
    org.joda.time.DateTime dateTime7 = dateTime0.plusMonths((-1));
    int i8 = dateTime7.getDayOfMonth();
    org.joda.time.DateTime dateTime10 = dateTime7.withCenturyOfEra(52);
    org.joda.time.DateTime.Property property11 = dateTime7.minuteOfHour();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property11);

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test118"); }


    org.joda.time.tz.Provider provider0 = null;
    org.joda.time.DateTimeZone.setProvider(provider0);

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test119"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)100.0d, "0001-02-21T17:06:55.446+01:01");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test120"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.minuteOfDay();
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.millisOfSecond();
    org.joda.time.Chronology chronology3 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)iSOChronology0);
    org.joda.time.Chronology chronology4 = iSOChronology0.withUTC();
    org.joda.time.chrono.ISOChronology iSOChronology5 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField6 = iSOChronology5.centuries();
    org.joda.time.DurationField durationField7 = iSOChronology5.halfdays();
    org.joda.time.DateTimeZone dateTimeZone8 = iSOChronology5.getZone();
    org.joda.time.chrono.ZonedChronology zonedChronology9 = org.joda.time.chrono.ZonedChronology.getInstance(chronology4, dateTimeZone8);
    // The following exception was thrown during execution in test generation
    try {
      long long15 = zonedChronology9.getDateTimeMillis(1456067095230L, 0, 100, 58, 54);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(zonedChronology9);

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test121"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(short)0, (java.lang.Number)1.0d, (java.lang.Number)0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test122"); }


    org.joda.time.DateTimeZone dateTimeZone0 = org.joda.time.DateTimeZone.getDefault();
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.ReadablePeriod readablePeriod2 = null;
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array4 = iSOChronology1.get(readablePeriod2, 1L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test123"); }


    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone11 = new org.joda.time.tz.FixedDateTimeZone("+00:00:00.010", "hi!", (-1), 52);
    java.util.TimeZone timeZone12 = fixedDateTimeZone11.toTimeZone();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime13 = new org.joda.time.DateTime(52, 100, 0, 2, 16, 5, 5, (org.joda.time.DateTimeZone)fixedDateTimeZone11);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone12);

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test124"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField1 = iSOChronology0.centuries();
    org.joda.time.DurationField durationField2 = iSOChronology0.halfdays();
    org.joda.time.DateTimeZone dateTimeZone3 = iSOChronology0.getZone();
    org.joda.time.DateTimeField dateTimeField4 = iSOChronology0.secondOfMinute();
    org.joda.time.chrono.GregorianChronology gregorianChronology5 = org.joda.time.chrono.GregorianChronology.getInstance();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime6 = new org.joda.time.DateTime((java.lang.Object)dateTimeField4, (org.joda.time.Chronology)gregorianChronology5);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology5);

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test125"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime dateTime4 = dateTime2.plusHours((-1));
    org.joda.time.DateTime.Property property5 = dateTime2.year();
    org.joda.time.DateTime dateTime7 = dateTime2.plusYears(100);
    org.joda.time.Chronology chronology8 = org.joda.time.DateTimeUtils.getInstantChronology((org.joda.time.ReadableInstant)dateTime2);
    org.joda.time.DateTime dateTime10 = dateTime2.plus((-10L));
    org.joda.time.DateTime dateTime12 = dateTime2.minusYears(54);
    org.joda.time.DateTime.Property property13 = dateTime2.secondOfMinute();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property13);

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test126"); }


    org.joda.time.DateTimeZone dateTimeZone6 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime7 = new org.joda.time.DateTime(59, 55, 55, 58, 0, 61615, dateTimeZone6);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test127"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.PreciseDurationField preciseDurationField2 = new org.joda.time.field.PreciseDurationField(durationFieldType0, 0L);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test128"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd((-1), 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 51);

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test129"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime.Property property3 = dateTime2.centuryOfEra();
    org.joda.time.DateTime dateTime5 = dateTime2.minus(10L);
    org.joda.time.DateTime dateTime7 = dateTime5.withMillis(100L);
    boolean b9 = dateTime5.isEqual(1L);
    org.joda.time.DateTime dateTime11 = dateTime5.minusMillis(0);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime13 = dateTime11.withMonthOfYear((-1));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime11);

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test130"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime5 = new org.joda.time.DateTime(21, 1, 100, (-55), 55);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test131"); }


    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.minuteOfDay();
    org.joda.time.DateTime dateTime3 = new org.joda.time.DateTime(0L, (org.joda.time.Chronology)iSOChronology1);
    org.joda.time.DateTimeField dateTimeField4 = iSOChronology1.dayOfMonth();
    org.joda.time.DateTimeField dateTimeField5 = iSOChronology1.millisOfDay();
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.ZeroIsMaxDateTimeField zeroIsMaxDateTimeField7 = new org.joda.time.field.ZeroIsMaxDateTimeField(dateTimeField5, dateTimeFieldType6);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField5);

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test132"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime.Property property3 = dateTime2.centuryOfEra();
    org.joda.time.DateTime dateTime5 = dateTime2.minus(10L);
    org.joda.time.DateTime dateTime7 = dateTime5.minusMillis(59);
    int i8 = dateTime5.getYear();
    org.joda.time.DateTime dateTime10 = dateTime5.withYear(100);
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i12 = dateTime5.get(dateTimeFieldType11);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime10);

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test133"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime.Property property1 = dateTime0.yearOfCentury();
    org.joda.time.DateTimeFieldType dateTimeFieldType2 = null;
    boolean b3 = dateTime0.isSupported(dateTimeFieldType2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test134"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime.Property property3 = dateTime2.centuryOfEra();
    org.joda.time.DateTime dateTime5 = dateTime2.minus(10L);
    org.joda.time.DateTime dateTime7 = dateTime2.withMillis((-1L));
    org.joda.time.DateTime dateTime9 = dateTime2.plusMinutes(59);
    java.util.GregorianCalendar gregorianCalendar10 = dateTime2.toGregorianCalendar();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime15 = dateTime2.withTime(10, 61615237, 1, 0);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianCalendar10);

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test135"); }


    org.joda.time.DateTimeZone dateTimeZone2 = org.joda.time.DateTimeZone.forOffsetHoursMinutes(1, 1);
    java.lang.String str3 = dateTimeZone2.getID();
    org.joda.time.tz.CachedDateTimeZone cachedDateTimeZone4 = org.joda.time.tz.CachedDateTimeZone.forZone(dateTimeZone2);
    boolean b5 = cachedDateTimeZone4.isFixed();
    long long7 = cachedDateTimeZone4.nextTransition((-1L));
    org.joda.time.DateTimeZone dateTimeZone9 = org.joda.time.DateTimeZone.forOffsetMillis(10);
    org.joda.time.LocalDateTime localDateTime10 = null;
    boolean b11 = dateTimeZone9.isLocalDateTimeGap(localDateTime10);
    org.joda.time.tz.CachedDateTimeZone cachedDateTimeZone12 = org.joda.time.tz.CachedDateTimeZone.forZone(dateTimeZone9);
    long long14 = cachedDateTimeZone4.getMillisKeepLocal(dateTimeZone9, (-3659990L));
    org.joda.time.DateTime dateTime15 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime17 = dateTime15.withYear(1);
    org.joda.time.DateTime.Property property18 = dateTime17.centuryOfEra();
    org.joda.time.DateTime dateTime20 = dateTime17.minus(10L);
    org.joda.time.DateTime dateTime22 = dateTime20.minusMillis(59);
    org.joda.time.DateTime.Property property23 = dateTime20.minuteOfDay();
    int i24 = cachedDateTimeZone4.getOffset((org.joda.time.ReadableInstant)dateTime20);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.chrono.GregorianChronology gregorianChronology26 = org.joda.time.chrono.GregorianChronology.getInstance((org.joda.time.DateTimeZone)cachedDateTimeZone4, 52);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+01:01"+ "'", str3.equals("+01:01"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(cachedDateTimeZone4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == (-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(cachedDateTimeZone12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long14 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 3660000);

  }

  @Test
  public void test136() {}
// Defects4J: flaky method
//   @Test
//   public void test136() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test136"); }
// 
// 
//     org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
//     org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
//     org.joda.time.DateTime.Property property3 = dateTime2.centuryOfEra();
//     org.joda.time.DateTime dateTime5 = dateTime2.minus(10L);
//     org.joda.time.DateTime dateTime7 = dateTime2.withMillis((-1L));
//     org.joda.time.Instant instant8 = dateTime7.toInstant();
//     org.joda.time.DateTime dateTime10 = dateTime7.withWeekyear(10);
//     int i11 = dateTime7.getMinuteOfDay();
//     // The following exception was thrown during execution in test generation
//     try {
//       java.lang.String str13 = dateTime7.toString("2016-02-21T17:06:55.153+01:01");
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(instant8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i11 == 60);
// 
//   }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test137"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    int i3 = dateTime0.getSecondOfMinute();
    org.joda.time.DateTime dateTime5 = dateTime0.minusMillis(61615);
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i7 = dateTime5.get(dateTimeFieldType6);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test138"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime.Property property3 = dateTime2.centuryOfEra();
    org.joda.time.DateTime dateTime5 = dateTime2.minus(10L);
    org.joda.time.DateTime dateTime7 = dateTime5.withMillis(100L);
    org.joda.time.DateTime dateTime9 = dateTime7.plusDays(1);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime11 = dateTime9.withDayOfMonth(61615237);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime9);

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test139"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    java.lang.Number number1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, number1, (java.lang.Number)(-55), (java.lang.Number)(-60332374504780L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test140"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField2 = iSOChronology1.eras();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.weekyear();
    org.joda.time.DurationField durationField4 = iSOChronology1.hours();
    org.joda.time.chrono.ISOChronology iSOChronology5 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField6 = iSOChronology5.eras();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.PreciseDateTimeField preciseDateTimeField7 = new org.joda.time.field.PreciseDateTimeField(dateTimeFieldType0, durationField4, durationField6);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField6);

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test141"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate(2016);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-2016));

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test142"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiply(52, 55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2860);

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test143"); }


    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder0 = new org.joda.time.tz.DateTimeZoneBuilder();
    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder11 = dateTimeZoneBuilder0.addRecurringSavings("", 10, 100, 52, '#', 100, (-1), 10, false, 52);
    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder14 = dateTimeZoneBuilder0.setFixedSavings("hi!", 54);
    java.io.OutputStream outputStream16 = null;
    // The following exception was thrown during execution in test generation
    try {
      dateTimeZoneBuilder14.writeTo("ISOChronology[+01:01]", outputStream16);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZoneBuilder11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZoneBuilder14);

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test144"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    org.joda.time.DateTimeFieldType dateTimeFieldType1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.DividedDateTimeField dividedDateTimeField3 = new org.joda.time.field.DividedDateTimeField(dateTimeField0, dateTimeFieldType1, 58);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test145"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)(byte)1, (java.lang.Number)(-1L), (java.lang.Number)1L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test146"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime.Property property3 = dateTime0.yearOfCentury();
    boolean b4 = dateTime0.isAfterNow();
    org.joda.time.DateTime dateTime6 = dateTime0.plusSeconds(55);
    org.joda.time.DurationFieldType durationFieldType7 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime9 = dateTime6.withFieldAdded(durationFieldType7, (-2016));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime6);

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test147"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    java.lang.Number number2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)54, number2, (java.lang.Number)10.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test148"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField1 = iSOChronology0.centuries();
    org.joda.time.DurationField durationField2 = iSOChronology0.halfdays();
    org.joda.time.DateTimeZone dateTimeZone3 = iSOChronology0.getZone();
    org.joda.time.DateTimeField dateTimeField4 = iSOChronology0.secondOfDay();
    org.joda.time.DateTimeField dateTimeField5 = iSOChronology0.secondOfDay();
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.OffsetDateTimeField offsetDateTimeField10 = new org.joda.time.field.OffsetDateTimeField(dateTimeField5, dateTimeFieldType6, 21, 57955220, 21);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField5);

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test149"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)(-2016), (java.lang.Number)21, (java.lang.Number)2860);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test150"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)1456070755176L, (java.lang.Number)1L, (java.lang.Number)(short)10);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test151"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime dateTime4 = dateTime2.plusHours((-1));
    org.joda.time.DateTime dateTime6 = dateTime2.withYear((-1));
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime8 = dateTime6.withDayOfMonth(61615237);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime6);

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test152"); }


    org.joda.time.DateTimeZone dateTimeZone2 = org.joda.time.DateTimeZone.forOffsetHoursMinutes(1, 1);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.chrono.GregorianChronology gregorianChronology4 = org.joda.time.chrono.GregorianChronology.getInstance(dateTimeZone2, 59);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone2);

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test153"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime6 = new org.joda.time.DateTime((-1), 0, 3660000, 61615, 61615237, 61615237);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test154"); }


    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder0 = new org.joda.time.tz.DateTimeZoneBuilder();
    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder11 = dateTimeZoneBuilder0.addRecurringSavings("", 10, 100, 52, '#', 100, (-1), 10, false, 52);
    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder14 = dateTimeZoneBuilder0.setFixedSavings("hi!", 54);
    org.joda.time.DateTimeZone dateTimeZone17 = dateTimeZoneBuilder0.toDateTimeZone("", false);
    java.io.OutputStream outputStream19 = null;
    // The following exception was thrown during execution in test generation
    try {
      dateTimeZoneBuilder0.writeTo("ISOChronology[+00:00:00.010]", outputStream19);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZoneBuilder11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZoneBuilder14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone17);

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test155"); }


    org.joda.time.DateTime dateTime2 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime4 = dateTime2.withYear(1);
    org.joda.time.DateTime.Property property5 = dateTime4.centuryOfEra();
    org.joda.time.DateTime dateTime7 = dateTime4.minus(10L);
    org.joda.time.DateTime dateTime9 = dateTime4.withMillis((-1L));
    org.joda.time.chrono.ISOChronology iSOChronology10 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField11 = iSOChronology10.eras();
    org.joda.time.DateTimeField dateTimeField12 = iSOChronology10.weekyear();
    org.joda.time.DateTime dateTime13 = dateTime9.withChronology((org.joda.time.Chronology)iSOChronology10);
    org.joda.time.DateTimeField dateTimeField14 = iSOChronology10.hourOfHalfday();
    org.joda.time.DateTime dateTime15 = new org.joda.time.DateTime(10L, (org.joda.time.Chronology)iSOChronology10);
    org.joda.time.DateTime dateTime16 = new org.joda.time.DateTime(3659990L, (org.joda.time.Chronology)iSOChronology10);
    org.joda.time.DateTimeField dateTimeField17 = iSOChronology10.millisOfDay();
    org.joda.time.DateTimeFieldType dateTimeFieldType18 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.DividedDateTimeField dividedDateTimeField20 = new org.joda.time.field.DividedDateTimeField(dateTimeField17, dateTimeFieldType18, 59);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField17);

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test156"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime dateTime4 = dateTime2.plusHours((-1));
    org.joda.time.DateTime dateTime6 = dateTime2.minusMonths(54);
    org.joda.time.Chronology chronology7 = org.joda.time.DateTimeUtils.getInstantChronology((org.joda.time.ReadableInstant)dateTime6);
    org.joda.time.DateTime.Property property8 = dateTime6.year();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property8);

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test157"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime6 = new org.joda.time.DateTime(0, 54, 0, 54, 1, 54);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test158"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField1 = iSOChronology0.centuries();
    org.joda.time.DurationField durationField2 = iSOChronology0.halfdays();
    org.joda.time.DateTimeZone dateTimeZone3 = iSOChronology0.getZone();
    org.joda.time.DateTimeField dateTimeField4 = iSOChronology0.secondOfDay();
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.RemainderDateTimeField remainderDateTimeField7 = new org.joda.time.field.RemainderDateTimeField(dateTimeField4, dateTimeFieldType5, 61615237);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField4);

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test159"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime5 = new org.joda.time.DateTime((-2016), 51, 0, (-1), 20);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test160"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField1 = iSOChronology0.centuries();
    // The following exception was thrown during execution in test generation
    try {
      long long7 = iSOChronology0.getDateTimeMillis(3659990L, 60, 0, 0, 5);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField1);

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test161"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime.Property property3 = dateTime2.centuryOfEra();
    org.joda.time.DateTime dateTime5 = dateTime2.minus(10L);
    org.joda.time.DateTime dateTime7 = dateTime2.withMillis((-1L));
    org.joda.time.chrono.ISOChronology iSOChronology8 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField9 = iSOChronology8.eras();
    org.joda.time.DateTimeField dateTimeField10 = iSOChronology8.weekyear();
    org.joda.time.DateTime dateTime11 = dateTime7.withChronology((org.joda.time.Chronology)iSOChronology8);
    org.joda.time.DateTimeField dateTimeField12 = iSOChronology8.hourOfHalfday();
    org.joda.time.DateTimeFieldType dateTimeFieldType13 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.OffsetDateTimeField offsetDateTimeField15 = new org.joda.time.field.OffsetDateTimeField(dateTimeField12, dateTimeFieldType13, 60);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField12);

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test162"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.tz.ZoneInfoProvider zoneInfoProvider1 = new org.joda.time.tz.ZoneInfoProvider("");
      org.junit.Assert.fail("Expected exception of type java.io.IOException");
    } catch (java.io.IOException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.io.IOException")) {
        org.junit.Assert.fail("Expected exception of type java.io.IOException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test163"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime.Property property3 = dateTime2.centuryOfEra();
    org.joda.time.DateTime dateTime5 = dateTime2.minus(10L);
    org.joda.time.DateTime dateTime7 = dateTime2.withMillis((-1L));
    org.joda.time.chrono.ISOChronology iSOChronology8 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField9 = iSOChronology8.eras();
    org.joda.time.DateTimeField dateTimeField10 = iSOChronology8.weekyear();
    org.joda.time.DateTime dateTime11 = dateTime7.withChronology((org.joda.time.Chronology)iSOChronology8);
    org.joda.time.DateTimeField dateTimeField12 = iSOChronology8.hourOfHalfday();
    org.joda.time.DurationField durationField13 = iSOChronology8.years();
    org.joda.time.DateTime dateTime14 = org.joda.time.DateTime.now((org.joda.time.Chronology)iSOChronology8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime14);

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test164"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime.Property property3 = dateTime2.centuryOfEra();
    org.joda.time.DateTime dateTime5 = dateTime2.minus(10L);
    org.joda.time.DateTime dateTime7 = dateTime2.withMillis((-1L));
    org.joda.time.Instant instant8 = dateTime2.toInstant();
    org.joda.time.DateTimeZone dateTimeZone11 = org.joda.time.DateTimeZone.forOffsetHoursMinutes(1, 1);
    boolean b13 = dateTimeZone11.isStandardOffset(10L);
    org.joda.time.DateTime dateTime14 = dateTime2.toDateTime(dateTimeZone11);
    long long18 = dateTimeZone11.convertLocalToUTC((-3659990L), false, (-9L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(instant8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long18 == (-7319990L));

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test165"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    int i3 = dateTime0.getSecondOfMinute();
    org.joda.time.ReadablePartial readablePartial4 = null;
    org.joda.time.DateTime dateTime5 = dateTime0.withFields(readablePartial4);
    org.joda.time.DateTime dateTime6 = dateTime5.toDateTimeISO();
    org.joda.time.DateTimeFieldType dateTimeFieldType7 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime.Property property8 = dateTime6.property(dateTimeFieldType7);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime6);

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test166"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime.Property property3 = dateTime2.centuryOfEra();
    org.joda.time.DateTime dateTime5 = dateTime2.minus(10L);
    org.joda.time.DateTime dateTime7 = dateTime5.withMillis(100L);
    org.joda.time.DateTime dateTime9 = dateTime7.plusDays(59);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone14 = new org.joda.time.tz.FixedDateTimeZone("+00:00:00.010", "hi!", (-1), 52);
    java.lang.String str16 = fixedDateTimeZone14.getNameKey((-9L));
    org.joda.time.DateTime dateTime17 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime19 = dateTime17.withYear(1);
    org.joda.time.DateTime.Property property20 = dateTime17.yearOfCentury();
    boolean b21 = dateTime17.isAfterNow();
    int i22 = dateTime17.getDayOfYear();
    org.joda.time.DateTime dateTime24 = dateTime17.plusMonths((-1));
    boolean b25 = fixedDateTimeZone14.equals((java.lang.Object)(-1));
    org.joda.time.DateTime dateTime26 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime28 = dateTime26.withYear(1);
    org.joda.time.DateTime.Property property29 = dateTime28.centuryOfEra();
    org.joda.time.DateTime dateTime31 = dateTime28.minus(10L);
    org.joda.time.DateTime dateTime33 = dateTime31.withMillis(100L);
    org.joda.time.DateTime.Property property34 = dateTime31.millisOfSecond();
    org.joda.time.DateTime dateTime36 = dateTime31.withMillisOfSecond(100);
    org.joda.time.Instant instant37 = dateTime31.toInstant();
    boolean b38 = fixedDateTimeZone14.equals((java.lang.Object)dateTime31);
    org.joda.time.DateTime dateTime39 = dateTime9.withZone((org.joda.time.DateTimeZone)fixedDateTimeZone14);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime41 = dateTime9.withDayOfMonth((-1));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "hi!"+ "'", str16.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(instant37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime39);

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test167"); }


    org.joda.time.chrono.ISOChronology iSOChronology5 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField6 = iSOChronology5.minuteOfDay();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime7 = new org.joda.time.DateTime(0, 52, 0, 51, 0, (org.joda.time.Chronology)iSOChronology5);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField6);

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test168"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    int i3 = dateTime0.getSecondOfMinute();
    org.joda.time.DateTime dateTime5 = dateTime0.plusMinutes(59);
    boolean b6 = dateTime0.isAfterNow();
    org.joda.time.DateTime dateTime7 = dateTime0.toDateTime();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test169"); }


    java.lang.ClassLoader classLoader1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.tz.ZoneInfoProvider zoneInfoProvider2 = new org.joda.time.tz.ZoneInfoProvider("GregorianChronology[+01:01]", classLoader1);
      org.junit.Assert.fail("Expected exception of type java.io.IOException");
    } catch (java.io.IOException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.io.IOException")) {
        org.junit.Assert.fail("Expected exception of type java.io.IOException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test170"); }


    java.lang.Object obj0 = null;
    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder1 = new org.joda.time.tz.DateTimeZoneBuilder();
    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder12 = dateTimeZoneBuilder1.addRecurringSavings("", 10, 100, 52, '#', 100, (-1), 10, false, 52);
    boolean b13 = org.joda.time.field.FieldUtils.equals(obj0, (java.lang.Object)100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZoneBuilder12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test171"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract(1456067095230L, (-7319990L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1456074415220L);

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test172"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forOffsetHours(61615237);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test173"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(16, 54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 70);

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test174"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime.Property property3 = dateTime2.centuryOfEra();
    org.joda.time.DateTime dateTime5 = dateTime2.minus(10L);
    org.joda.time.DateTime dateTime7 = dateTime5.withMillis(100L);
    boolean b9 = dateTime5.isEqual(1L);
    org.joda.time.DateTime.Property property10 = dateTime5.year();
    org.joda.time.DateTime dateTime11 = org.joda.time.DateTime.now();
    int i12 = dateTime5.compareTo((org.joda.time.ReadableInstant)dateTime11);
    org.joda.time.Chronology chronology13 = org.joda.time.DateTimeUtils.getInstantChronology((org.joda.time.ReadableInstant)dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology13);

  }

  @Test
  public void test175() {}
// Defects4J: flaky method
//   @Test
//   public void test175() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test175"); }
// 
// 
//     org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
//     org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
//     org.joda.time.DateTime.Property property3 = dateTime2.centuryOfEra();
//     org.joda.time.DateTime dateTime5 = dateTime2.minus(10L);
//     org.joda.time.DateTime dateTime7 = dateTime2.withMillis((-1L));
//     org.joda.time.Instant instant8 = dateTime7.toInstant();
//     org.joda.time.DateTime dateTime10 = dateTime7.withWeekyear(10);
//     int i11 = dateTime7.getMinuteOfDay();
//     long long12 = dateTime7.getMillis();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(instant8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i11 == 60);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long12 == (-1L));
// 
//   }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test176"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd(1456070755176L, 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1456070755276L);

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test177"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime.Property property3 = dateTime2.centuryOfEra();
    org.joda.time.DateTime dateTime5 = dateTime2.minus(10L);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime7 = dateTime5.withDayOfWeek(21);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test178"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue(0, 70, 2016, 52);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test179"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime.Property property3 = dateTime2.centuryOfEra();
    org.joda.time.DateTime dateTime5 = dateTime2.minus(10L);
    org.joda.time.DateTime dateTime7 = dateTime5.withMillis(100L);
    org.joda.time.DateTime.Property property8 = dateTime5.millisOfSecond();
    org.joda.time.DateTime dateTime10 = dateTime5.withMillisOfSecond(100);
    org.joda.time.Instant instant11 = dateTime5.toInstant();
    int i12 = dateTime5.getEra();
    org.joda.time.DateTime dateTime14 = dateTime5.minusYears(10);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str16 = dateTime5.toString("0001-02-21T16:05:54.706-00:00:00.001");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(instant11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime14);

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test180"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime.Property property1 = dateTime0.yearOfCentury();
    org.joda.time.DateTime dateTime3 = dateTime0.withMillisOfDay(2016);
    org.joda.time.DateTime.Property property4 = dateTime0.yearOfCentury();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property4);

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test181"); }


    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField2 = iSOChronology1.centuries();
    org.joda.time.DateTime dateTime3 = new org.joda.time.DateTime(0L, (org.joda.time.Chronology)iSOChronology1);
    org.joda.time.chrono.ISOChronology iSOChronology4 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField5 = iSOChronology4.minuteOfDay();
    org.joda.time.DateTimeField dateTimeField6 = iSOChronology4.millisOfSecond();
    org.joda.time.DateTimeField dateTimeField7 = iSOChronology4.hourOfDay();
    org.joda.time.DateTime dateTime8 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime10 = dateTime8.withYear(1);
    org.joda.time.DateTime.Property property11 = dateTime8.yearOfCentury();
    org.joda.time.DateTime dateTime12 = dateTime8.toDateTime();
    org.joda.time.LocalDate localDate13 = dateTime12.toLocalDate();
    int[] i_array15 = iSOChronology4.get((org.joda.time.ReadablePartial)localDate13, 10L);
    int[] i_array16 = new int[] {  };
    // The following exception was thrown during execution in test generation
    try {
      iSOChronology1.validate((org.joda.time.ReadablePartial)localDate13, i_array16);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array16);

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test182"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime.Property property1 = dateTime0.yearOfCentury();
    org.joda.time.DateTimeZone dateTimeZone4 = org.joda.time.DateTimeZone.forOffsetHoursMinutes(1, 1);
    java.lang.String str5 = dateTimeZone4.getID();
    org.joda.time.tz.CachedDateTimeZone cachedDateTimeZone6 = org.joda.time.tz.CachedDateTimeZone.forZone(dateTimeZone4);
    java.lang.String str8 = dateTimeZone4.getName((-1L));
    org.joda.time.DateTime dateTime10 = org.joda.time.DateTime.parse("2016-02-21T17:06:54.611+01:01");
    int i11 = dateTimeZone4.getOffset((org.joda.time.ReadableInstant)dateTime10);
    org.joda.time.DateTime dateTime12 = dateTime0.withZone(dateTimeZone4);
    org.joda.time.DateTimeZone dateTimeZone13 = org.joda.time.DateTimeZone.UTC;
    org.joda.time.tz.CachedDateTimeZone cachedDateTimeZone14 = org.joda.time.tz.CachedDateTimeZone.forZone(dateTimeZone13);
    org.joda.time.DateTime dateTime15 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime17 = dateTime15.withYear(1);
    org.joda.time.DateTime.Property property18 = dateTime17.centuryOfEra();
    org.joda.time.DateTime dateTime20 = dateTime17.minus(10L);
    org.joda.time.DateTime dateTime22 = dateTime20.withMillis(100L);
    org.joda.time.DateTime.Property property23 = dateTime20.millisOfSecond();
    boolean b24 = cachedDateTimeZone14.equals((java.lang.Object)property23);
    boolean b25 = cachedDateTimeZone14.isFixed();
    long long29 = cachedDateTimeZone14.convertLocalToUTC(1456070755176L, true, 1456070754707L);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime30 = new org.joda.time.DateTime((java.lang.Object)dateTimeZone4, (org.joda.time.DateTimeZone)cachedDateTimeZone14);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "+01:01"+ "'", str5.equals("+01:01"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(cachedDateTimeZone6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "+01:01"+ "'", str8.equals("+01:01"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 3660000);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(cachedDateTimeZone14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long29 == 1456070755176L);

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test183"); }


    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder0 = new org.joda.time.tz.DateTimeZoneBuilder();
    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder11 = dateTimeZoneBuilder0.addRecurringSavings("", 10, 100, 52, '#', 100, (-1), 10, false, 52);
    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder14 = dateTimeZoneBuilder0.setFixedSavings("hi!", 54);
    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder16 = dateTimeZoneBuilder0.setStandardOffset(2016);
    java.io.DataOutput dataOutput18 = null;
    // The following exception was thrown during execution in test generation
    try {
      dateTimeZoneBuilder16.writeTo("0001-02-21T17:06:55.446+01:01", dataOutput18);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZoneBuilder11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZoneBuilder14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZoneBuilder16);

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test184"); }


    org.joda.time.DateTimeZone dateTimeZone2 = org.joda.time.DateTimeZone.forOffsetHoursMinutes(1, 1);
    boolean b4 = dateTimeZone2.isStandardOffset(10L);
    java.lang.String str5 = dateTimeZone2.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "+01:01"+ "'", str5.equals("+01:01"));

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test185"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    java.lang.Number number2 = null;
    java.lang.Number number3 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)1L, number2, number3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test186"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.PreciseDurationField preciseDurationField2 = new org.joda.time.field.PreciseDurationField(durationFieldType0, 3659990L);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test187() {}
// Defects4J: flaky method
//   @Test
//   public void test187() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test187"); }
// 
// 
//     org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
//     org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
//     org.joda.time.DateTime.Property property3 = dateTime2.centuryOfEra();
//     org.joda.time.DateTime dateTime5 = dateTime2.minus(10L);
//     org.joda.time.DateTime dateTime7 = dateTime2.withMillis((-1L));
//     org.joda.time.Instant instant8 = dateTime2.toInstant();
//     org.joda.time.DateTime dateTime9 = org.joda.time.DateTime.now();
//     org.joda.time.DateTime dateTime11 = dateTime9.withYear(1);
//     int i12 = dateTime9.getSecondOfMinute();
//     org.joda.time.Chronology chronology13 = org.joda.time.DateTimeUtils.getInstantChronology((org.joda.time.ReadableInstant)dateTime9);
//     org.joda.time.DateTime dateTime14 = dateTime2.withChronology(chronology13);
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter15 = null;
//     java.lang.String str16 = dateTime2.toString(dateTimeFormatter15);
//     org.joda.time.DateTime dateTime18 = dateTime2.withYearOfEra(10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(instant8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i12 == 54);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str16 + "' != '" + "0001-02-21T17:06:54.707+01:01"+ "'", str16.equals("0001-02-21T17:06:54.707+01:01"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime18);
// 
//   }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test188"); }


    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder0 = new org.joda.time.tz.DateTimeZoneBuilder();
    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder11 = dateTimeZoneBuilder0.addRecurringSavings("", 10, 100, 52, '#', 100, (-1), 10, false, 52);
    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder14 = dateTimeZoneBuilder0.setFixedSavings("hi!", 54);
    java.io.DataOutput dataOutput16 = null;
    // The following exception was thrown during execution in test generation
    try {
      dateTimeZoneBuilder14.writeTo("2016-02-21T16:05:55.230+01:01", dataOutput16);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZoneBuilder11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZoneBuilder14);

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test189"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime.Property property3 = dateTime2.centuryOfEra();
    org.joda.time.DateTime dateTime5 = dateTime2.minus(10L);
    org.joda.time.DateTime dateTime7 = dateTime5.withMillis(100L);
    org.joda.time.DateTime dateTime9 = dateTime7.plusDays(59);
    org.joda.time.DateTime dateTime11 = dateTime7.withDayOfYear(59);
    org.joda.time.chrono.ISOChronology iSOChronology12 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField13 = iSOChronology12.minuteOfDay();
    org.joda.time.DateTimeField dateTimeField14 = iSOChronology12.millisOfSecond();
    org.joda.time.Chronology chronology15 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)iSOChronology12);
    org.joda.time.Chronology chronology16 = iSOChronology12.withUTC();
    org.joda.time.chrono.ISOChronology iSOChronology17 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField18 = iSOChronology17.centuries();
    org.joda.time.DurationField durationField19 = iSOChronology17.halfdays();
    org.joda.time.DateTimeZone dateTimeZone20 = iSOChronology17.getZone();
    org.joda.time.chrono.ZonedChronology zonedChronology21 = org.joda.time.chrono.ZonedChronology.getInstance(chronology16, dateTimeZone20);
    org.joda.time.MutableDateTime mutableDateTime22 = dateTime11.toMutableDateTime((org.joda.time.Chronology)zonedChronology21);
    org.joda.time.DateTime.Property property23 = dateTime11.dayOfMonth();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(zonedChronology21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property23);

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test190"); }


    org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forOffsetMillis(10);
    org.joda.time.LocalDateTime localDateTime2 = null;
    boolean b3 = dateTimeZone1.isLocalDateTimeGap(localDateTime2);
    org.joda.time.tz.CachedDateTimeZone cachedDateTimeZone4 = org.joda.time.tz.CachedDateTimeZone.forZone(dateTimeZone1);
    long long7 = cachedDateTimeZone4.convertLocalToUTC(0L, false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(cachedDateTimeZone4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == (-10L));

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test191"); }


    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone4 = new org.joda.time.tz.FixedDateTimeZone("+00:00:00.010", "hi!", (-1), 52);
    java.lang.String str6 = fixedDateTimeZone4.getNameKey((-9L));
    org.joda.time.DateTime dateTime7 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime9 = dateTime7.withYear(1);
    org.joda.time.DateTime.Property property10 = dateTime7.yearOfCentury();
    boolean b11 = dateTime7.isAfterNow();
    int i12 = dateTime7.getDayOfYear();
    org.joda.time.DateTime dateTime14 = dateTime7.plusMonths((-1));
    boolean b15 = fixedDateTimeZone4.equals((java.lang.Object)(-1));
    org.joda.time.DateTime dateTime16 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime18 = dateTime16.withYear(1);
    org.joda.time.DateTime.Property property19 = dateTime18.centuryOfEra();
    org.joda.time.DateTime dateTime21 = dateTime18.minus(10L);
    org.joda.time.DateTime dateTime23 = dateTime21.withMillis(100L);
    org.joda.time.DateTime.Property property24 = dateTime21.millisOfSecond();
    org.joda.time.DateTime dateTime26 = dateTime21.withMillisOfSecond(100);
    org.joda.time.Instant instant27 = dateTime21.toInstant();
    boolean b28 = fixedDateTimeZone4.equals((java.lang.Object)dateTime21);
    int i29 = dateTime21.getSecondOfMinute();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "hi!"+ "'", str6.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(instant27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 54);

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test192"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)2860, (java.lang.Number)0.0f, (java.lang.Number)(-62131132445293L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test193() {}
// Defects4J: flaky method
//   @Test
//   public void test193() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test193"); }
// 
// 
//     org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
//     org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
//     org.joda.time.DateTime.Property property3 = dateTime0.yearOfCentury();
//     boolean b4 = dateTime0.isAfterNow();
//     org.joda.time.DateTime dateTime6 = dateTime0.plusSeconds(55);
//     org.joda.time.chrono.GregorianChronology gregorianChronology7 = org.joda.time.chrono.GregorianChronology.getInstance();
//     org.joda.time.DateTime dateTime8 = org.joda.time.DateTime.now();
//     org.joda.time.DateTime dateTime10 = dateTime8.withYear(1);
//     org.joda.time.DateTime.Property property11 = dateTime10.centuryOfEra();
//     org.joda.time.DateTime dateTime13 = dateTime10.minus(10L);
//     org.joda.time.DateTime dateTime15 = dateTime13.minusMillis(59);
//     int i16 = dateTime13.getYear();
//     org.joda.time.DateTime.Property property17 = dateTime13.secondOfDay();
//     org.joda.time.DateTime dateTime19 = dateTime13.plusMonths(54);
//     boolean b20 = gregorianChronology7.equals((java.lang.Object)dateTime13);
//     org.joda.time.DateTimeField dateTimeField21 = gregorianChronology7.hourOfHalfday();
//     java.lang.String str22 = gregorianChronology7.toString();
//     org.joda.time.MutableDateTime mutableDateTime23 = dateTime6.toMutableDateTime((org.joda.time.Chronology)gregorianChronology7);
//     int i24 = mutableDateTime23.getEra();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b4 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gregorianChronology7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i16 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b20 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str22 + "' != '" + "GregorianChronology[+01:01]"+ "'", str22.equals("GregorianChronology[+01:01]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i24 == 1);
// 
//   }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test194"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstanceUTC();
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField2 = iSOChronology1.centuries();
    boolean b3 = gregorianChronology0.equals((java.lang.Object)iSOChronology1);
    org.joda.time.DateTimeField dateTimeField4 = gregorianChronology0.centuryOfEra();
    java.lang.String str5 = gregorianChronology0.toString();
    // The following exception was thrown during execution in test generation
    try {
      long long13 = gregorianChronology0.getDateTimeMillis(61614697, 70, 0, 58, 2860, 2016, 61615);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "GregorianChronology[UTC]"+ "'", str5.equals("GregorianChronology[UTC]"));

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test195"); }


    org.joda.time.DateTimeZone dateTimeZone2 = org.joda.time.DateTimeZone.forOffsetHoursMinutes(1, 1);
    java.lang.String str3 = dateTimeZone2.getID();
    org.joda.time.tz.CachedDateTimeZone cachedDateTimeZone4 = org.joda.time.tz.CachedDateTimeZone.forZone(dateTimeZone2);
    boolean b5 = cachedDateTimeZone4.isFixed();
    long long7 = cachedDateTimeZone4.nextTransition((-1L));
    org.joda.time.DateTimeZone dateTimeZone9 = org.joda.time.DateTimeZone.forOffsetMillis(10);
    org.joda.time.LocalDateTime localDateTime10 = null;
    boolean b11 = dateTimeZone9.isLocalDateTimeGap(localDateTime10);
    org.joda.time.tz.CachedDateTimeZone cachedDateTimeZone12 = org.joda.time.tz.CachedDateTimeZone.forZone(dateTimeZone9);
    long long14 = cachedDateTimeZone4.getMillisKeepLocal(dateTimeZone9, (-3659990L));
    long long18 = cachedDateTimeZone4.convertLocalToUTC(10L, false, 3659990L);
    boolean b19 = cachedDateTimeZone4.isFixed();
    java.util.Locale locale21 = null;
    java.lang.String str22 = cachedDateTimeZone4.getShortName(1456067095230L, locale21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+01:01"+ "'", str3.equals("+01:01"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(cachedDateTimeZone4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == (-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(cachedDateTimeZone12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long14 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long18 == (-3659990L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "+01:01"+ "'", str22.equals("+01:01"));

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test196"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstanceUTC();
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField2 = iSOChronology1.centuries();
    boolean b3 = gregorianChronology0.equals((java.lang.Object)iSOChronology1);
    org.joda.time.DateTimeField dateTimeField4 = gregorianChronology0.yearOfEra();
    org.joda.time.Chronology chronology5 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology5);

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test197"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt((-62131132745303L), (-60332374504780L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test198"); }


    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder7 = new org.joda.time.tz.DateTimeZoneBuilder();
    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder18 = dateTimeZoneBuilder7.addRecurringSavings("", 10, 100, 52, '#', 100, (-1), 10, false, 52);
    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder21 = dateTimeZoneBuilder7.setFixedSavings("hi!", 54);
    org.joda.time.DateTimeZone dateTimeZone24 = dateTimeZoneBuilder7.toDateTimeZone("", false);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime25 = new org.joda.time.DateTime(2016, 2860, 5, 17, 2860, 59, 54, dateTimeZone24);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZoneBuilder18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZoneBuilder21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone24);

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test199"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime.Property property3 = dateTime2.centuryOfEra();
    org.joda.time.DateTime dateTime5 = dateTime2.minus(10L);
    org.joda.time.DateTime dateTime7 = dateTime5.withMillis(100L);
    boolean b9 = dateTime5.isEqual(1L);
    org.joda.time.DateTime.Property property10 = dateTime5.year();
    org.joda.time.DateTime dateTime11 = org.joda.time.DateTime.now();
    int i12 = dateTime5.compareTo((org.joda.time.ReadableInstant)dateTime11);
    org.joda.time.DateTime dateTime13 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime15 = dateTime13.withYear(1);
    org.joda.time.DateTime.Property property16 = dateTime15.centuryOfEra();
    org.joda.time.DateTime dateTime18 = dateTime15.minus(10L);
    org.joda.time.DateTime dateTime20 = dateTime18.withMillis(100L);
    org.joda.time.DateTime dateTime21 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime23 = dateTime21.withYear(1);
    org.joda.time.DateTime.Property property24 = dateTime21.yearOfCentury();
    boolean b25 = dateTime21.isAfterNow();
    org.joda.time.DateTime dateTime27 = dateTime21.plusSeconds(55);
    org.joda.time.DateTime dateTime29 = dateTime27.minus((-9L));
    boolean b30 = dateTime18.isBefore((org.joda.time.ReadableInstant)dateTime29);
    boolean b31 = dateTime11.isBefore((org.joda.time.ReadableInstant)dateTime29);
    org.joda.time.DateTime dateTime33 = dateTime11.plusWeeks(57955220);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime33);

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test200"); }


    org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forOffsetHours(17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone1);

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test201"); }


    org.joda.time.DateTime dateTime2 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime4 = dateTime2.withYear(1);
    org.joda.time.DateTime.Property property5 = dateTime4.centuryOfEra();
    org.joda.time.DateTime dateTime7 = dateTime4.minus(10L);
    org.joda.time.DateTime dateTime9 = dateTime4.withMillis((-1L));
    org.joda.time.chrono.ISOChronology iSOChronology10 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField11 = iSOChronology10.eras();
    org.joda.time.DateTimeField dateTimeField12 = iSOChronology10.weekyear();
    org.joda.time.DateTime dateTime13 = dateTime9.withChronology((org.joda.time.Chronology)iSOChronology10);
    org.joda.time.DateTimeField dateTimeField14 = iSOChronology10.hourOfHalfday();
    org.joda.time.DateTime dateTime15 = new org.joda.time.DateTime(10L, (org.joda.time.Chronology)iSOChronology10);
    org.joda.time.DateTime dateTime16 = new org.joda.time.DateTime(3659990L, (org.joda.time.Chronology)iSOChronology10);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime18 = dateTime16.withEra(1970);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField14);

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test202"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime1 = org.joda.time.DateTime.parse("");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test203"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue(707, 707, 61615237, 21);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test204"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstanceUTC();
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField2 = iSOChronology1.centuries();
    boolean b3 = gregorianChronology0.equals((java.lang.Object)iSOChronology1);
    org.joda.time.DateTime dateTime4 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime6 = dateTime4.withYear(1);
    org.joda.time.DateTime.Property property7 = dateTime6.centuryOfEra();
    org.joda.time.DateTime dateTime9 = dateTime6.minus(10L);
    org.joda.time.DateTime dateTime11 = dateTime9.withMillis(100L);
    org.joda.time.DateTime dateTime13 = dateTime11.plusDays(59);
    org.joda.time.DateTime dateTime15 = dateTime11.withDayOfYear(59);
    boolean b16 = gregorianChronology0.equals((java.lang.Object)dateTime11);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone21 = new org.joda.time.tz.FixedDateTimeZone("+00:00:00.010", "hi!", (-1), 52);
    java.lang.String str23 = fixedDateTimeZone21.getNameKey((-9L));
    org.joda.time.DateTime dateTime24 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime26 = dateTime24.withYear(1);
    org.joda.time.DateTime.Property property27 = dateTime24.yearOfCentury();
    boolean b28 = dateTime24.isAfterNow();
    int i29 = dateTime24.getDayOfYear();
    org.joda.time.DateTime dateTime31 = dateTime24.plusMonths((-1));
    boolean b32 = fixedDateTimeZone21.equals((java.lang.Object)(-1));
    java.lang.String str34 = fixedDateTimeZone21.getNameKey((-10L));
    org.joda.time.DateTime dateTime35 = new org.joda.time.DateTime((org.joda.time.DateTimeZone)fixedDateTimeZone21);
    org.joda.time.chrono.ZonedChronology zonedChronology36 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)gregorianChronology0, (org.joda.time.DateTimeZone)fixedDateTimeZone21);
    // The following exception was thrown during execution in test generation
    try {
      long long42 = zonedChronology36.getDateTimeMillis(0L, 61615, 3660000, 2016, 2860);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "hi!"+ "'", str23.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str34 + "' != '" + "hi!"+ "'", str34.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(zonedChronology36);

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test205"); }


    int i4 = org.joda.time.field.FieldUtils.getWrappedValue(707, 17, 17, 60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 20);

  }

  @Test
  public void test206() {}
// Defects4J: flaky method
//   @Test
//   public void test206() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test206"); }
// 
// 
//     org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
//     org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
//     org.joda.time.DateTime.Property property3 = dateTime2.minuteOfHour();
//     int i4 = dateTime2.getMinuteOfDay();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i4 == 1026);
// 
//   }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test207"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstanceUTC();
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField2 = iSOChronology1.centuries();
    boolean b3 = gregorianChronology0.equals((java.lang.Object)iSOChronology1);
    org.joda.time.DateTime dateTime4 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime6 = dateTime4.withYear(1);
    org.joda.time.DateTime.Property property7 = dateTime6.centuryOfEra();
    org.joda.time.DateTime dateTime9 = dateTime6.minus(10L);
    org.joda.time.DateTime dateTime11 = dateTime9.withMillis(100L);
    org.joda.time.DateTime dateTime13 = dateTime11.plusDays(59);
    org.joda.time.DateTime dateTime15 = dateTime11.withDayOfYear(59);
    boolean b16 = gregorianChronology0.equals((java.lang.Object)dateTime11);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone21 = new org.joda.time.tz.FixedDateTimeZone("+00:00:00.010", "hi!", (-1), 52);
    java.lang.String str23 = fixedDateTimeZone21.getNameKey((-9L));
    org.joda.time.DateTime dateTime24 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime26 = dateTime24.withYear(1);
    org.joda.time.DateTime.Property property27 = dateTime24.yearOfCentury();
    boolean b28 = dateTime24.isAfterNow();
    int i29 = dateTime24.getDayOfYear();
    org.joda.time.DateTime dateTime31 = dateTime24.plusMonths((-1));
    boolean b32 = fixedDateTimeZone21.equals((java.lang.Object)(-1));
    java.lang.String str34 = fixedDateTimeZone21.getNameKey((-10L));
    org.joda.time.DateTime dateTime35 = new org.joda.time.DateTime((org.joda.time.DateTimeZone)fixedDateTimeZone21);
    org.joda.time.chrono.ZonedChronology zonedChronology36 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)gregorianChronology0, (org.joda.time.DateTimeZone)fixedDateTimeZone21);
    org.joda.time.DateTimeZone dateTimeZone39 = org.joda.time.DateTimeZone.forOffsetHoursMinutes(1, 1);
    boolean b41 = dateTimeZone39.isStandardOffset(10L);
    org.joda.time.Chronology chronology42 = zonedChronology36.withZone(dateTimeZone39);
    org.joda.time.DurationField durationField43 = zonedChronology36.years();
    // The following exception was thrown during execution in test generation
    try {
      long long48 = zonedChronology36.getDateTimeMillis(3660000, 4, 61615, 21);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "hi!"+ "'", str23.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str34 + "' != '" + "hi!"+ "'", str34.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(zonedChronology36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField43);

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test208"); }


    org.joda.time.field.RemainderDateTimeField remainderDateTimeField0 = null;
    org.joda.time.DateTimeFieldType dateTimeFieldType1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.DividedDateTimeField dividedDateTimeField2 = new org.joda.time.field.DividedDateTimeField(remainderDateTimeField0, dateTimeFieldType1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test209() {}
// Defects4J: flaky method
//   @Test
//   public void test209() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test209"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.minuteOfDay();
//     org.joda.time.DateTime dateTime3 = new org.joda.time.DateTime(0L, (org.joda.time.Chronology)iSOChronology1);
//     java.lang.String str4 = iSOChronology1.toString();
//     org.joda.time.DurationField durationField5 = iSOChronology1.eras();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str4 + "' != '" + "ISOChronology[+01:01]"+ "'", str4.equals("ISOChronology[+01:01]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField5);
// 
//   }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test210"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(1456067095230L, (-3660001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-5329207024608895230L));

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test211"); }


    java.io.InputStream inputStream0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTimeZone dateTimeZone2 = org.joda.time.tz.DateTimeZoneBuilder.readFrom(inputStream0, "2016-02-21T17:06:54.611+01:01");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test212"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(70, 7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 77);

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test213"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd((-9L), 1456063435230L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1456063435221L);

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test214"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField1 = iSOChronology0.centuries();
    org.joda.time.DurationField durationField2 = iSOChronology0.halfdays();
    org.joda.time.DateTimeZone dateTimeZone3 = iSOChronology0.getZone();
    org.joda.time.DateTimeField dateTimeField4 = iSOChronology0.secondOfDay();
    org.joda.time.DateTimeField dateTimeField5 = iSOChronology0.yearOfCentury();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField5);

  }

  @Test
  public void test215() {}
// Defects4J: flaky method
//   @Test
//   public void test215() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test215"); }
// 
// 
//     org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
//     org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
//     org.joda.time.DateTime.Property property3 = dateTime0.yearOfCentury();
//     boolean b4 = dateTime0.isAfterNow();
//     int i5 = dateTime0.getDayOfYear();
//     org.joda.time.DateTime dateTime7 = dateTime0.plusMonths((-1));
//     int i8 = dateTime7.getDayOfMonth();
//     org.joda.time.DateTime dateTime10 = dateTime7.withCenturyOfEra(52);
//     org.joda.time.DateTime dateTime12 = dateTime7.plusHours(10);
//     int i13 = dateTime12.getMinuteOfDay();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b4 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i5 == 52);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i8 == 21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i13 == 186);
// 
//   }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test216"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime.Property property3 = dateTime2.centuryOfEra();
    org.joda.time.DateTime dateTime5 = dateTime2.minus(10L);
    org.joda.time.DateTime dateTime7 = dateTime2.withMillis((-1L));
    org.joda.time.Instant instant8 = dateTime2.toInstant();
    org.joda.time.DateTime dateTime9 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime11 = dateTime9.withYear(1);
    int i12 = dateTime9.getSecondOfMinute();
    org.joda.time.Chronology chronology13 = org.joda.time.DateTimeUtils.getInstantChronology((org.joda.time.ReadableInstant)dateTime9);
    org.joda.time.DateTime dateTime14 = dateTime2.withChronology(chronology13);
    org.joda.time.DateTime.Property property15 = dateTime2.era();
    org.joda.time.DateTimeZone dateTimeZone18 = org.joda.time.DateTimeZone.forOffsetHoursMinutes(1, 1);
    java.lang.String str19 = dateTimeZone18.getID();
    org.joda.time.tz.CachedDateTimeZone cachedDateTimeZone20 = org.joda.time.tz.CachedDateTimeZone.forZone(dateTimeZone18);
    boolean b21 = cachedDateTimeZone20.isFixed();
    long long23 = cachedDateTimeZone20.nextTransition((-1L));
    org.joda.time.DateTimeZone dateTimeZone25 = org.joda.time.DateTimeZone.forOffsetMillis(10);
    org.joda.time.LocalDateTime localDateTime26 = null;
    boolean b27 = dateTimeZone25.isLocalDateTimeGap(localDateTime26);
    org.joda.time.tz.CachedDateTimeZone cachedDateTimeZone28 = org.joda.time.tz.CachedDateTimeZone.forZone(dateTimeZone25);
    long long30 = cachedDateTimeZone20.getMillisKeepLocal(dateTimeZone25, (-3659990L));
    org.joda.time.DateTime dateTime31 = dateTime2.withZone((org.joda.time.DateTimeZone)cachedDateTimeZone20);
    org.joda.time.DateTime dateTime33 = dateTime2.withCenturyOfEra(10);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime35 = dateTime33.withEra(186);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(instant8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "+01:01"+ "'", str19.equals("+01:01"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(cachedDateTimeZone20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long23 == (-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(cachedDateTimeZone28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long30 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime33);

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test217"); }


    org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forOffsetMillis(10);
    org.joda.time.LocalDateTime localDateTime2 = null;
    boolean b3 = dateTimeZone1.isLocalDateTimeGap(localDateTime2);
    boolean b5 = dateTimeZone1.isStandardOffset(0L);
    java.util.Locale locale7 = null;
    java.lang.String str8 = dateTimeZone1.getShortName(1456074415220L, locale7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "+00:00:00.010"+ "'", str8.equals("+00:00:00.010"));

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test218"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiply(16, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 16);

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test219"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime.Property property3 = dateTime2.centuryOfEra();
    org.joda.time.DateTime dateTime5 = dateTime2.minus(10L);
    org.joda.time.DateTime dateTime7 = dateTime2.withMillis((-1L));
    org.joda.time.chrono.ISOChronology iSOChronology8 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField9 = iSOChronology8.eras();
    org.joda.time.DateTimeField dateTimeField10 = iSOChronology8.weekyear();
    org.joda.time.DateTime dateTime11 = dateTime7.withChronology((org.joda.time.Chronology)iSOChronology8);
    org.joda.time.DateTimeField dateTimeField12 = iSOChronology8.hourOfHalfday();
    org.joda.time.DurationField durationField13 = iSOChronology8.years();
    org.joda.time.ReadablePeriod readablePeriod14 = null;
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array17 = iSOChronology8.get(readablePeriod14, 1456070755176L, 1456074415220L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField13);

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test220"); }


    org.joda.time.ReadableInterval readableInterval0 = null;
    org.joda.time.ReadableInterval readableInterval1 = org.joda.time.DateTimeUtils.getReadableInterval(readableInterval0);
    org.joda.time.ReadableInterval readableInterval2 = org.joda.time.DateTimeUtils.getReadableInterval(readableInterval0);
    org.joda.time.ReadableInterval readableInterval3 = org.joda.time.DateTimeUtils.getReadableInterval(readableInterval0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(readableInterval1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(readableInterval2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(readableInterval3);

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test221"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime.Property property3 = dateTime2.centuryOfEra();
    org.joda.time.DateTime dateTime5 = dateTime2.minus(10L);
    org.joda.time.DateTime dateTime7 = dateTime2.withMillis((-1L));
    org.joda.time.chrono.ISOChronology iSOChronology8 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField9 = iSOChronology8.eras();
    org.joda.time.DateTimeField dateTimeField10 = iSOChronology8.weekyear();
    org.joda.time.DateTime dateTime11 = dateTime7.withChronology((org.joda.time.Chronology)iSOChronology8);
    org.joda.time.ReadableDuration readableDuration12 = null;
    org.joda.time.DateTime dateTime13 = dateTime11.plus(readableDuration12);
    int i14 = dateTime13.getWeekyear();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 1970);

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test222"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime dateTime4 = dateTime2.plusHours((-1));
    org.joda.time.DateTime.Property property5 = dateTime2.year();
    org.joda.time.DateTime dateTime7 = dateTime2.withMillisOfSecond(70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test223"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime.Property property3 = dateTime2.centuryOfEra();
    org.joda.time.DateTime dateTime5 = dateTime2.minus(10L);
    org.joda.time.DateTime dateTime7 = dateTime2.withMillis((-1L));
    org.joda.time.chrono.ISOChronology iSOChronology8 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField9 = iSOChronology8.eras();
    org.joda.time.DateTimeField dateTimeField10 = iSOChronology8.weekyear();
    org.joda.time.DateTime dateTime11 = dateTime7.withChronology((org.joda.time.Chronology)iSOChronology8);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime13 = dateTime11.withEra(58);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime11);

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test224"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract(0L, 1456063435230L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-1456063435230L));

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test225"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime.Property property3 = dateTime0.yearOfCentury();
    org.joda.time.DateTime dateTime4 = dateTime0.toDateTime();
    org.joda.time.DateTime dateTime6 = dateTime4.withMinuteOfHour(59);
    org.joda.time.DateTime dateTime7 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime9 = dateTime7.withYear(1);
    org.joda.time.DateTime.Property property10 = dateTime9.centuryOfEra();
    org.joda.time.DateTime dateTime12 = dateTime9.minus(10L);
    org.joda.time.DateTime dateTime14 = dateTime9.withMillis((-1L));
    int i15 = dateTime14.getSecondOfMinute();
    boolean b16 = dateTime4.isBefore((org.joda.time.ReadableInstant)dateTime14);
    org.joda.time.Chronology chronology17 = dateTime14.getChronology();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology17);

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test226"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue(60, 20, 0, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test227() {}
// Defects4J: flaky method
//   @Test
//   public void test227() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test227"); }
// 
// 
//     org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
//     org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
//     org.joda.time.DateTime.Property property3 = dateTime0.yearOfCentury();
//     boolean b4 = dateTime0.isAfterNow();
//     org.joda.time.DateTime dateTime6 = dateTime0.plusSeconds(55);
//     org.joda.time.chrono.GregorianChronology gregorianChronology7 = org.joda.time.chrono.GregorianChronology.getInstance();
//     org.joda.time.DateTime dateTime8 = org.joda.time.DateTime.now();
//     org.joda.time.DateTime dateTime10 = dateTime8.withYear(1);
//     org.joda.time.DateTime.Property property11 = dateTime10.centuryOfEra();
//     org.joda.time.DateTime dateTime13 = dateTime10.minus(10L);
//     org.joda.time.DateTime dateTime15 = dateTime13.minusMillis(59);
//     int i16 = dateTime13.getYear();
//     org.joda.time.DateTime.Property property17 = dateTime13.secondOfDay();
//     org.joda.time.DateTime dateTime19 = dateTime13.plusMonths(54);
//     boolean b20 = gregorianChronology7.equals((java.lang.Object)dateTime13);
//     org.joda.time.DateTimeField dateTimeField21 = gregorianChronology7.hourOfHalfday();
//     java.lang.String str22 = gregorianChronology7.toString();
//     org.joda.time.MutableDateTime mutableDateTime23 = dateTime6.toMutableDateTime((org.joda.time.Chronology)gregorianChronology7);
//     org.joda.time.DateTimeZone dateTimeZone24 = gregorianChronology7.getZone();
//     org.joda.time.ReadablePeriod readablePeriod25 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       int[] i_array27 = gregorianChronology7.get(readablePeriod25, (-3660001L));
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b4 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gregorianChronology7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i16 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b20 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str22 + "' != '" + "GregorianChronology[+01:01]"+ "'", str22.equals("GregorianChronology[+01:01]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone24);
// 
//   }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test228"); }


    int i1 = org.joda.time.field.FieldUtils.safeToInt((-10L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-10));

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test229"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 5, 1, 2860);

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test230"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply((-62131136105303L), 2860);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-177695049261166580L));

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test231"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField1 = iSOChronology0.eras();
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.weekyear();
    org.joda.time.DurationField durationField3 = iSOChronology0.hours();
    org.joda.time.DateTimeField dateTimeField4 = iSOChronology0.yearOfCentury();
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.OffsetDateTimeField offsetDateTimeField9 = new org.joda.time.field.OffsetDateTimeField(dateTimeField4, dateTimeFieldType5, 57955220, 0, 61615237);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField4);

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test232"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(durationFieldType0, "2016-02-21T17:06:54.707+01:01");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test233() {}
// Defects4J: flaky method
//   @Test
//   public void test233() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test233"); }
// 
// 
//     org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
//     org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
//     org.joda.time.DateTime.Property property3 = dateTime2.centuryOfEra();
//     org.joda.time.DateTime dateTime5 = dateTime2.minus(10L);
//     org.joda.time.DateTime dateTime7 = dateTime2.withMillis((-1L));
//     org.joda.time.Instant instant8 = dateTime2.toInstant();
//     org.joda.time.DateTime dateTime9 = org.joda.time.DateTime.now();
//     org.joda.time.DateTime dateTime11 = dateTime9.withYear(1);
//     int i12 = dateTime9.getSecondOfMinute();
//     org.joda.time.Chronology chronology13 = org.joda.time.DateTimeUtils.getInstantChronology((org.joda.time.ReadableInstant)dateTime9);
//     org.joda.time.DateTime dateTime14 = dateTime2.withChronology(chronology13);
//     org.joda.time.DateTime dateTime15 = org.joda.time.DateTime.now(chronology13);
//     org.joda.time.ReadableDuration readableDuration16 = null;
//     org.joda.time.DateTime dateTime17 = dateTime15.plus(readableDuration16);
//     int i18 = dateTime17.getMillisOfDay();
//     org.joda.time.DateTimeFieldType dateTimeFieldType19 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.DateTime.Property property20 = dateTime17.property(dateTimeFieldType19);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(instant8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i12 == 54);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i18 == 61614707);
// 
//   }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test234"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField2 = iSOChronology1.centuries();
    org.joda.time.DurationField durationField3 = iSOChronology1.halfdays();
    org.joda.time.DateTimeZone dateTimeZone4 = iSOChronology1.getZone();
    org.joda.time.DurationField durationField5 = iSOChronology1.eras();
    org.joda.time.chrono.ISOChronology iSOChronology7 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField8 = iSOChronology7.centuries();
    org.joda.time.DateTime dateTime9 = new org.joda.time.DateTime(0L, (org.joda.time.Chronology)iSOChronology7);
    org.joda.time.DurationField durationField10 = iSOChronology7.years();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.PreciseDateTimeField preciseDateTimeField11 = new org.joda.time.field.PreciseDateTimeField(dateTimeFieldType0, durationField5, durationField10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField10);

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test235"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime.Property property3 = dateTime0.yearOfCentury();
    boolean b4 = dateTime0.isAfterNow();
    org.joda.time.DateTime dateTime6 = dateTime0.plusSeconds(55);
    int i7 = dateTime6.getMonthOfYear();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 2);

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test236"); }


    org.joda.time.DateTimeZone dateTimeZone2 = org.joda.time.DateTimeZone.forOffsetHoursMinutes(1, 1);
    java.lang.String str3 = dateTimeZone2.getID();
    org.joda.time.tz.CachedDateTimeZone cachedDateTimeZone4 = org.joda.time.tz.CachedDateTimeZone.forZone(dateTimeZone2);
    boolean b5 = cachedDateTimeZone4.isFixed();
    long long7 = cachedDateTimeZone4.nextTransition((-1L));
    org.joda.time.DateTimeZone dateTimeZone9 = org.joda.time.DateTimeZone.forOffsetMillis(10);
    org.joda.time.LocalDateTime localDateTime10 = null;
    boolean b11 = dateTimeZone9.isLocalDateTimeGap(localDateTime10);
    org.joda.time.tz.CachedDateTimeZone cachedDateTimeZone12 = org.joda.time.tz.CachedDateTimeZone.forZone(dateTimeZone9);
    long long14 = cachedDateTimeZone4.getMillisKeepLocal(dateTimeZone9, (-3659990L));
    boolean b15 = cachedDateTimeZone4.isFixed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+01:01"+ "'", str3.equals("+01:01"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(cachedDateTimeZone4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == (-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(cachedDateTimeZone12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long14 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == true);

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test237"); }


    org.joda.time.DateTime dateTime7 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime9 = dateTime7.withYear(1);
    org.joda.time.DateTime.Property property10 = dateTime9.centuryOfEra();
    org.joda.time.DateTime dateTime12 = dateTime9.minus(10L);
    org.joda.time.DateTime dateTime14 = dateTime9.withMillis((-1L));
    org.joda.time.chrono.ISOChronology iSOChronology15 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField16 = iSOChronology15.eras();
    org.joda.time.DateTimeField dateTimeField17 = iSOChronology15.weekyear();
    org.joda.time.DateTime dateTime18 = dateTime14.withChronology((org.joda.time.Chronology)iSOChronology15);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime19 = new org.joda.time.DateTime(51, 61615, 10, (-1), 61614707, 0, 1, (org.joda.time.Chronology)iSOChronology15);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime18);

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test238"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime.Property property3 = dateTime2.centuryOfEra();
    org.joda.time.DateTime dateTime5 = dateTime2.minus(10L);
    org.joda.time.DateTime dateTime7 = dateTime5.withMillis(100L);
    org.joda.time.DateTime.Property property8 = dateTime5.millisOfSecond();
    org.joda.time.chrono.GregorianChronology gregorianChronology9 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.DateTime dateTime10 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime12 = dateTime10.withYear(1);
    org.joda.time.DateTime.Property property13 = dateTime12.centuryOfEra();
    org.joda.time.DateTime dateTime15 = dateTime12.minus(10L);
    org.joda.time.DateTime dateTime17 = dateTime15.minusMillis(59);
    int i18 = dateTime15.getYear();
    org.joda.time.DateTime.Property property19 = dateTime15.secondOfDay();
    org.joda.time.DateTime dateTime21 = dateTime15.plusMonths(54);
    boolean b22 = gregorianChronology9.equals((java.lang.Object)dateTime15);
    boolean b23 = dateTime5.isBefore((org.joda.time.ReadableInstant)dateTime15);
    org.joda.time.ReadableDuration readableDuration24 = null;
    org.joda.time.DateTime dateTime25 = dateTime5.minus(readableDuration24);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime27 = dateTime25.withEra(55);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime25);

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test239"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(2016, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2016);

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test240"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.minuteOfDay();
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.millisOfSecond();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology0.weekOfWeekyear();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField3, 2016, 2016, 54);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test241"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime.Property property3 = dateTime2.centuryOfEra();
    org.joda.time.DateTime dateTime5 = dateTime2.minus(10L);
    org.joda.time.DateTime dateTime7 = dateTime5.withMillis(100L);
    boolean b9 = dateTime5.isEqual(1L);
    org.joda.time.DateTime.Property property10 = dateTime5.year();
    org.joda.time.DateTime dateTime11 = org.joda.time.DateTime.now();
    int i12 = dateTime5.compareTo((org.joda.time.ReadableInstant)dateTime11);
    org.joda.time.chrono.ISOChronology iSOChronology13 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField14 = iSOChronology13.minuteOfDay();
    org.joda.time.DateTimeField dateTimeField15 = iSOChronology13.millisOfSecond();
    org.joda.time.Chronology chronology16 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)iSOChronology13);
    org.joda.time.Chronology chronology17 = iSOChronology13.withUTC();
    org.joda.time.chrono.ISOChronology iSOChronology18 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField19 = iSOChronology18.centuries();
    org.joda.time.DurationField durationField20 = iSOChronology18.halfdays();
    org.joda.time.DateTimeZone dateTimeZone21 = iSOChronology18.getZone();
    org.joda.time.chrono.ZonedChronology zonedChronology22 = org.joda.time.chrono.ZonedChronology.getInstance(chronology17, dateTimeZone21);
    org.joda.time.DateTime dateTime24 = org.joda.time.DateTime.parse("2016-02-21T17:06:55.088+01:01");
    boolean b25 = zonedChronology22.equals((java.lang.Object)dateTime24);
    org.joda.time.DateTime dateTime26 = dateTime11.withChronology((org.joda.time.Chronology)zonedChronology22);
    // The following exception was thrown during execution in test generation
    try {
      long long34 = zonedChronology22.getDateTimeMillis(21, (-2016), 0, 57955220, 5, 61614707, 20);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(zonedChronology22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime26);

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test242"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(0L, (-5329207024608895230L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test243() {}
// Defects4J: flaky method
//   @Test
//   public void test243() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test243"); }
// 
// 
//     org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
//     org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
//     org.joda.time.DateTime.Property property3 = dateTime2.centuryOfEra();
//     org.joda.time.DateTime dateTime5 = dateTime2.minus(10L);
//     org.joda.time.DateTime dateTime7 = dateTime5.minusMillis(59);
//     int i8 = dateTime5.getYear();
//     org.joda.time.DateTime.Property property9 = dateTime5.secondOfDay();
//     org.joda.time.DateTime dateTime10 = org.joda.time.DateTime.now();
//     org.joda.time.DateTime dateTime12 = dateTime10.withYear(1);
//     int i13 = dateTime10.getSecondOfMinute();
//     java.lang.String str14 = dateTime10.toString();
//     boolean b15 = dateTime5.isAfter((org.joda.time.ReadableInstant)dateTime10);
//     org.joda.time.LocalTime localTime16 = dateTime10.toLocalTime();
//     org.joda.time.DateTime.Property property17 = dateTime10.yearOfCentury();
//     java.util.Locale locale19 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       java.lang.String str20 = dateTime10.toString("2016-01-21T17:06:54.707+01:01", locale19);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i8 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i13 == 54);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str14 + "' != '" + "2016-02-21T17:06:54.707+01:01"+ "'", str14.equals("2016-02-21T17:06:54.707+01:01"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b15 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localTime16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property17);
// 
//   }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test244"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.PreciseDurationField preciseDurationField2 = new org.joda.time.field.PreciseDurationField(durationFieldType0, (-7319990L));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test245() {}
// Defects4J: flaky method
//   @Test
//   public void test245() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test245"); }
// 
// 
//     org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
//     org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
//     org.joda.time.DateTime.Property property3 = dateTime2.centuryOfEra();
//     org.joda.time.DateTime dateTime5 = dateTime2.minus(10L);
//     org.joda.time.DateTime dateTime7 = dateTime5.withMillis(100L);
//     org.joda.time.DateTime dateTime9 = dateTime7.plusDays(59);
//     org.joda.time.DateTime.Property property10 = dateTime7.centuryOfEra();
//     int i11 = dateTime7.getYearOfEra();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i11 == 1970);
// 
//   }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test246"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forOffsetHours(57955220);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test247"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    int i3 = dateTime0.getSecondOfMinute();
    org.joda.time.DateTime dateTime5 = dateTime0.plusMinutes(59);
    boolean b6 = dateTime0.isAfterNow();
    org.joda.time.chrono.ISOChronology iSOChronology7 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField8 = iSOChronology7.minuteOfDay();
    org.joda.time.DateTimeField dateTimeField9 = iSOChronology7.millisOfSecond();
    org.joda.time.DateTimeField dateTimeField10 = iSOChronology7.weekOfWeekyear();
    org.joda.time.MutableDateTime mutableDateTime11 = dateTime0.toMutableDateTime((org.joda.time.Chronology)iSOChronology7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime11);

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test248"); }


    org.joda.time.ReadableDuration readableDuration0 = null;
    long long1 = org.joda.time.DateTimeUtils.getDurationMillis(readableDuration0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test249"); }


    java.io.DataInput dataInput0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTimeZone dateTimeZone2 = org.joda.time.tz.DateTimeZoneBuilder.readFrom(dataInput0, "ISOChronology[+00:00:00.010]");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test250"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime.Property property3 = dateTime2.centuryOfEra();
    org.joda.time.DateTime dateTime5 = dateTime2.minus(10L);
    org.joda.time.DateTime dateTime7 = dateTime5.withMillis(100L);
    org.joda.time.DateTime.Property property8 = dateTime5.millisOfSecond();
    org.joda.time.DateTime dateTime10 = dateTime5.withMillisOfSecond(100);
    org.joda.time.DateTimeZone dateTimeZone11 = org.joda.time.DateTimeZone.UTC;
    org.joda.time.DateTime dateTime12 = dateTime10.withZoneRetainFields(dateTimeZone11);
    org.joda.time.DateMidnight dateMidnight13 = dateTime12.toDateMidnight();
    org.joda.time.DateTime.Property property14 = dateTime12.weekOfWeekyear();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property14);

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test251"); }


    org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.UTC;
    org.joda.time.tz.CachedDateTimeZone cachedDateTimeZone2 = org.joda.time.tz.CachedDateTimeZone.forZone(dateTimeZone1);
    org.joda.time.DateTime dateTime3 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime5 = dateTime3.withYear(1);
    org.joda.time.DateTime.Property property6 = dateTime5.centuryOfEra();
    org.joda.time.DateTime dateTime8 = dateTime5.minus(10L);
    org.joda.time.DateTime dateTime10 = dateTime8.withMillis(100L);
    org.joda.time.DateTime.Property property11 = dateTime8.millisOfSecond();
    boolean b12 = cachedDateTimeZone2.equals((java.lang.Object)property11);
    boolean b14 = cachedDateTimeZone2.equals((java.lang.Object)(byte)100);
    org.joda.time.DateTime dateTime15 = new org.joda.time.DateTime(0L, (org.joda.time.DateTimeZone)cachedDateTimeZone2);
    org.joda.time.DateTimeFieldType dateTimeFieldType16 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i17 = dateTime15.get(dateTimeFieldType16);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(cachedDateTimeZone2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test252"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstanceUTC();
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField2 = iSOChronology1.centuries();
    boolean b3 = gregorianChronology0.equals((java.lang.Object)iSOChronology1);
    org.joda.time.DateTime dateTime4 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime6 = dateTime4.withYear(1);
    org.joda.time.DateTime.Property property7 = dateTime6.centuryOfEra();
    org.joda.time.DateTime dateTime9 = dateTime6.minus(10L);
    org.joda.time.DateTime dateTime11 = dateTime9.withMillis(100L);
    org.joda.time.DateTime dateTime13 = dateTime11.plusDays(59);
    org.joda.time.DateTime dateTime15 = dateTime11.withDayOfYear(59);
    boolean b16 = gregorianChronology0.equals((java.lang.Object)dateTime11);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone21 = new org.joda.time.tz.FixedDateTimeZone("+00:00:00.010", "hi!", (-1), 52);
    java.lang.String str23 = fixedDateTimeZone21.getNameKey((-9L));
    org.joda.time.DateTime dateTime24 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime26 = dateTime24.withYear(1);
    org.joda.time.DateTime.Property property27 = dateTime24.yearOfCentury();
    boolean b28 = dateTime24.isAfterNow();
    int i29 = dateTime24.getDayOfYear();
    org.joda.time.DateTime dateTime31 = dateTime24.plusMonths((-1));
    boolean b32 = fixedDateTimeZone21.equals((java.lang.Object)(-1));
    java.lang.String str34 = fixedDateTimeZone21.getNameKey((-10L));
    org.joda.time.DateTime dateTime35 = new org.joda.time.DateTime((org.joda.time.DateTimeZone)fixedDateTimeZone21);
    org.joda.time.chrono.ZonedChronology zonedChronology36 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)gregorianChronology0, (org.joda.time.DateTimeZone)fixedDateTimeZone21);
    org.joda.time.DateTimeZone dateTimeZone37 = zonedChronology36.getZone();
    // The following exception was thrown during execution in test generation
    try {
      long long45 = zonedChronology36.getDateTimeMillis(7, 60, (-2016), 5, 10, 1, 61614697);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "hi!"+ "'", str23.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str34 + "' != '" + "hi!"+ "'", str34.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(zonedChronology36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone37);

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test253"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(1456063435221L, (-3659990L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-5329177612274507790L));

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test254"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.IllegalFieldValueException illegalFieldValueException5 = new org.joda.time.IllegalFieldValueException("hi!", "");
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException5);
    java.lang.Number number7 = illegalFieldValueException2.getUpperBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType8 = illegalFieldValueException2.getDateTimeFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType8);

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test255"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstanceUTC();
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField2 = iSOChronology1.centuries();
    boolean b3 = gregorianChronology0.equals((java.lang.Object)iSOChronology1);
    org.joda.time.DateTime dateTime4 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime6 = dateTime4.withYear(1);
    org.joda.time.DateTime.Property property7 = dateTime6.centuryOfEra();
    org.joda.time.DateTime dateTime9 = dateTime6.minus(10L);
    org.joda.time.DateTime dateTime11 = dateTime9.withMillis(100L);
    org.joda.time.DateTime dateTime13 = dateTime11.plusDays(59);
    org.joda.time.DateTime dateTime15 = dateTime11.withDayOfYear(59);
    boolean b16 = gregorianChronology0.equals((java.lang.Object)dateTime11);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone21 = new org.joda.time.tz.FixedDateTimeZone("+00:00:00.010", "hi!", (-1), 52);
    java.lang.String str23 = fixedDateTimeZone21.getNameKey((-9L));
    org.joda.time.DateTime dateTime24 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime26 = dateTime24.withYear(1);
    org.joda.time.DateTime.Property property27 = dateTime24.yearOfCentury();
    boolean b28 = dateTime24.isAfterNow();
    int i29 = dateTime24.getDayOfYear();
    org.joda.time.DateTime dateTime31 = dateTime24.plusMonths((-1));
    boolean b32 = fixedDateTimeZone21.equals((java.lang.Object)(-1));
    java.lang.String str34 = fixedDateTimeZone21.getNameKey((-10L));
    org.joda.time.DateTime dateTime35 = new org.joda.time.DateTime((org.joda.time.DateTimeZone)fixedDateTimeZone21);
    org.joda.time.chrono.ZonedChronology zonedChronology36 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)gregorianChronology0, (org.joda.time.DateTimeZone)fixedDateTimeZone21);
    // The following exception was thrown during execution in test generation
    try {
      long long42 = zonedChronology36.getDateTimeMillis((-62131132445303L), 0, (-55), 17, 2016);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "hi!"+ "'", str23.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str34 + "' != '" + "hi!"+ "'", str34.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(zonedChronology36);

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test256"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("+00:00:00.010", "1970-02-28T01:01:00.100+01:01");
    java.lang.Number number3 = illegalFieldValueException2.getLowerBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test257"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime7 = new org.joda.time.DateTime(0, 100, 52, 0, 2, 61614707, 61615237);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test258"); }


    org.joda.time.tz.DefaultNameProvider defaultNameProvider0 = new org.joda.time.tz.DefaultNameProvider();
    java.util.Locale locale1 = null;
    java.lang.String str4 = defaultNameProvider0.getShortName(locale1, "ISOChronology[+00:00:00.010]", "");
    org.joda.time.DateTimeZone.setNameProvider((org.joda.time.tz.NameProvider)defaultNameProvider0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str4);

  }

  @Test
  public void test259() {}
// Defects4J: flaky method
//   @Test
//   public void test259() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test259"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.minuteOfDay();
//     org.joda.time.DateTime dateTime3 = new org.joda.time.DateTime(0L, (org.joda.time.Chronology)iSOChronology1);
//     org.joda.time.chrono.ISOChronology iSOChronology4 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField5 = iSOChronology4.minuteOfDay();
//     org.joda.time.DateTimeField dateTimeField6 = iSOChronology4.millisOfSecond();
//     org.joda.time.DateTimeField dateTimeField7 = iSOChronology4.hourOfDay();
//     org.joda.time.DateTime dateTime8 = org.joda.time.DateTime.now();
//     org.joda.time.DateTime dateTime10 = dateTime8.withYear(1);
//     org.joda.time.DateTime.Property property11 = dateTime8.yearOfCentury();
//     org.joda.time.DateTime dateTime12 = dateTime8.toDateTime();
//     org.joda.time.LocalDate localDate13 = dateTime12.toLocalDate();
//     int[] i_array15 = iSOChronology4.get((org.joda.time.ReadablePartial)localDate13, 10L);
//     int[] i_array17 = iSOChronology1.get((org.joda.time.ReadablePartial)localDate13, 0L);
//     org.joda.time.DateTimeField dateTimeField18 = iSOChronology1.weekOfWeekyear();
//     java.lang.String str19 = iSOChronology1.toString();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str19 + "' != '" + "ISOChronology[+01:01]"+ "'", str19.equals("ISOChronology[+01:01]"));
// 
//   }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test260"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(10L, (-62131132745303L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-621311327453030L));

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test261"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstanceUTC();
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField2 = iSOChronology1.centuries();
    boolean b3 = gregorianChronology0.equals((java.lang.Object)iSOChronology1);
    org.joda.time.DateTimeField dateTimeField4 = gregorianChronology0.centuryOfEra();
    java.lang.Object obj5 = null;
    org.joda.time.DateTime dateTime6 = new org.joda.time.DateTime(obj5);
    boolean b7 = gregorianChronology0.equals((java.lang.Object)dateTime6);
    // The following exception was thrown during execution in test generation
    try {
      long long12 = gregorianChronology0.getDateTimeMillis(100, 52, 3660000, 59);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test262"); }


    org.joda.time.Chronology chronology7 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime8 = new org.joda.time.DateTime(20, (-55), 54, 10, 21, 3660000, 707, chronology7);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test263"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime.Property property3 = dateTime2.hourOfDay();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property3);

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test264"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    int i3 = dateTime0.getSecondOfMinute();
    org.joda.time.ReadablePartial readablePartial4 = null;
    org.joda.time.DateTime dateTime5 = dateTime0.withFields(readablePartial4);
    org.joda.time.DateTime dateTime6 = dateTime5.withEarlierOffsetAtOverlap();
    org.joda.time.DateTime dateTime8 = dateTime5.withWeekyear(1);
    org.joda.time.DateTime dateTime10 = dateTime8.minusMinutes(16);
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i12 = dateTime10.get(dateTimeFieldType11);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime10);

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test265"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    java.lang.Number number2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(short)(-1), number2, (java.lang.Number)(-62131132745303L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test266() {}
// Defects4J: flaky method
//   @Test
//   public void test266() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test266"); }
// 
// 
//     org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
//     org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
//     org.joda.time.DateTime.Property property3 = dateTime0.yearOfCentury();
//     boolean b4 = dateTime0.isAfterNow();
//     org.joda.time.DateTime dateTime6 = dateTime0.plusSeconds(55);
//     org.joda.time.chrono.GregorianChronology gregorianChronology7 = org.joda.time.chrono.GregorianChronology.getInstance();
//     org.joda.time.DateTime dateTime8 = org.joda.time.DateTime.now();
//     org.joda.time.DateTime dateTime10 = dateTime8.withYear(1);
//     org.joda.time.DateTime.Property property11 = dateTime10.centuryOfEra();
//     org.joda.time.DateTime dateTime13 = dateTime10.minus(10L);
//     org.joda.time.DateTime dateTime15 = dateTime13.minusMillis(59);
//     int i16 = dateTime13.getYear();
//     org.joda.time.DateTime.Property property17 = dateTime13.secondOfDay();
//     org.joda.time.DateTime dateTime19 = dateTime13.plusMonths(54);
//     boolean b20 = gregorianChronology7.equals((java.lang.Object)dateTime13);
//     org.joda.time.DateTimeField dateTimeField21 = gregorianChronology7.hourOfHalfday();
//     java.lang.String str22 = gregorianChronology7.toString();
//     org.joda.time.MutableDateTime mutableDateTime23 = dateTime6.toMutableDateTime((org.joda.time.Chronology)gregorianChronology7);
//     org.joda.time.DateTimeZone dateTimeZone24 = gregorianChronology7.getZone();
//     // The following exception was thrown during execution in test generation
//     try {
//       long long32 = gregorianChronology7.getDateTimeMillis(70, 61615, 60, 54, 2016, 0, 0);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b4 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gregorianChronology7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i16 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b20 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str22 + "' != '" + "GregorianChronology[+01:01]"+ "'", str22.equals("GregorianChronology[+01:01]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone24);
// 
//   }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test267"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTimeZone dateTimeZone2 = org.joda.time.DateTimeZone.forOffsetHoursMinutes(16, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test268() {}
// Defects4J: flaky method
//   @Test
//   public void test268() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test268"); }
// 
// 
//     org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
//     org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
//     org.joda.time.DateTime.Property property3 = dateTime2.centuryOfEra();
//     int i4 = dateTime2.getMinuteOfHour();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i4 == 6);
// 
//   }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test269"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(durationFieldType0, "2016-01-21T17:06:54.707+01:01");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test270"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstanceUTC();
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField2 = iSOChronology1.centuries();
    boolean b3 = gregorianChronology0.equals((java.lang.Object)iSOChronology1);
    org.joda.time.DateTimeField dateTimeField4 = gregorianChronology0.centuryOfEra();
    java.lang.Object obj5 = null;
    org.joda.time.DateTime dateTime6 = new org.joda.time.DateTime(obj5);
    boolean b7 = gregorianChronology0.equals((java.lang.Object)dateTime6);
    org.joda.time.ReadablePeriod readablePeriod8 = null;
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array10 = gregorianChronology0.get(readablePeriod8, 1456063435230L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test271"); }


    org.joda.time.DateTimeZone dateTimeZone2 = org.joda.time.DateTimeZone.forOffsetHoursMinutes(1, 1);
    java.lang.String str3 = dateTimeZone2.getID();
    org.joda.time.tz.CachedDateTimeZone cachedDateTimeZone4 = org.joda.time.tz.CachedDateTimeZone.forZone(dateTimeZone2);
    boolean b5 = cachedDateTimeZone4.isFixed();
    long long7 = cachedDateTimeZone4.nextTransition((-1L));
    boolean b8 = cachedDateTimeZone4.isFixed();
    int i10 = cachedDateTimeZone4.getOffset((-9L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+01:01"+ "'", str3.equals("+01:01"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(cachedDateTimeZone4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == (-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 3660000);

  }

  @Test
  public void test272() {}
// Defects4J: flaky method
//   @Test
//   public void test272() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test272"); }
// 
// 
//     org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
//     org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
//     org.joda.time.DateTime.Property property3 = dateTime2.centuryOfEra();
//     org.joda.time.DateTime dateTime5 = dateTime2.minus(10L);
//     org.joda.time.DateTime dateTime7 = dateTime2.withMillis((-1L));
//     org.joda.time.Instant instant8 = dateTime2.toInstant();
//     org.joda.time.DateTime dateTime9 = org.joda.time.DateTime.now();
//     org.joda.time.DateTime dateTime11 = dateTime9.withYear(1);
//     int i12 = dateTime9.getSecondOfMinute();
//     org.joda.time.Chronology chronology13 = org.joda.time.DateTimeUtils.getInstantChronology((org.joda.time.ReadableInstant)dateTime9);
//     org.joda.time.DateTime dateTime14 = dateTime2.withChronology(chronology13);
//     org.joda.time.DateTime.Property property15 = dateTime2.era();
//     org.joda.time.DateTimeZone dateTimeZone18 = org.joda.time.DateTimeZone.forOffsetHoursMinutes(1, 1);
//     java.lang.String str19 = dateTimeZone18.getID();
//     org.joda.time.tz.CachedDateTimeZone cachedDateTimeZone20 = org.joda.time.tz.CachedDateTimeZone.forZone(dateTimeZone18);
//     boolean b21 = cachedDateTimeZone20.isFixed();
//     long long23 = cachedDateTimeZone20.nextTransition((-1L));
//     org.joda.time.DateTimeZone dateTimeZone25 = org.joda.time.DateTimeZone.forOffsetMillis(10);
//     org.joda.time.LocalDateTime localDateTime26 = null;
//     boolean b27 = dateTimeZone25.isLocalDateTimeGap(localDateTime26);
//     org.joda.time.tz.CachedDateTimeZone cachedDateTimeZone28 = org.joda.time.tz.CachedDateTimeZone.forZone(dateTimeZone25);
//     long long30 = cachedDateTimeZone20.getMillisKeepLocal(dateTimeZone25, (-3659990L));
//     org.joda.time.DateTime dateTime31 = dateTime2.withZone((org.joda.time.DateTimeZone)cachedDateTimeZone20);
//     org.joda.time.DateTime.Property property32 = dateTime2.minuteOfHour();
//     java.lang.String str33 = dateTime2.toString();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(instant8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i12 == 54);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str19 + "' != '" + "+01:01"+ "'", str19.equals("+01:01"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(cachedDateTimeZone20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b21 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long23 == (-1L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b27 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(cachedDateTimeZone28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long30 == 0L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str33 + "' != '" + "0001-02-21T17:06:54.707+01:01"+ "'", str33.equals("0001-02-21T17:06:54.707+01:01"));
// 
//   }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test273"); }


    java.lang.ClassLoader classLoader1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.tz.ZoneInfoProvider zoneInfoProvider2 = new org.joda.time.tz.ZoneInfoProvider("0001-02-21T17:06:55.446+01:01", classLoader1);
      org.junit.Assert.fail("Expected exception of type java.io.IOException");
    } catch (java.io.IOException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.io.IOException")) {
        org.junit.Assert.fail("Expected exception of type java.io.IOException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test274() {}
// Defects4J: flaky method
//   @Test
//   public void test274() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test274"); }
// 
// 
//     org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
//     org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
//     org.joda.time.DateTime.Property property3 = dateTime2.centuryOfEra();
//     org.joda.time.DateTime dateTime5 = dateTime2.minus(10L);
//     org.joda.time.DateTime dateTime7 = dateTime2.withMillis((-1L));
//     org.joda.time.Instant instant8 = dateTime7.toInstant();
//     org.joda.time.DateTime dateTime10 = dateTime7.withWeekyear(10);
//     int i11 = dateTime7.getMinuteOfDay();
//     boolean b12 = dateTime7.isBeforeNow();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(instant8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i11 == 60);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b12 == true);
// 
//   }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test275"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.Chronology chronology1 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)iSOChronology0);
    // The following exception was thrown during execution in test generation
    try {
      long long7 = iSOChronology0.getDateTimeMillis((-621311327453030L), 0, 61614697, 17, 3660000);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology1);

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test276"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.minuteOfDay();
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.millisOfSecond();
    org.joda.time.Chronology chronology3 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)iSOChronology0);
    org.joda.time.Chronology chronology4 = iSOChronology0.withUTC();
    org.joda.time.chrono.ISOChronology iSOChronology5 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField6 = iSOChronology5.centuries();
    org.joda.time.DurationField durationField7 = iSOChronology5.halfdays();
    org.joda.time.DateTimeZone dateTimeZone8 = iSOChronology5.getZone();
    org.joda.time.chrono.ZonedChronology zonedChronology9 = org.joda.time.chrono.ZonedChronology.getInstance(chronology4, dateTimeZone8);
    org.joda.time.DateTime dateTime11 = org.joda.time.DateTime.parse("2016-02-21T17:06:55.088+01:01");
    boolean b12 = zonedChronology9.equals((java.lang.Object)dateTime11);
    org.joda.time.DateTime dateTime13 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime15 = dateTime13.withYear(1);
    org.joda.time.DateTime.Property property16 = dateTime15.minuteOfHour();
    org.joda.time.TimeOfDay timeOfDay17 = dateTime15.toTimeOfDay();
    int[] i_array19 = new int[] { 0 };
    // The following exception was thrown during execution in test generation
    try {
      zonedChronology9.validate((org.joda.time.ReadablePartial)timeOfDay17, i_array19);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(zonedChronology9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeOfDay17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array19);

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test277"); }


    org.joda.time.DateTime dateTime1 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime3 = dateTime1.withYear(1);
    org.joda.time.DateTime.Property property4 = dateTime3.centuryOfEra();
    org.joda.time.DateTime dateTime6 = dateTime3.minus(10L);
    org.joda.time.DateTime dateTime8 = dateTime3.withMillis((-1L));
    org.joda.time.chrono.ISOChronology iSOChronology9 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField10 = iSOChronology9.eras();
    org.joda.time.DateTimeField dateTimeField11 = iSOChronology9.weekyear();
    org.joda.time.DateTime dateTime12 = dateTime8.withChronology((org.joda.time.Chronology)iSOChronology9);
    org.joda.time.DateTimeField dateTimeField13 = iSOChronology9.hourOfHalfday();
    org.joda.time.DateTime dateTime14 = new org.joda.time.DateTime(10L, (org.joda.time.Chronology)iSOChronology9);
    org.joda.time.DateTime.Property property15 = dateTime14.millisOfSecond();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime17 = dateTime14.withDayOfWeek((-2016));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property15);

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test278"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str3 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.String str4 = illegalFieldValueException2.toString();
    java.lang.Number number5 = illegalFieldValueException2.getLowerBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + ""+ "'", str3.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str4.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test279"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    org.joda.time.DurationField durationField1 = null;
    org.joda.time.chrono.GregorianChronology gregorianChronology2 = org.joda.time.chrono.GregorianChronology.getInstanceUTC();
    org.joda.time.chrono.ISOChronology iSOChronology3 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField4 = iSOChronology3.centuries();
    boolean b5 = gregorianChronology2.equals((java.lang.Object)iSOChronology3);
    org.joda.time.DurationField durationField6 = gregorianChronology2.centuries();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.PreciseDateTimeField preciseDateTimeField7 = new org.joda.time.field.PreciseDateTimeField(dateTimeFieldType0, durationField1, durationField6);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField6);

  }

  @Test
  public void test280() {}
// Defects4J: flaky method
//   @Test
//   public void test280() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test280"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.minuteOfDay();
//     org.joda.time.DateTime dateTime3 = new org.joda.time.DateTime(0L, (org.joda.time.Chronology)iSOChronology1);
//     int i4 = dateTime3.getMinuteOfDay();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i4 == 61);
// 
//   }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test281"); }


    org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forOffsetMillis(10);
    org.joda.time.LocalDateTime localDateTime2 = null;
    boolean b3 = dateTimeZone1.isLocalDateTimeGap(localDateTime2);
    long long6 = dateTimeZone1.convertLocalToUTC(1L, false);
    java.util.Locale locale8 = null;
    java.lang.String str9 = dateTimeZone1.getName((-621311327453030L), locale8);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.chrono.GregorianChronology gregorianChronology11 = org.joda.time.chrono.GregorianChronology.getInstance(dateTimeZone1, 60);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long6 == (-9L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "+00:00:00.010"+ "'", str9.equals("+00:00:00.010"));

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test282"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.tz.ZoneInfoProvider zoneInfoProvider1 = new org.joda.time.tz.ZoneInfoProvider("hi!");
      org.junit.Assert.fail("Expected exception of type java.io.IOException");
    } catch (java.io.IOException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.io.IOException")) {
        org.junit.Assert.fail("Expected exception of type java.io.IOException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test283"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstanceUTC();
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField2 = iSOChronology1.centuries();
    boolean b3 = gregorianChronology0.equals((java.lang.Object)iSOChronology1);
    org.joda.time.DateTime dateTime4 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime6 = dateTime4.withYear(1);
    org.joda.time.DateTime.Property property7 = dateTime6.centuryOfEra();
    org.joda.time.DateTime dateTime9 = dateTime6.minus(10L);
    org.joda.time.DateTime dateTime11 = dateTime9.withMillis(100L);
    org.joda.time.DateTime dateTime13 = dateTime11.plusDays(59);
    org.joda.time.DateTime dateTime15 = dateTime11.withDayOfYear(59);
    boolean b16 = gregorianChronology0.equals((java.lang.Object)dateTime11);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone21 = new org.joda.time.tz.FixedDateTimeZone("+00:00:00.010", "hi!", (-1), 52);
    java.lang.String str23 = fixedDateTimeZone21.getNameKey((-9L));
    org.joda.time.DateTime dateTime24 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime26 = dateTime24.withYear(1);
    org.joda.time.DateTime.Property property27 = dateTime24.yearOfCentury();
    boolean b28 = dateTime24.isAfterNow();
    int i29 = dateTime24.getDayOfYear();
    org.joda.time.DateTime dateTime31 = dateTime24.plusMonths((-1));
    boolean b32 = fixedDateTimeZone21.equals((java.lang.Object)(-1));
    java.lang.String str34 = fixedDateTimeZone21.getNameKey((-10L));
    org.joda.time.DateTime dateTime35 = new org.joda.time.DateTime((org.joda.time.DateTimeZone)fixedDateTimeZone21);
    org.joda.time.chrono.ZonedChronology zonedChronology36 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)gregorianChronology0, (org.joda.time.DateTimeZone)fixedDateTimeZone21);
    org.joda.time.DateTimeZone dateTimeZone39 = org.joda.time.DateTimeZone.forOffsetHoursMinutes(1, 1);
    boolean b41 = dateTimeZone39.isStandardOffset(10L);
    org.joda.time.Chronology chronology42 = zonedChronology36.withZone(dateTimeZone39);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone47 = new org.joda.time.tz.FixedDateTimeZone("+00:00:00.010", "hi!", (-1), 52);
    java.util.TimeZone timeZone48 = fixedDateTimeZone47.toTimeZone();
    org.joda.time.Chronology chronology49 = zonedChronology36.withZone((org.joda.time.DateTimeZone)fixedDateTimeZone47);
    // The following exception was thrown during execution in test generation
    try {
      long long55 = zonedChronology36.getDateTimeMillis(0L, 10, 1, 1970, 7);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "hi!"+ "'", str23.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str34 + "' != '" + "hi!"+ "'", str34.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(zonedChronology36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology49);

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test284"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime.Property property3 = dateTime2.centuryOfEra();
    org.joda.time.DateTime dateTime5 = dateTime2.minus(10L);
    org.joda.time.DateTime dateTime7 = dateTime5.minusMillis(59);
    int i8 = dateTime5.getYear();
    org.joda.time.DateTime.Property property9 = dateTime5.hourOfDay();
    org.joda.time.DateTime.Property property10 = dateTime5.year();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime15 = dateTime5.withTime((-1), 186, 16, 20);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property10);

  }

  @Test
  public void test285() {}
// Defects4J: flaky method
//   @Test
//   public void test285() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test285"); }
// 
// 
//     org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
//     org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
//     org.joda.time.DateTime.Property property3 = dateTime2.centuryOfEra();
//     org.joda.time.DateTime dateTime5 = dateTime2.minus(10L);
//     org.joda.time.DateTime dateTime7 = dateTime2.withMillis((-1L));
//     int i8 = dateTime7.getSecondOfMinute();
//     org.joda.time.DateMidnight dateMidnight9 = dateTime7.toDateMidnight();
//     org.joda.time.DateTime dateTime10 = org.joda.time.DateTime.now();
//     org.joda.time.DateTime dateTime12 = dateTime10.withYear(1);
//     org.joda.time.DateTime.Property property13 = dateTime10.yearOfCentury();
//     org.joda.time.DateTime dateTime14 = dateTime10.toDateTime();
//     org.joda.time.DateTime dateTime16 = dateTime14.withMinuteOfHour(59);
//     int i17 = dateMidnight9.compareTo((org.joda.time.ReadableInstant)dateTime16);
//     int i18 = dateTime16.getYearOfEra();
//     int i19 = dateTime16.getDayOfWeek();
//     int i20 = dateTime16.getSecondOfDay();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i8 == 59);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == (-1));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i18 == 2016);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i19 == 7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i20 == 64794);
// 
//   }

  @Test
  public void test286() {}
// Defects4J: flaky method
//   @Test
//   public void test286() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test286"); }
// 
// 
//     org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
//     org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
//     org.joda.time.DateTime.Property property3 = dateTime0.yearOfCentury();
//     boolean b4 = dateTime0.isAfterNow();
//     org.joda.time.DateTime dateTime6 = dateTime0.plusSeconds(55);
//     org.joda.time.chrono.GregorianChronology gregorianChronology7 = org.joda.time.chrono.GregorianChronology.getInstance();
//     org.joda.time.DateTime dateTime8 = org.joda.time.DateTime.now();
//     org.joda.time.DateTime dateTime10 = dateTime8.withYear(1);
//     org.joda.time.DateTime.Property property11 = dateTime10.centuryOfEra();
//     org.joda.time.DateTime dateTime13 = dateTime10.minus(10L);
//     org.joda.time.DateTime dateTime15 = dateTime13.minusMillis(59);
//     int i16 = dateTime13.getYear();
//     org.joda.time.DateTime.Property property17 = dateTime13.secondOfDay();
//     org.joda.time.DateTime dateTime19 = dateTime13.plusMonths(54);
//     boolean b20 = gregorianChronology7.equals((java.lang.Object)dateTime13);
//     org.joda.time.DateTimeField dateTimeField21 = gregorianChronology7.hourOfHalfday();
//     java.lang.String str22 = gregorianChronology7.toString();
//     org.joda.time.MutableDateTime mutableDateTime23 = dateTime6.toMutableDateTime((org.joda.time.Chronology)gregorianChronology7);
//     org.joda.time.DateTimeField dateTimeField24 = gregorianChronology7.weekyearOfCentury();
//     // The following exception was thrown during execution in test generation
//     try {
//       long long30 = gregorianChronology7.getDateTimeMillis(3659990L, 58, 3660000, 2, 2860);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b4 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gregorianChronology7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i16 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b20 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str22 + "' != '" + "GregorianChronology[+01:01]"+ "'", str22.equals("GregorianChronology[+01:01]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField24);
// 
//   }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test287"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime.Property property3 = dateTime0.yearOfCentury();
    org.joda.time.DateTime dateTime4 = dateTime0.toDateTime();
    org.joda.time.DateTime dateTime6 = dateTime4.withMinuteOfHour(59);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime8 = dateTime4.withMonthOfYear(2016);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime6);

  }

  @Test
  public void test288() {}
// Defects4J: flaky method
//   @Test
//   public void test288() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test288"); }
// 
// 
//     org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
//     org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
//     int i3 = dateTime0.getSecondOfMinute();
//     java.lang.String str4 = dateTime0.toString();
//     org.joda.time.DateTime dateTime6 = dateTime0.minusYears(58);
//     org.joda.time.DateTime dateTime8 = dateTime6.withMillisOfSecond(6);
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.DateTime dateTime11 = dateTime8.withDurationAdded((-177695049261166580L), 1026);
//       org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
//     } catch (java.lang.ArithmeticException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i3 == 54);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str4 + "' != '" + "2016-02-21T17:06:54.707+01:01"+ "'", str4.equals("2016-02-21T17:06:54.707+01:01"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
// 
//   }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test289"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue(186, 59, 2860);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 186);

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test290"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    int i3 = dateTime0.getSecondOfMinute();
    org.joda.time.ReadablePartial readablePartial4 = null;
    org.joda.time.DateTime dateTime5 = dateTime0.withFields(readablePartial4);
    org.joda.time.DateTime dateTime6 = dateTime5.withEarlierOffsetAtOverlap();
    org.joda.time.DateTimeFieldType dateTimeFieldType7 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i8 = dateTime5.get(dateTimeFieldType7);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime6);

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test291"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime.Property property3 = dateTime2.centuryOfEra();
    org.joda.time.DateTime dateTime5 = dateTime2.minus(10L);
    org.joda.time.DateTime dateTime7 = dateTime2.withMillis((-1L));
    org.joda.time.Instant instant8 = dateTime2.toInstant();
    org.joda.time.DateTime dateTime9 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime11 = dateTime9.withYear(1);
    int i12 = dateTime9.getSecondOfMinute();
    org.joda.time.Chronology chronology13 = org.joda.time.DateTimeUtils.getInstantChronology((org.joda.time.ReadableInstant)dateTime9);
    org.joda.time.DateTime dateTime14 = dateTime2.withChronology(chronology13);
    org.joda.time.DateTime.Property property15 = dateTime2.era();
    int i16 = dateTime2.getYearOfCentury();
    org.joda.time.ReadablePartial readablePartial17 = null;
    org.joda.time.DateTime dateTime18 = dateTime2.withFields(readablePartial17);
    org.joda.time.DateTime dateTime19 = dateTime2.toDateTimeISO();
    org.joda.time.DateTime dateTime21 = dateTime19.plusDays(2016);
    org.joda.time.DateTime.Property property22 = dateTime19.minuteOfDay();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(instant8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property22);

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test292"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime.Property property3 = dateTime2.centuryOfEra();
    org.joda.time.DateTime dateTime5 = dateTime2.minus(10L);
    org.joda.time.DateTime dateTime7 = dateTime5.minusMillis(59);
    int i8 = dateTime5.getYear();
    org.joda.time.DateTime.Property property9 = dateTime5.secondOfDay();
    org.joda.time.DateTime dateTime11 = dateTime5.minusMonths(6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime11);

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test293"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str3 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.String str4 = illegalFieldValueException2.toString();
    org.joda.time.DurationFieldType durationFieldType5 = illegalFieldValueException2.getDurationFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + ""+ "'", str3.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str4.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType5);

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test294"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime.Property property3 = dateTime2.centuryOfEra();
    org.joda.time.DateTime dateTime5 = dateTime2.minus(10L);
    org.joda.time.DateTime dateTime7 = dateTime5.withMillis(100L);
    org.joda.time.DateTime dateTime9 = dateTime7.plusDays(59);
    org.joda.time.DateTime.Property property10 = dateTime7.monthOfYear();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime12 = dateTime7.withMinuteOfHour(100);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property10);

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test295"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.IllegalFieldValueException illegalFieldValueException5 = new org.joda.time.IllegalFieldValueException("hi!", "");
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException5);
    illegalFieldValueException5.prependMessage("");
    org.joda.time.DurationFieldType durationFieldType9 = illegalFieldValueException5.getDurationFieldType();
    java.lang.Throwable[] throwable_array10 = illegalFieldValueException5.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array10);

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test296"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime.Property property1 = dateTime0.yearOfCentury();
    org.joda.time.DateTime dateTime3 = dateTime0.withMillisOfDay(2016);
    org.joda.time.DateTime dateTime5 = dateTime0.minusMinutes(59);
    org.joda.time.DateTime dateTime7 = dateTime0.minus((-9L));
    org.joda.time.DurationFieldType durationFieldType8 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime10 = dateTime7.withFieldAdded(durationFieldType8, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test297"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime.Property property1 = dateTime0.yearOfCentury();
    org.joda.time.DateTime dateTime3 = dateTime0.withMillisOfDay(2016);
    org.joda.time.ReadablePeriod readablePeriod4 = null;
    org.joda.time.DateTime dateTime6 = dateTime3.withPeriodAdded(readablePeriod4, 61614707);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime8 = dateTime6.withWeekOfWeekyear(1970);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime6);

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test298"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract(1456067095222L, (-9L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1456067095231L);

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test299"); }


    java.lang.ClassLoader classLoader1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.tz.ZoneInfoProvider zoneInfoProvider2 = new org.joda.time.tz.ZoneInfoProvider("0001-02-21T16:05:54.706-00:00:00.001", classLoader1);
      org.junit.Assert.fail("Expected exception of type java.io.IOException");
    } catch (java.io.IOException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.io.IOException")) {
        org.junit.Assert.fail("Expected exception of type java.io.IOException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test300() {}
// Defects4J: flaky method
//   @Test
//   public void test300() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test300"); }
// 
// 
//     org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
//     org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
//     org.joda.time.DateTime.Property property3 = dateTime2.centuryOfEra();
//     org.joda.time.DateTime dateTime5 = dateTime2.minus(10L);
//     org.joda.time.DateTime dateTime7 = dateTime5.minusMillis(59);
//     int i8 = dateTime5.getYear();
//     org.joda.time.DateTime.Property property9 = dateTime5.secondOfDay();
//     org.joda.time.DateTime dateTime10 = org.joda.time.DateTime.now();
//     org.joda.time.DateTime dateTime12 = dateTime10.withYear(1);
//     int i13 = dateTime10.getSecondOfMinute();
//     java.lang.String str14 = dateTime10.toString();
//     boolean b15 = dateTime5.isAfter((org.joda.time.ReadableInstant)dateTime10);
//     org.joda.time.LocalTime localTime16 = dateTime10.toLocalTime();
//     org.joda.time.DateTime dateTime18 = dateTime10.plusMinutes(59);
//     org.joda.time.DateTime dateTime19 = org.joda.time.DateTime.now();
//     org.joda.time.DateTime.Property property20 = dateTime19.yearOfCentury();
//     org.joda.time.DateTime dateTime22 = dateTime19.withMillisOfDay(2016);
//     org.joda.time.ReadablePeriod readablePeriod23 = null;
//     org.joda.time.DateTime dateTime25 = dateTime22.withPeriodAdded(readablePeriod23, 61614707);
//     org.joda.time.DateTime dateTime26 = dateTime22.toDateTime();
//     int i27 = dateTime18.compareTo((org.joda.time.ReadableInstant)dateTime26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i8 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i13 == 54);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str14 + "' != '" + "2016-02-21T17:06:54.707+01:01"+ "'", str14.equals("2016-02-21T17:06:54.707+01:01"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b15 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localTime16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i27 == 1);
// 
//   }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test301"); }


    java.lang.ClassLoader classLoader1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.tz.ZoneInfoProvider zoneInfoProvider2 = new org.joda.time.tz.ZoneInfoProvider("0001-02-21T17:06:54.708+01:01", classLoader1);
      org.junit.Assert.fail("Expected exception of type java.io.IOException");
    } catch (java.io.IOException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.io.IOException")) {
        org.junit.Assert.fail("Expected exception of type java.io.IOException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test302"); }


    org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.UTC;
    org.joda.time.tz.CachedDateTimeZone cachedDateTimeZone2 = org.joda.time.tz.CachedDateTimeZone.forZone(dateTimeZone1);
    org.joda.time.DateTime dateTime3 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime5 = dateTime3.withYear(1);
    org.joda.time.DateTime.Property property6 = dateTime5.centuryOfEra();
    org.joda.time.DateTime dateTime8 = dateTime5.minus(10L);
    org.joda.time.DateTime dateTime10 = dateTime8.withMillis(100L);
    org.joda.time.DateTime.Property property11 = dateTime8.millisOfSecond();
    boolean b12 = cachedDateTimeZone2.equals((java.lang.Object)property11);
    boolean b14 = cachedDateTimeZone2.equals((java.lang.Object)(byte)100);
    org.joda.time.DateTime dateTime15 = new org.joda.time.DateTime(0L, (org.joda.time.DateTimeZone)cachedDateTimeZone2);
    java.lang.String str16 = dateTime15.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(cachedDateTimeZone2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "1970-01-01T00:00:00.000Z"+ "'", str16.equals("1970-01-01T00:00:00.000Z"));

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test303"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime7 = new org.joda.time.DateTime(61, 55, 58, 2, 61615237, 77, 61);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test304"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime.Property property3 = dateTime2.centuryOfEra();
    org.joda.time.DateTime dateTime5 = dateTime2.minus(10L);
    org.joda.time.DateTime dateTime7 = dateTime5.withMillis(100L);
    boolean b9 = dateTime5.isEqual(1L);
    org.joda.time.DateTime.Property property10 = dateTime5.year();
    org.joda.time.DateTime dateTime11 = org.joda.time.DateTime.now();
    int i12 = dateTime5.compareTo((org.joda.time.ReadableInstant)dateTime11);
    org.joda.time.chrono.ISOChronology iSOChronology13 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField14 = iSOChronology13.minuteOfDay();
    org.joda.time.DateTimeField dateTimeField15 = iSOChronology13.millisOfSecond();
    org.joda.time.Chronology chronology16 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)iSOChronology13);
    org.joda.time.Chronology chronology17 = iSOChronology13.withUTC();
    org.joda.time.chrono.ISOChronology iSOChronology18 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField19 = iSOChronology18.centuries();
    org.joda.time.DurationField durationField20 = iSOChronology18.halfdays();
    org.joda.time.DateTimeZone dateTimeZone21 = iSOChronology18.getZone();
    org.joda.time.chrono.ZonedChronology zonedChronology22 = org.joda.time.chrono.ZonedChronology.getInstance(chronology17, dateTimeZone21);
    org.joda.time.DateTime dateTime24 = org.joda.time.DateTime.parse("2016-02-21T17:06:55.088+01:01");
    boolean b25 = zonedChronology22.equals((java.lang.Object)dateTime24);
    org.joda.time.DateTime dateTime26 = dateTime11.withChronology((org.joda.time.Chronology)zonedChronology22);
    org.joda.time.DurationField durationField27 = zonedChronology22.millis();
    // The following exception was thrown during execution in test generation
    try {
      long long35 = zonedChronology22.getDateTimeMillis(64794, 0, 0, 0, 52, 54, 61615);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(zonedChronology22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField27);

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test305"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField1 = iSOChronology0.eras();
    // The following exception was thrown during execution in test generation
    try {
      long long4 = durationField1.subtract(1456067095231L, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField1);

  }

  @Test
  public void test306() {}
// Defects4J: flaky method
//   @Test
//   public void test306() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test306"); }
// 
// 
//     org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstance();
//     org.joda.time.DateTime dateTime1 = org.joda.time.DateTime.now();
//     org.joda.time.DateTime dateTime3 = dateTime1.withYear(1);
//     org.joda.time.DateTime.Property property4 = dateTime3.centuryOfEra();
//     org.joda.time.DateTime dateTime6 = dateTime3.minus(10L);
//     org.joda.time.DateTime dateTime8 = dateTime6.minusMillis(59);
//     int i9 = dateTime6.getYear();
//     org.joda.time.DateTime.Property property10 = dateTime6.secondOfDay();
//     org.joda.time.DateTime dateTime12 = dateTime6.plusMonths(54);
//     boolean b13 = gregorianChronology0.equals((java.lang.Object)dateTime6);
//     org.joda.time.DateTimeField dateTimeField14 = gregorianChronology0.hourOfHalfday();
//     java.lang.String str15 = gregorianChronology0.toString();
//     org.joda.time.DurationField durationField16 = gregorianChronology0.millis();
//     org.joda.time.ReadablePeriod readablePeriod17 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       int[] i_array19 = gregorianChronology0.get(readablePeriod17, 0L);
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gregorianChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i9 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b13 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str15 + "' != '" + "GregorianChronology[+01:01]"+ "'", str15.equals("GregorianChronology[+01:01]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField16);
// 
//   }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test307"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime.Property property3 = dateTime2.centuryOfEra();
    org.joda.time.DateTime dateTime5 = dateTime2.minus(10L);
    org.joda.time.DateTime dateTime7 = dateTime2.withMillis((-1L));
    org.joda.time.Instant instant8 = dateTime2.toInstant();
    org.joda.time.DateTimeZone dateTimeZone11 = org.joda.time.DateTimeZone.forOffsetHoursMinutes(1, 1);
    boolean b13 = dateTimeZone11.isStandardOffset(10L);
    org.joda.time.DateTime dateTime14 = dateTime2.toDateTime(dateTimeZone11);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone19 = new org.joda.time.tz.FixedDateTimeZone("+00:00:00.010", "hi!", (-1), 52);
    java.lang.String str21 = fixedDateTimeZone19.getNameKey((-9L));
    org.joda.time.DateTime dateTime22 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime24 = dateTime22.withYear(1);
    org.joda.time.DateTime.Property property25 = dateTime22.yearOfCentury();
    boolean b26 = dateTime22.isAfterNow();
    int i27 = dateTime22.getDayOfYear();
    org.joda.time.DateTime dateTime29 = dateTime22.plusMonths((-1));
    boolean b30 = fixedDateTimeZone19.equals((java.lang.Object)(-1));
    java.lang.String str32 = fixedDateTimeZone19.getNameKey((-10L));
    org.joda.time.DateTime dateTime33 = dateTime14.toDateTime((org.joda.time.DateTimeZone)fixedDateTimeZone19);
    org.joda.time.DurationFieldType durationFieldType34 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime36 = dateTime14.withFieldAdded(durationFieldType34, 61614707);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(instant8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "hi!"+ "'", str21.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "hi!"+ "'", str32.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime33);

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test308"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(1456070755176L, 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 2912141510352L);

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test309"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply((-60332374504780L), 61615237);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test310"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime.Property property3 = dateTime2.centuryOfEra();
    org.joda.time.ReadableDuration readableDuration4 = null;
    org.joda.time.DateTime dateTime5 = dateTime2.minus(readableDuration4);
    org.joda.time.ReadablePartial readablePartial6 = null;
    org.joda.time.DateTime dateTime7 = dateTime5.withFields(readablePartial6);
    org.joda.time.DateTime.Property property8 = dateTime5.weekOfWeekyear();
    org.joda.time.DateTime dateTime10 = dateTime5.plusMonths(3660000);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime12 = dateTime5.withMonthOfYear(1026);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime10);

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test311"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime6 = new org.joda.time.DateTime(2860, 61615, 5, 0, 61, 707);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test312"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime.Property property3 = dateTime2.centuryOfEra();
    org.joda.time.DateTime dateTime5 = dateTime2.minus(10L);
    org.joda.time.DateTime dateTime7 = dateTime5.withMillis(100L);
    org.joda.time.DateTime dateTime9 = dateTime7.plusDays(59);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone14 = new org.joda.time.tz.FixedDateTimeZone("+00:00:00.010", "hi!", (-1), 52);
    java.lang.String str16 = fixedDateTimeZone14.getNameKey((-9L));
    org.joda.time.DateTime dateTime17 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime19 = dateTime17.withYear(1);
    org.joda.time.DateTime.Property property20 = dateTime17.yearOfCentury();
    boolean b21 = dateTime17.isAfterNow();
    int i22 = dateTime17.getDayOfYear();
    org.joda.time.DateTime dateTime24 = dateTime17.plusMonths((-1));
    boolean b25 = fixedDateTimeZone14.equals((java.lang.Object)(-1));
    org.joda.time.DateTime dateTime26 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime28 = dateTime26.withYear(1);
    org.joda.time.DateTime.Property property29 = dateTime28.centuryOfEra();
    org.joda.time.DateTime dateTime31 = dateTime28.minus(10L);
    org.joda.time.DateTime dateTime33 = dateTime31.withMillis(100L);
    org.joda.time.DateTime.Property property34 = dateTime31.millisOfSecond();
    org.joda.time.DateTime dateTime36 = dateTime31.withMillisOfSecond(100);
    org.joda.time.Instant instant37 = dateTime31.toInstant();
    boolean b38 = fixedDateTimeZone14.equals((java.lang.Object)dateTime31);
    org.joda.time.DateTime dateTime39 = dateTime9.withZone((org.joda.time.DateTimeZone)fixedDateTimeZone14);
    int i40 = dateTime39.getMinuteOfHour();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "hi!"+ "'", str16.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(instant37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 0);

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test313"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime2 = org.joda.time.DateTime.parse("0001-02-21T17:06:54.707+01:01", dateTimeFormatter1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test314"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(durationFieldType0, "1970-02-28T01:01:00.100+01:01");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test315"); }


    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone4 = new org.joda.time.tz.FixedDateTimeZone("Coordinated Universal Time", "2016-02-21T16:05:55.230+01:01", 57955220, 70);

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test316"); }


    org.joda.time.DateTimeZone dateTimeZone2 = org.joda.time.DateTimeZone.forOffsetHoursMinutes(1, 1);
    java.lang.String str3 = dateTimeZone2.getID();
    org.joda.time.tz.CachedDateTimeZone cachedDateTimeZone4 = org.joda.time.tz.CachedDateTimeZone.forZone(dateTimeZone2);
    boolean b5 = cachedDateTimeZone4.isFixed();
    long long7 = cachedDateTimeZone4.nextTransition((-1L));
    org.joda.time.DateTimeZone dateTimeZone9 = org.joda.time.DateTimeZone.forOffsetMillis(10);
    org.joda.time.LocalDateTime localDateTime10 = null;
    boolean b11 = dateTimeZone9.isLocalDateTimeGap(localDateTime10);
    org.joda.time.tz.CachedDateTimeZone cachedDateTimeZone12 = org.joda.time.tz.CachedDateTimeZone.forZone(dateTimeZone9);
    long long14 = cachedDateTimeZone4.getMillisKeepLocal(dateTimeZone9, (-3659990L));
    long long16 = cachedDateTimeZone4.previousTransition((-62131132445303L));
    org.joda.time.DateTimeZone dateTimeZone17 = cachedDateTimeZone4.getUncachedZone();
    int i19 = cachedDateTimeZone4.getOffsetFromLocal(3659990L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+01:01"+ "'", str3.equals("+01:01"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(cachedDateTimeZone4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == (-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(cachedDateTimeZone12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long14 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long16 == (-62131132445303L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 3660000);

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test317"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime.Property property3 = dateTime2.centuryOfEra();
    org.joda.time.DateTime dateTime5 = dateTime2.minus(10L);
    org.joda.time.DateTime dateTime7 = dateTime2.withMillis((-1L));
    org.joda.time.Instant instant8 = dateTime2.toInstant();
    org.joda.time.DateTime dateTime9 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime11 = dateTime9.withYear(1);
    int i12 = dateTime9.getSecondOfMinute();
    org.joda.time.Chronology chronology13 = org.joda.time.DateTimeUtils.getInstantChronology((org.joda.time.ReadableInstant)dateTime9);
    org.joda.time.DateTime dateTime14 = dateTime2.withChronology(chronology13);
    org.joda.time.DateTime.Property property15 = dateTime2.era();
    int i16 = dateTime2.getYearOfCentury();
    org.joda.time.ReadablePartial readablePartial17 = null;
    org.joda.time.DateTime dateTime18 = dateTime2.withFields(readablePartial17);
    org.joda.time.DateTime dateTime20 = dateTime18.plusHours(0);
    org.joda.time.DateTime dateTime21 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime23 = dateTime21.withYear(1);
    org.joda.time.DateTime.Property property24 = dateTime23.centuryOfEra();
    org.joda.time.DateTime dateTime26 = dateTime23.minus(10L);
    org.joda.time.DateTime dateTime28 = dateTime26.withMillis(100L);
    org.joda.time.DateTime.Property property29 = dateTime26.millisOfSecond();
    org.joda.time.DateTime dateTime31 = dateTime26.withMillisOfSecond(100);
    org.joda.time.Instant instant32 = dateTime26.toInstant();
    int i33 = dateTime26.getEra();
    org.joda.time.DateTime dateTime35 = dateTime26.minusYears(10);
    java.util.Date date36 = dateTime26.toDate();
    org.joda.time.ReadablePeriod readablePeriod37 = null;
    org.joda.time.DateTime dateTime38 = dateTime26.plus(readablePeriod37);
    org.joda.time.Chronology chronology39 = org.joda.time.DateTimeUtils.getIntervalChronology((org.joda.time.ReadableInstant)dateTime18, (org.joda.time.ReadableInstant)dateTime26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(instant8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(instant32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology39);

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test318"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime.Property property3 = dateTime2.centuryOfEra();
    org.joda.time.DateTime dateTime5 = dateTime2.minus(10L);
    org.joda.time.DateTime dateTime7 = dateTime5.minusMillis(59);
    org.joda.time.DateTime.Property property8 = dateTime5.minuteOfDay();
    org.joda.time.DateTime dateTime10 = dateTime5.withYearOfEra(58);
    org.joda.time.DateTime.Property property11 = dateTime10.yearOfCentury();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property11);

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test319"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply(1456067095231L, 1456070754707L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test320"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("+00:00:00.010", "1970-02-28T01:01:00.100+01:01");
    java.lang.String str3 = illegalFieldValueException2.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+00:00:00.010"+ "'", str3.equals("+00:00:00.010"));

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test321"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstanceUTC();
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField2 = iSOChronology1.centuries();
    boolean b3 = gregorianChronology0.equals((java.lang.Object)iSOChronology1);
    org.joda.time.DateTimeField dateTimeField4 = gregorianChronology0.centuryOfEra();
    java.lang.String str5 = gregorianChronology0.toString();
    org.joda.time.DateTimeField dateTimeField6 = gregorianChronology0.hourOfHalfday();
    org.joda.time.DateTimeFieldType dateTimeFieldType7 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.ZeroIsMaxDateTimeField zeroIsMaxDateTimeField8 = new org.joda.time.field.ZeroIsMaxDateTimeField(dateTimeField6, dateTimeFieldType7);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "GregorianChronology[UTC]"+ "'", str5.equals("GregorianChronology[UTC]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField6);

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test322"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    java.lang.Number number1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, number1, (java.lang.Number)1026, (java.lang.Number)0.0f);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test323"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    org.joda.time.DurationField durationField1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField2 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType0, durationField1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test324"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime.Property property3 = dateTime0.yearOfCentury();
    boolean b4 = dateTime0.isAfterNow();
    org.joda.time.DateTime dateTime6 = dateTime0.plusSeconds(55);
    org.joda.time.DateTime dateTime8 = dateTime6.minus((-9L));
    org.joda.time.DateTime dateTime10 = dateTime6.minusMillis(0);
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i12 = dateTime10.get(dateTimeFieldType11);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime10);

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test325"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime.Property property3 = dateTime2.centuryOfEra();
    org.joda.time.DateTime dateTime5 = dateTime2.minus(10L);
    org.joda.time.DateTime dateTime7 = dateTime5.withMillis(100L);
    boolean b9 = dateTime5.isEqual(1L);
    org.joda.time.DateTime.Property property10 = dateTime5.year();
    org.joda.time.DateTime dateTime12 = dateTime5.plusMonths(55);
    org.joda.time.chrono.ISOChronology iSOChronology13 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField14 = iSOChronology13.centuries();
    org.joda.time.DurationField durationField15 = iSOChronology13.halfdays();
    org.joda.time.DateTimeZone dateTimeZone16 = iSOChronology13.getZone();
    org.joda.time.DateTimeField dateTimeField17 = iSOChronology13.secondOfMinute();
    org.joda.time.MutableDateTime mutableDateTime18 = dateTime5.toMutableDateTime((org.joda.time.Chronology)iSOChronology13);
    org.joda.time.DateTimeField dateTimeField19 = iSOChronology13.yearOfEra();
    org.joda.time.DateTimeFieldType dateTimeFieldType20 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.RemainderDateTimeField remainderDateTimeField22 = new org.joda.time.field.RemainderDateTimeField(dateTimeField19, dateTimeFieldType20, 1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField19);

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test326"); }


    org.joda.time.DateTime dateTime1 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime3 = dateTime1.withYear(1);
    org.joda.time.DateTime.Property property4 = dateTime3.centuryOfEra();
    org.joda.time.DateTime dateTime6 = dateTime3.minus(10L);
    org.joda.time.DateTime dateTime8 = dateTime3.withMillis((-1L));
    org.joda.time.chrono.ISOChronology iSOChronology9 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField10 = iSOChronology9.eras();
    org.joda.time.DateTimeField dateTimeField11 = iSOChronology9.weekyear();
    org.joda.time.DateTime dateTime12 = dateTime8.withChronology((org.joda.time.Chronology)iSOChronology9);
    org.joda.time.DateTimeField dateTimeField13 = iSOChronology9.hourOfHalfday();
    org.joda.time.DateTime dateTime14 = new org.joda.time.DateTime(10L, (org.joda.time.Chronology)iSOChronology9);
    org.joda.time.DurationField durationField15 = iSOChronology9.minutes();
    org.joda.time.DurationFieldType durationFieldType16 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.DecoratedDurationField decoratedDurationField17 = new org.joda.time.field.DecoratedDurationField(durationField15, durationFieldType16);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField15);

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test327"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-1.0d), "ZonedChronology[ISOChronology[UTC], +01:01]");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test328"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstanceUTC();
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField2 = iSOChronology1.centuries();
    boolean b3 = gregorianChronology0.equals((java.lang.Object)iSOChronology1);
    org.joda.time.DateTimeField dateTimeField4 = gregorianChronology0.centuryOfEra();
    java.lang.Object obj5 = null;
    org.joda.time.DateTime dateTime6 = new org.joda.time.DateTime(obj5);
    boolean b7 = gregorianChronology0.equals((java.lang.Object)dateTime6);
    org.joda.time.DateTimeZone dateTimeZone8 = gregorianChronology0.getZone();
    org.joda.time.DateTimeField dateTimeField9 = gregorianChronology0.weekyear();
    org.joda.time.DateTimeFieldType dateTimeFieldType10 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.OffsetDateTimeField offsetDateTimeField14 = new org.joda.time.field.OffsetDateTimeField(dateTimeField9, dateTimeFieldType10, 77, 1970, 61);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField9);

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test329"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstanceUTC();
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField2 = iSOChronology1.centuries();
    boolean b3 = gregorianChronology0.equals((java.lang.Object)iSOChronology1);
    org.joda.time.DateTimeField dateTimeField4 = gregorianChronology0.centuryOfEra();
    java.lang.Object obj5 = null;
    org.joda.time.DateTime dateTime6 = new org.joda.time.DateTime(obj5);
    boolean b7 = gregorianChronology0.equals((java.lang.Object)dateTime6);
    org.joda.time.DurationField durationField8 = gregorianChronology0.years();
    java.lang.String str9 = gregorianChronology0.toString();
    org.joda.time.DateTime dateTime10 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime12 = dateTime10.withYear(1);
    org.joda.time.DateTime.Property property13 = dateTime12.centuryOfEra();
    org.joda.time.DateTime dateTime15 = dateTime12.minus(10L);
    org.joda.time.DateTime dateTime17 = dateTime15.withMillis(100L);
    boolean b19 = dateTime15.isEqual(1L);
    org.joda.time.DateTime.Property property20 = dateTime15.year();
    org.joda.time.DateTime dateTime22 = dateTime15.plusMonths(55);
    org.joda.time.chrono.ISOChronology iSOChronology23 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField24 = iSOChronology23.centuries();
    org.joda.time.DurationField durationField25 = iSOChronology23.halfdays();
    org.joda.time.DateTimeZone dateTimeZone26 = iSOChronology23.getZone();
    org.joda.time.DateTimeField dateTimeField27 = iSOChronology23.secondOfMinute();
    org.joda.time.MutableDateTime mutableDateTime28 = dateTime15.toMutableDateTime((org.joda.time.Chronology)iSOChronology23);
    org.joda.time.DateTimeField dateTimeField29 = iSOChronology23.secondOfMinute();
    org.joda.time.chrono.GregorianChronology gregorianChronology30 = org.joda.time.chrono.GregorianChronology.getInstanceUTC();
    org.joda.time.chrono.ISOChronology iSOChronology31 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField32 = iSOChronology31.centuries();
    boolean b33 = gregorianChronology30.equals((java.lang.Object)iSOChronology31);
    org.joda.time.DateTime dateTime34 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime36 = dateTime34.withYear(1);
    org.joda.time.DateTime.Property property37 = dateTime36.centuryOfEra();
    org.joda.time.DateTime dateTime39 = dateTime36.minus(10L);
    org.joda.time.DateTime dateTime41 = dateTime39.withMillis(100L);
    org.joda.time.DateTime dateTime43 = dateTime41.plusDays(59);
    org.joda.time.DateTime dateTime45 = dateTime41.withDayOfYear(59);
    boolean b46 = gregorianChronology30.equals((java.lang.Object)dateTime41);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone51 = new org.joda.time.tz.FixedDateTimeZone("+00:00:00.010", "hi!", (-1), 52);
    java.lang.String str53 = fixedDateTimeZone51.getNameKey((-9L));
    org.joda.time.DateTime dateTime54 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime56 = dateTime54.withYear(1);
    org.joda.time.DateTime.Property property57 = dateTime54.yearOfCentury();
    boolean b58 = dateTime54.isAfterNow();
    int i59 = dateTime54.getDayOfYear();
    org.joda.time.DateTime dateTime61 = dateTime54.plusMonths((-1));
    boolean b62 = fixedDateTimeZone51.equals((java.lang.Object)(-1));
    java.lang.String str64 = fixedDateTimeZone51.getNameKey((-10L));
    org.joda.time.DateTime dateTime65 = new org.joda.time.DateTime((org.joda.time.DateTimeZone)fixedDateTimeZone51);
    org.joda.time.chrono.ZonedChronology zonedChronology66 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)gregorianChronology30, (org.joda.time.DateTimeZone)fixedDateTimeZone51);
    org.joda.time.DateTime dateTime67 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime69 = dateTime67.withYear(1);
    org.joda.time.DateTime.Property property70 = dateTime69.centuryOfEra();
    org.joda.time.DateTime dateTime72 = dateTime69.minus(10L);
    org.joda.time.DateTime dateTime74 = dateTime72.minusMillis(59);
    int i75 = dateTime72.getYear();
    org.joda.time.TimeOfDay timeOfDay76 = dateTime72.toTimeOfDay();
    int[] i_array78 = gregorianChronology30.get((org.joda.time.ReadablePartial)timeOfDay76, (-62131132745303L));
    int[] i_array80 = iSOChronology23.get((org.joda.time.ReadablePartial)timeOfDay76, (-62131136105303L));
    org.joda.time.chrono.GregorianChronology gregorianChronology81 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.DurationField durationField82 = gregorianChronology81.weeks();
    org.joda.time.DateTime dateTime83 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime85 = dateTime83.withYear(1);
    org.joda.time.DateTime.Property property86 = dateTime83.yearOfCentury();
    org.joda.time.DateTime dateTime87 = dateTime83.toDateTime();
    org.joda.time.LocalDate localDate88 = dateTime87.toLocalDate();
    int[] i_array90 = gregorianChronology81.get((org.joda.time.ReadablePartial)localDate88, 0L);
    // The following exception was thrown during execution in test generation
    try {
      gregorianChronology0.validate((org.joda.time.ReadablePartial)timeOfDay76, i_array90);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "GregorianChronology[UTC]"+ "'", str9.equals("GregorianChronology[UTC]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str53 + "' != '" + "hi!"+ "'", str53.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b58 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i59 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b62 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str64 + "' != '" + "hi!"+ "'", str64.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(zonedChronology66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i75 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeOfDay76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array90);

  }

  @Test
  public void test330() {}
// Defects4J: flaky method
//   @Test
//   public void test330() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test330"); }
// 
// 
//     org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
//     org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
//     org.joda.time.DateTime.Property property3 = dateTime2.centuryOfEra();
//     org.joda.time.DateTime dateTime5 = dateTime2.minus(10L);
//     org.joda.time.DateTime dateTime7 = dateTime5.minusMillis(59);
//     int i8 = dateTime5.getYear();
//     org.joda.time.DateTime.Property property9 = dateTime5.secondOfDay();
//     org.joda.time.DateTime dateTime10 = org.joda.time.DateTime.now();
//     org.joda.time.DateTime dateTime12 = dateTime10.withYear(1);
//     int i13 = dateTime10.getSecondOfMinute();
//     java.lang.String str14 = dateTime10.toString();
//     boolean b15 = dateTime5.isAfter((org.joda.time.ReadableInstant)dateTime10);
//     org.joda.time.DurationFieldType durationFieldType16 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.DateTime dateTime18 = dateTime10.withFieldAdded(durationFieldType16, 61);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i8 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i13 == 54);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str14 + "' != '" + "2016-02-21T17:06:54.707+01:01"+ "'", str14.equals("2016-02-21T17:06:54.707+01:01"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b15 == false);
// 
//   }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test331"); }


    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder0 = new org.joda.time.tz.DateTimeZoneBuilder();
    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder11 = dateTimeZoneBuilder0.addRecurringSavings("", 10, 100, 52, '#', 100, (-1), 10, false, 52);
    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder13 = dateTimeZoneBuilder11.setStandardOffset((-10));
    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder15 = dateTimeZoneBuilder13.setStandardOffset(17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZoneBuilder11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZoneBuilder13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZoneBuilder15);

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test332"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime.Property property3 = dateTime2.centuryOfEra();
    org.joda.time.DateTime dateTime5 = dateTime2.minus(10L);
    org.joda.time.DateTime dateTime7 = dateTime5.withMillis(100L);
    boolean b9 = dateTime5.isEqual(1L);
    org.joda.time.DateTime.Property property10 = dateTime5.year();
    org.joda.time.DateTime dateTime11 = org.joda.time.DateTime.now();
    int i12 = dateTime5.compareTo((org.joda.time.ReadableInstant)dateTime11);
    org.joda.time.chrono.ISOChronology iSOChronology13 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField14 = iSOChronology13.minuteOfDay();
    org.joda.time.DateTimeField dateTimeField15 = iSOChronology13.millisOfSecond();
    org.joda.time.Chronology chronology16 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)iSOChronology13);
    org.joda.time.Chronology chronology17 = iSOChronology13.withUTC();
    org.joda.time.chrono.ISOChronology iSOChronology18 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField19 = iSOChronology18.centuries();
    org.joda.time.DurationField durationField20 = iSOChronology18.halfdays();
    org.joda.time.DateTimeZone dateTimeZone21 = iSOChronology18.getZone();
    org.joda.time.chrono.ZonedChronology zonedChronology22 = org.joda.time.chrono.ZonedChronology.getInstance(chronology17, dateTimeZone21);
    org.joda.time.DateTime dateTime24 = org.joda.time.DateTime.parse("2016-02-21T17:06:55.088+01:01");
    boolean b25 = zonedChronology22.equals((java.lang.Object)dateTime24);
    org.joda.time.DateTime dateTime26 = dateTime11.withChronology((org.joda.time.Chronology)zonedChronology22);
    org.joda.time.Chronology chronology27 = zonedChronology22.withUTC();
    // The following exception was thrown during execution in test generation
    try {
      long long33 = zonedChronology22.getDateTimeMillis(1456070755276L, 2016, 707, (-55), 51);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(zonedChronology22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology27);

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test333"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test334"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    int i3 = dateTime0.getSecondOfMinute();
    org.joda.time.DateTime dateTime5 = dateTime0.plusMinutes(59);
    org.joda.time.DateTimeZone dateTimeZone7 = org.joda.time.DateTimeZone.forOffsetMillis(10);
    org.joda.time.LocalDateTime localDateTime8 = null;
    boolean b9 = dateTimeZone7.isLocalDateTimeGap(localDateTime8);
    org.joda.time.DateTime dateTime10 = dateTime5.toDateTime(dateTimeZone7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime10);

  }

  @Test
  public void test335() {}
// Defects4J: flaky method
//   @Test
//   public void test335() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test335"); }
// 
// 
//     org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstance();
//     org.joda.time.DateTime dateTime1 = org.joda.time.DateTime.now();
//     org.joda.time.DateTime dateTime3 = dateTime1.withYear(1);
//     org.joda.time.DateTime.Property property4 = dateTime3.centuryOfEra();
//     org.joda.time.DateTime dateTime6 = dateTime3.minus(10L);
//     org.joda.time.DateTime dateTime8 = dateTime6.minusMillis(59);
//     int i9 = dateTime6.getYear();
//     org.joda.time.DateTime.Property property10 = dateTime6.secondOfDay();
//     org.joda.time.DateTime dateTime12 = dateTime6.plusMonths(54);
//     boolean b13 = gregorianChronology0.equals((java.lang.Object)dateTime6);
//     org.joda.time.DateTimeField dateTimeField14 = gregorianChronology0.hourOfHalfday();
//     java.lang.String str15 = gregorianChronology0.toString();
//     org.joda.time.DateTimeField dateTimeField16 = gregorianChronology0.centuryOfEra();
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField16, 20, 58, 2016);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gregorianChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i9 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b13 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str15 + "' != '" + "GregorianChronology[+01:01]"+ "'", str15.equals("GregorianChronology[+01:01]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField16);
// 
//   }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test336"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str3 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.String str4 = illegalFieldValueException2.getFieldName();
    illegalFieldValueException2.prependMessage("UTC");
    java.lang.Number number7 = illegalFieldValueException2.getUpperBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + ""+ "'", str3.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "hi!"+ "'", str4.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);

  }

  @Test
  public void test337() {}
// Defects4J: flaky method
//   @Test
//   public void test337() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test337"); }
// 
// 
//     org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
//     org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
//     org.joda.time.DateTime.Property property3 = dateTime2.centuryOfEra();
//     org.joda.time.DateTime dateTime5 = dateTime2.minus(10L);
//     org.joda.time.DateTime dateTime7 = dateTime5.minusMillis(59);
//     int i8 = dateTime5.getYear();
//     org.joda.time.DateTime.Property property9 = dateTime5.secondOfDay();
//     org.joda.time.DateTime dateTime10 = org.joda.time.DateTime.now();
//     org.joda.time.DateTime dateTime12 = dateTime10.withYear(1);
//     int i13 = dateTime10.getSecondOfMinute();
//     java.lang.String str14 = dateTime10.toString();
//     boolean b15 = dateTime5.isAfter((org.joda.time.ReadableInstant)dateTime10);
//     org.joda.time.DateTime dateTime17 = dateTime10.plusYears(707);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i8 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i13 == 54);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str14 + "' != '" + "2016-02-21T17:06:54.707+01:01"+ "'", str14.equals("2016-02-21T17:06:54.707+01:01"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b15 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime17);
// 
//   }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test338"); }


    org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime((-62131132445293L));
    org.joda.time.ReadableInstant readableInstant2 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i3 = dateTime1.compareTo(readableInstant2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test339"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime.Property property3 = dateTime2.centuryOfEra();
    org.joda.time.DateTime dateTime5 = dateTime2.minus(10L);
    org.joda.time.DateTime dateTime7 = dateTime5.withMillis(100L);
    boolean b9 = dateTime5.isEqual(1L);
    org.joda.time.DateTime.Property property10 = dateTime5.year();
    org.joda.time.DateTime dateTime12 = dateTime5.plusMonths(55);
    org.joda.time.chrono.ISOChronology iSOChronology13 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField14 = iSOChronology13.centuries();
    org.joda.time.DurationField durationField15 = iSOChronology13.halfdays();
    org.joda.time.DateTimeZone dateTimeZone16 = iSOChronology13.getZone();
    org.joda.time.DateTimeField dateTimeField17 = iSOChronology13.secondOfMinute();
    org.joda.time.MutableDateTime mutableDateTime18 = dateTime5.toMutableDateTime((org.joda.time.Chronology)iSOChronology13);
    org.joda.time.DateTimeField dateTimeField19 = iSOChronology13.yearOfEra();
    org.joda.time.DateTimeField dateTimeField20 = iSOChronology13.minuteOfHour();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField20);

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test340"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField1 = iSOChronology0.centuries();
    org.joda.time.DurationField durationField2 = iSOChronology0.halfdays();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology0.dayOfYear();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);

  }

  @Test
  public void test341() {}
// Defects4J: flaky method
//   @Test
//   public void test341() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test341"); }
// 
// 
//     org.joda.time.DateTime dateTime5 = org.joda.time.DateTime.now();
//     org.joda.time.DateTime dateTime7 = dateTime5.withYear(1);
//     org.joda.time.DateTime.Property property8 = dateTime5.yearOfCentury();
//     boolean b9 = dateTime5.isAfterNow();
//     org.joda.time.DateTime dateTime11 = dateTime5.plusSeconds(55);
//     org.joda.time.chrono.GregorianChronology gregorianChronology12 = org.joda.time.chrono.GregorianChronology.getInstance();
//     org.joda.time.DateTime dateTime13 = org.joda.time.DateTime.now();
//     org.joda.time.DateTime dateTime15 = dateTime13.withYear(1);
//     org.joda.time.DateTime.Property property16 = dateTime15.centuryOfEra();
//     org.joda.time.DateTime dateTime18 = dateTime15.minus(10L);
//     org.joda.time.DateTime dateTime20 = dateTime18.minusMillis(59);
//     int i21 = dateTime18.getYear();
//     org.joda.time.DateTime.Property property22 = dateTime18.secondOfDay();
//     org.joda.time.DateTime dateTime24 = dateTime18.plusMonths(54);
//     boolean b25 = gregorianChronology12.equals((java.lang.Object)dateTime18);
//     org.joda.time.DateTimeField dateTimeField26 = gregorianChronology12.hourOfHalfday();
//     java.lang.String str27 = gregorianChronology12.toString();
//     org.joda.time.MutableDateTime mutableDateTime28 = dateTime11.toMutableDateTime((org.joda.time.Chronology)gregorianChronology12);
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.DateTime dateTime29 = new org.joda.time.DateTime((-1), 2016, 51, 186, 0, (org.joda.time.Chronology)gregorianChronology12);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b9 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gregorianChronology12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i21 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b25 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str27 + "' != '" + "GregorianChronology[+01:01]"+ "'", str27.equals("GregorianChronology[+01:01]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime28);
// 
//   }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test342"); }


    org.joda.time.chrono.ISOChronology iSOChronology7 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField8 = iSOChronology7.eras();
    org.joda.time.DateTimeField dateTimeField9 = iSOChronology7.weekyear();
    org.joda.time.DurationField durationField10 = iSOChronology7.hours();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime11 = new org.joda.time.DateTime(7, 4, (-10), 2860, 2860, 61614697, 1026, (org.joda.time.Chronology)iSOChronology7);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField10);

  }

  @Test
  public void test343() {}
// Defects4J: flaky method
//   @Test
//   public void test343() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test343"); }
// 
// 
//     org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
//     org.joda.time.chrono.GregorianChronology gregorianChronology1 = org.joda.time.chrono.GregorianChronology.getInstance();
//     org.joda.time.DateTime dateTime2 = org.joda.time.DateTime.now();
//     org.joda.time.DateTime dateTime4 = dateTime2.withYear(1);
//     org.joda.time.DateTime.Property property5 = dateTime4.centuryOfEra();
//     org.joda.time.DateTime dateTime7 = dateTime4.minus(10L);
//     org.joda.time.DateTime dateTime9 = dateTime7.minusMillis(59);
//     int i10 = dateTime7.getYear();
//     org.joda.time.DateTime.Property property11 = dateTime7.secondOfDay();
//     org.joda.time.DateTime dateTime13 = dateTime7.plusMonths(54);
//     boolean b14 = gregorianChronology1.equals((java.lang.Object)dateTime7);
//     org.joda.time.DateTimeField dateTimeField15 = gregorianChronology1.hourOfHalfday();
//     java.lang.String str16 = gregorianChronology1.toString();
//     org.joda.time.DurationField durationField17 = gregorianChronology1.millis();
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField18 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType0, durationField17);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gregorianChronology1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i10 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b14 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str16 + "' != '" + "GregorianChronology[+01:01]"+ "'", str16.equals("GregorianChronology[+01:01]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField17);
// 
//   }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test344"); }


    org.joda.time.chrono.ISOChronology iSOChronology7 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField8 = iSOChronology7.centuries();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime9 = new org.joda.time.DateTime(60, 59, 21, 52, 6, 54, 51, (org.joda.time.Chronology)iSOChronology7);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField8);

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test345"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime.Property property3 = dateTime0.yearOfCentury();
    org.joda.time.DateTime dateTime4 = dateTime0.toDateTime();
    org.joda.time.DateTime dateTime6 = dateTime4.withMinuteOfHour(59);
    org.joda.time.DateTime dateTime7 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime9 = dateTime7.withYear(1);
    org.joda.time.DateTime.Property property10 = dateTime9.centuryOfEra();
    org.joda.time.DateTime dateTime12 = dateTime9.minus(10L);
    org.joda.time.DateTime dateTime14 = dateTime9.withMillis((-1L));
    int i15 = dateTime14.getSecondOfMinute();
    boolean b16 = dateTime4.isBefore((org.joda.time.ReadableInstant)dateTime14);
    org.joda.time.DateTime dateTime17 = dateTime4.withTimeAtStartOfDay();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime17);

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test346"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    org.joda.time.DateTimeFieldType dateTimeFieldType1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.OffsetDateTimeField offsetDateTimeField3 = new org.joda.time.field.OffsetDateTimeField(dateTimeField0, dateTimeFieldType1, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test347"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime.Property property3 = dateTime2.centuryOfEra();
    org.joda.time.DateTime dateTime5 = dateTime2.minus(10L);
    org.joda.time.DateTime dateTime7 = dateTime5.withMillis(100L);
    org.joda.time.DateTimeFieldType dateTimeFieldType8 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime10 = dateTime7.withField(dateTimeFieldType8, 52);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test348"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(durationFieldType0, "");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test349"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.JodaTimePermission jodaTimePermission1 = new org.joda.time.JodaTimePermission("");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test350"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime dateTime4 = dateTime2.plusHours((-1));
    org.joda.time.DateTime.Property property5 = dateTime2.year();
    org.joda.time.DateTime dateTime7 = dateTime2.plusYears(100);
    org.joda.time.Chronology chronology8 = org.joda.time.DateTimeUtils.getInstantChronology((org.joda.time.ReadableInstant)dateTime2);
    org.joda.time.DateTime dateTime10 = dateTime2.withMillis(1456070755176L);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime12 = dateTime2.withDayOfYear(707);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime10);

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test351"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("2016-02-21T17:06:55.153+01:01", 61614707, 61, 59);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test352"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField1 = iSOChronology0.centuries();
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.weekOfWeekyear();
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.RemainderDateTimeField remainderDateTimeField5 = new org.joda.time.field.RemainderDateTimeField(dateTimeField2, dateTimeFieldType3, 61);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test353"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTimeZone.setDefault(dateTimeZone0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test354() {}
// Defects4J: flaky method
//   @Test
//   public void test354() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test354"); }
// 
// 
//     org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
//     org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
//     org.joda.time.DateTime.Property property3 = dateTime2.centuryOfEra();
//     org.joda.time.DateTime dateTime5 = dateTime2.minus(10L);
//     org.joda.time.DateTime dateTime7 = dateTime5.minusMillis(59);
//     int i8 = dateTime5.getYear();
//     org.joda.time.DateTime.Property property9 = dateTime5.secondOfDay();
//     org.joda.time.DateTime dateTime10 = org.joda.time.DateTime.now();
//     org.joda.time.DateTime dateTime12 = dateTime10.withYear(1);
//     int i13 = dateTime10.getSecondOfMinute();
//     java.lang.String str14 = dateTime10.toString();
//     boolean b15 = dateTime5.isAfter((org.joda.time.ReadableInstant)dateTime10);
//     org.joda.time.LocalTime localTime16 = dateTime10.toLocalTime();
//     org.joda.time.DateTime.Property property17 = dateTime10.yearOfCentury();
//     int i18 = dateTime10.getDayOfWeek();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i8 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i13 == 54);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str14 + "' != '" + "2016-02-21T17:06:54.707+01:01"+ "'", str14.equals("2016-02-21T17:06:54.707+01:01"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b15 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localTime16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i18 == 7);
// 
//   }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test355"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField1 = iSOChronology0.eras();
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.weekyear();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology0.hourOfDay();
    org.joda.time.DateTimeField dateTimeField4 = iSOChronology0.monthOfYear();
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.DividedDateTimeField dividedDateTimeField7 = new org.joda.time.field.DividedDateTimeField(dateTimeField4, dateTimeFieldType5, 2016);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField4);

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test356"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    org.joda.time.DateTime dateTime2 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime4 = dateTime2.withYear(1);
    org.joda.time.DateTime.Property property5 = dateTime4.centuryOfEra();
    org.joda.time.DateTime dateTime7 = dateTime4.minus(10L);
    org.joda.time.DateTime dateTime9 = dateTime4.withMillis((-1L));
    org.joda.time.chrono.ISOChronology iSOChronology10 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField11 = iSOChronology10.eras();
    org.joda.time.DateTimeField dateTimeField12 = iSOChronology10.weekyear();
    org.joda.time.DateTime dateTime13 = dateTime9.withChronology((org.joda.time.Chronology)iSOChronology10);
    org.joda.time.DateTimeField dateTimeField14 = iSOChronology10.hourOfHalfday();
    org.joda.time.DateTime dateTime15 = new org.joda.time.DateTime(10L, (org.joda.time.Chronology)iSOChronology10);
    org.joda.time.DurationField durationField16 = iSOChronology10.minutes();
    long long19 = durationField16.subtract((-62131132445303L), 5);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField20 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType0, durationField16);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long19 == (-62131132745303L));

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test357"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiply((-2016), 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-16128));

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test358"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime.Property property3 = dateTime0.yearOfCentury();
    boolean b4 = dateTime0.isAfterNow();
    int i5 = dateTime0.getCenturyOfEra();
    org.joda.time.ReadablePeriod readablePeriod6 = null;
    org.joda.time.DateTime dateTime7 = dateTime0.plus(readablePeriod6);
    org.joda.time.DateTimeZone dateTimeZone11 = org.joda.time.DateTimeZone.forOffsetHoursMinutes(1, 1);
    java.lang.String str12 = dateTimeZone11.getID();
    org.joda.time.tz.CachedDateTimeZone cachedDateTimeZone13 = org.joda.time.tz.CachedDateTimeZone.forZone(dateTimeZone11);
    boolean b14 = cachedDateTimeZone13.isFixed();
    long long16 = cachedDateTimeZone13.nextTransition((-1L));
    org.joda.time.DateTimeZone dateTimeZone18 = org.joda.time.DateTimeZone.forOffsetMillis(10);
    org.joda.time.LocalDateTime localDateTime19 = null;
    boolean b20 = dateTimeZone18.isLocalDateTimeGap(localDateTime19);
    org.joda.time.tz.CachedDateTimeZone cachedDateTimeZone21 = org.joda.time.tz.CachedDateTimeZone.forZone(dateTimeZone18);
    long long23 = cachedDateTimeZone13.getMillisKeepLocal(dateTimeZone18, (-3659990L));
    org.joda.time.DateTime dateTime24 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime26 = dateTime24.withYear(1);
    org.joda.time.DateTime.Property property27 = dateTime26.centuryOfEra();
    org.joda.time.DateTime dateTime29 = dateTime26.minus(10L);
    org.joda.time.DateTime dateTime31 = dateTime29.minusMillis(59);
    org.joda.time.DateTime.Property property32 = dateTime29.minuteOfDay();
    int i33 = cachedDateTimeZone13.getOffset((org.joda.time.ReadableInstant)dateTime29);
    java.lang.String str35 = cachedDateTimeZone13.getNameKey((-10L));
    long long37 = cachedDateTimeZone13.convertUTCToLocal((-10L));
    org.joda.time.DateTime dateTime38 = new org.joda.time.DateTime(100L, (org.joda.time.DateTimeZone)cachedDateTimeZone13);
    boolean b40 = cachedDateTimeZone13.equals((java.lang.Object)1456074415220L);
    org.joda.time.DateTime dateTime41 = dateTime7.toDateTime((org.joda.time.DateTimeZone)cachedDateTimeZone13);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime43 = dateTime7.withEra(77);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "+01:01"+ "'", str12.equals("+01:01"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(cachedDateTimeZone13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long16 == (-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(cachedDateTimeZone21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long23 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 3660000);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long37 == 3659990L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime41);

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test359"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.IllegalFieldValueException illegalFieldValueException5 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.IllegalFieldValueException illegalFieldValueException8 = new org.joda.time.IllegalFieldValueException("hi!", "");
    illegalFieldValueException5.addSuppressed((java.lang.Throwable)illegalFieldValueException8);
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException5);
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.Number number12 = illegalFieldValueException2.getIllegalNumberValue();
    java.lang.String str13 = illegalFieldValueException2.toString();
    java.lang.Number number14 = illegalFieldValueException2.getIllegalNumberValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str13.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number14);

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test360"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime.Property property3 = dateTime2.centuryOfEra();
    org.joda.time.DateTime dateTime5 = dateTime2.minus(10L);
    org.joda.time.DateTime dateTime7 = dateTime2.withMillis((-1L));
    org.joda.time.chrono.ISOChronology iSOChronology8 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField9 = iSOChronology8.eras();
    org.joda.time.DateTimeField dateTimeField10 = iSOChronology8.weekyear();
    org.joda.time.DateTime dateTime11 = dateTime7.withChronology((org.joda.time.Chronology)iSOChronology8);
    java.util.Date date12 = dateTime7.toDate();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime14 = dateTime7.withSecondOfMinute(61);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date12);

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test361"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField1 = iSOChronology0.centuries();
    org.joda.time.DurationField durationField2 = iSOChronology0.halfdays();
    org.joda.time.DateTimeZone dateTimeZone3 = iSOChronology0.getZone();
    org.joda.time.DateTime dateTime4 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime6 = dateTime4.withYear(1);
    org.joda.time.DateTime.Property property7 = dateTime6.centuryOfEra();
    org.joda.time.DateTime dateTime9 = dateTime6.minus(10L);
    org.joda.time.DateTime dateTime11 = dateTime9.withMillis(100L);
    boolean b13 = dateTime9.isEqual(1L);
    int i14 = dateTime9.getYearOfEra();
    org.joda.time.LocalDate localDate15 = dateTime9.toLocalDate();
    org.joda.time.chrono.GregorianChronology gregorianChronology16 = org.joda.time.chrono.GregorianChronology.getInstanceUTC();
    org.joda.time.chrono.ISOChronology iSOChronology17 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField18 = iSOChronology17.centuries();
    boolean b19 = gregorianChronology16.equals((java.lang.Object)iSOChronology17);
    org.joda.time.DateTime dateTime20 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime22 = dateTime20.withYear(1);
    org.joda.time.DateTime.Property property23 = dateTime22.centuryOfEra();
    org.joda.time.DateTime dateTime25 = dateTime22.minus(10L);
    org.joda.time.DateTime dateTime27 = dateTime25.withMillis(100L);
    org.joda.time.DateTime dateTime29 = dateTime27.plusDays(59);
    org.joda.time.DateTime dateTime31 = dateTime27.withDayOfYear(59);
    boolean b32 = gregorianChronology16.equals((java.lang.Object)dateTime27);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone37 = new org.joda.time.tz.FixedDateTimeZone("+00:00:00.010", "hi!", (-1), 52);
    java.lang.String str39 = fixedDateTimeZone37.getNameKey((-9L));
    org.joda.time.DateTime dateTime40 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime42 = dateTime40.withYear(1);
    org.joda.time.DateTime.Property property43 = dateTime40.yearOfCentury();
    boolean b44 = dateTime40.isAfterNow();
    int i45 = dateTime40.getDayOfYear();
    org.joda.time.DateTime dateTime47 = dateTime40.plusMonths((-1));
    boolean b48 = fixedDateTimeZone37.equals((java.lang.Object)(-1));
    java.lang.String str50 = fixedDateTimeZone37.getNameKey((-10L));
    org.joda.time.DateTime dateTime51 = new org.joda.time.DateTime((org.joda.time.DateTimeZone)fixedDateTimeZone37);
    org.joda.time.chrono.ZonedChronology zonedChronology52 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)gregorianChronology16, (org.joda.time.DateTimeZone)fixedDateTimeZone37);
    org.joda.time.DateTime dateTime53 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime55 = dateTime53.withYear(1);
    org.joda.time.DateTime.Property property56 = dateTime55.centuryOfEra();
    org.joda.time.DateTime dateTime58 = dateTime55.minus(10L);
    org.joda.time.DateTime dateTime60 = dateTime58.minusMillis(59);
    int i61 = dateTime58.getYear();
    org.joda.time.TimeOfDay timeOfDay62 = dateTime58.toTimeOfDay();
    int[] i_array64 = gregorianChronology16.get((org.joda.time.ReadablePartial)timeOfDay62, (-62131132745303L));
    // The following exception was thrown during execution in test generation
    try {
      iSOChronology0.validate((org.joda.time.ReadablePartial)localDate15, i_array64);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str39 + "' != '" + "hi!"+ "'", str39.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i45 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str50 + "' != '" + "hi!"+ "'", str50.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(zonedChronology52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i61 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeOfDay62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array64);

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test362"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime.Property property3 = dateTime0.yearOfCentury();
    boolean b4 = dateTime0.isAfterNow();
    int i5 = dateTime0.getDayOfYear();
    org.joda.time.DateTime dateTime7 = dateTime0.plusMonths((-1));
    org.joda.time.DateTime.Property property8 = dateTime0.secondOfDay();
    org.joda.time.DateTime.Property property9 = dateTime0.era();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property9);

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test363"); }


    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder0 = new org.joda.time.tz.DateTimeZoneBuilder();
    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder11 = dateTimeZoneBuilder0.addRecurringSavings("", 10, 100, 52, '#', 100, (-1), 10, false, 52);
    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder14 = dateTimeZoneBuilder0.setFixedSavings("hi!", 54);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder25 = dateTimeZoneBuilder0.addRecurringSavings("Coordinated Universal Time", 59, (-55), 2016, '#', 0, 0, 2860, false, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZoneBuilder11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZoneBuilder14);

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test364"); }


    org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forOffsetHours(61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone1);

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test365"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime.Property property3 = dateTime0.yearOfCentury();
    boolean b4 = dateTime0.isAfterNow();
    org.joda.time.DateTime dateTime6 = dateTime0.plusSeconds(55);
    org.joda.time.DateTime.Property property7 = dateTime6.hourOfDay();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property7);

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test366"); }


    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField2 = iSOChronology1.centuries();
    org.joda.time.DateTime dateTime3 = new org.joda.time.DateTime(0L, (org.joda.time.Chronology)iSOChronology1);
    // The following exception was thrown during execution in test generation
    try {
      long long9 = iSOChronology1.getDateTimeMillis(2912141510352L, 0, 2, 707, 61);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField2);

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test367"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    int i3 = dateTime0.getSecondOfMinute();
    org.joda.time.LocalTime localTime4 = dateTime0.toLocalTime();
    long long5 = org.joda.time.DateTimeUtils.getInstantMillis((org.joda.time.ReadableInstant)dateTime0);
    int i6 = dateTime0.getSecondOfMinute();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localTime4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long5 == 1456070754707L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 54);

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test368"); }


    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder0 = new org.joda.time.tz.DateTimeZoneBuilder();
    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder11 = dateTimeZoneBuilder0.addRecurringSavings("", 10, 100, 52, '#', 100, (-1), 10, false, 52);
    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder14 = dateTimeZoneBuilder0.setFixedSavings("hi!", 54);
    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder25 = dateTimeZoneBuilder14.addRecurringSavings("2016-02-21T17:06:55.153+01:01", 54, 707, 54, ' ', 4, 70, 52, false, 0);
    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder27 = dateTimeZoneBuilder25.setStandardOffset(61615);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder35 = dateTimeZoneBuilder27.addCutover(3660000, '#', 17, 61614697, 60, true, (-16128));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZoneBuilder11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZoneBuilder14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZoneBuilder25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZoneBuilder27);

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test369"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime.Property property3 = dateTime2.centuryOfEra();
    org.joda.time.DateTime dateTime5 = dateTime2.minus(10L);
    org.joda.time.DateTime dateTime7 = dateTime2.withMillis((-1L));
    org.joda.time.Instant instant8 = dateTime2.toInstant();
    org.joda.time.DateTime dateTime9 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime11 = dateTime9.withYear(1);
    int i12 = dateTime9.getSecondOfMinute();
    org.joda.time.Chronology chronology13 = org.joda.time.DateTimeUtils.getInstantChronology((org.joda.time.ReadableInstant)dateTime9);
    org.joda.time.DateTime dateTime14 = dateTime2.withChronology(chronology13);
    org.joda.time.DateTime.Property property15 = dateTime2.era();
    org.joda.time.DateTime dateTime18 = dateTime2.withDurationAdded(0L, 59);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime20 = dateTime18.withDayOfYear(3660000);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(instant8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime18);

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test370"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.DateTime dateTime1 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime3 = dateTime1.withYear(1);
    org.joda.time.DateTime.Property property4 = dateTime3.centuryOfEra();
    org.joda.time.DateTime dateTime6 = dateTime3.minus(10L);
    org.joda.time.DateTime dateTime8 = dateTime6.minusMillis(59);
    int i9 = dateTime6.getYear();
    org.joda.time.DateTime.Property property10 = dateTime6.secondOfDay();
    org.joda.time.DateTime dateTime12 = dateTime6.plusMonths(54);
    boolean b13 = gregorianChronology0.equals((java.lang.Object)dateTime6);
    org.joda.time.DateTimeField dateTimeField14 = gregorianChronology0.hourOfHalfday();
    java.lang.Object obj15 = null;
    boolean b16 = gregorianChronology0.equals(obj15);
    org.joda.time.DateTime dateTime17 = org.joda.time.DateTime.now();
    org.joda.time.DateTime.Property property18 = dateTime17.yearOfCentury();
    org.joda.time.DateTimeZone dateTimeZone21 = org.joda.time.DateTimeZone.forOffsetHoursMinutes(1, 1);
    java.lang.String str22 = dateTimeZone21.getID();
    org.joda.time.tz.CachedDateTimeZone cachedDateTimeZone23 = org.joda.time.tz.CachedDateTimeZone.forZone(dateTimeZone21);
    java.lang.String str25 = dateTimeZone21.getName((-1L));
    org.joda.time.DateTime dateTime27 = org.joda.time.DateTime.parse("2016-02-21T17:06:54.611+01:01");
    int i28 = dateTimeZone21.getOffset((org.joda.time.ReadableInstant)dateTime27);
    org.joda.time.DateTime dateTime29 = dateTime17.withZone(dateTimeZone21);
    boolean b30 = gregorianChronology0.equals((java.lang.Object)dateTime29);
    org.joda.time.LocalDateTime localDateTime31 = dateTime29.toLocalDateTime();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime33 = dateTime29.withMinuteOfHour((-1));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "+01:01"+ "'", str22.equals("+01:01"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(cachedDateTimeZone23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "+01:01"+ "'", str25.equals("+01:01"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 3660000);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDateTime31);

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test371"); }


    org.joda.time.DateTimeZone dateTimeZone2 = org.joda.time.DateTimeZone.forOffsetHoursMinutes(1, 1);
    java.lang.String str3 = dateTimeZone2.getID();
    org.joda.time.tz.CachedDateTimeZone cachedDateTimeZone4 = org.joda.time.tz.CachedDateTimeZone.forZone(dateTimeZone2);
    boolean b5 = cachedDateTimeZone4.isFixed();
    java.lang.String str7 = cachedDateTimeZone4.getNameKey(1L);
    org.joda.time.tz.CachedDateTimeZone cachedDateTimeZone8 = org.joda.time.tz.CachedDateTimeZone.forZone((org.joda.time.DateTimeZone)cachedDateTimeZone4);
    int i10 = cachedDateTimeZone8.getOffset(1456067095231L);
    int i12 = cachedDateTimeZone8.getOffset(90276383160966L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+01:01"+ "'", str3.equals("+01:01"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(cachedDateTimeZone4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(cachedDateTimeZone8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 3660000);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 3660000);

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test372"); }


    org.joda.time.DateTimeZone dateTimeZone9 = org.joda.time.DateTimeZone.forOffsetHoursMinutes(1, 1);
    java.lang.String str10 = dateTimeZone9.getID();
    org.joda.time.tz.CachedDateTimeZone cachedDateTimeZone11 = org.joda.time.tz.CachedDateTimeZone.forZone(dateTimeZone9);
    boolean b12 = cachedDateTimeZone11.isFixed();
    long long14 = cachedDateTimeZone11.nextTransition((-1L));
    org.joda.time.DateTimeZone dateTimeZone16 = org.joda.time.DateTimeZone.forOffsetMillis(10);
    org.joda.time.LocalDateTime localDateTime17 = null;
    boolean b18 = dateTimeZone16.isLocalDateTimeGap(localDateTime17);
    org.joda.time.tz.CachedDateTimeZone cachedDateTimeZone19 = org.joda.time.tz.CachedDateTimeZone.forZone(dateTimeZone16);
    long long21 = cachedDateTimeZone11.getMillisKeepLocal(dateTimeZone16, (-3659990L));
    long long25 = cachedDateTimeZone11.convertLocalToUTC(10L, false, 3659990L);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime26 = new org.joda.time.DateTime(61614697, 54, 2860, 61614707, 21, 70, 7, (org.joda.time.DateTimeZone)cachedDateTimeZone11);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "+01:01"+ "'", str10.equals("+01:01"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(cachedDateTimeZone11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long14 == (-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(cachedDateTimeZone19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long21 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long25 == (-3659990L));

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test373"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("0001-02-21T17:06:54.708+01:01", "2016-02-21T16:05:55.230+01:01");

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test374"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime2 = org.joda.time.DateTime.parse("Coordinated Universal Time", dateTimeFormatter1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test375"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstanceUTC();
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField2 = iSOChronology1.centuries();
    boolean b3 = gregorianChronology0.equals((java.lang.Object)iSOChronology1);
    org.joda.time.DateTime dateTime4 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime6 = dateTime4.withYear(1);
    org.joda.time.DateTime.Property property7 = dateTime6.centuryOfEra();
    org.joda.time.DateTime dateTime9 = dateTime6.minus(10L);
    org.joda.time.DateTime dateTime11 = dateTime9.withMillis(100L);
    org.joda.time.DateTime dateTime13 = dateTime11.plusDays(59);
    org.joda.time.DateTime dateTime15 = dateTime11.withDayOfYear(59);
    boolean b16 = gregorianChronology0.equals((java.lang.Object)dateTime11);
    org.joda.time.DateTimeZone dateTimeZone17 = org.joda.time.DateTimeZone.UTC;
    org.joda.time.tz.CachedDateTimeZone cachedDateTimeZone18 = org.joda.time.tz.CachedDateTimeZone.forZone(dateTimeZone17);
    org.joda.time.DateTime dateTime19 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime21 = dateTime19.withYear(1);
    org.joda.time.DateTime.Property property22 = dateTime21.centuryOfEra();
    org.joda.time.DateTime dateTime24 = dateTime21.minus(10L);
    org.joda.time.DateTime dateTime26 = dateTime24.withMillis(100L);
    org.joda.time.DateTime.Property property27 = dateTime24.millisOfSecond();
    boolean b28 = cachedDateTimeZone18.equals((java.lang.Object)property27);
    org.joda.time.Chronology chronology29 = gregorianChronology0.withZone((org.joda.time.DateTimeZone)cachedDateTimeZone18);
    // The following exception was thrown during execution in test generation
    try {
      long long34 = gregorianChronology0.getDateTimeMillis(17, 57955220, 61615237, 16);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(cachedDateTimeZone18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology29);

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test376"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd(1456070755176L, 1456070755276L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 2912141510452L);

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test377"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime.Property property3 = dateTime2.centuryOfEra();
    org.joda.time.DateTime dateTime5 = dateTime2.minus(10L);
    org.joda.time.DateTime dateTime7 = dateTime5.minusMillis(59);
    org.joda.time.ReadableDuration readableDuration8 = null;
    org.joda.time.DateTime dateTime10 = dateTime7.withDurationAdded(readableDuration8, 1);
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime.Property property12 = dateTime10.property(dateTimeFieldType11);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime10);

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test378"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.DateTime dateTime1 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime3 = dateTime1.withYear(1);
    org.joda.time.DateTime.Property property4 = dateTime3.centuryOfEra();
    org.joda.time.DateTime dateTime6 = dateTime3.minus(10L);
    org.joda.time.DateTime dateTime8 = dateTime6.minusMillis(59);
    int i9 = dateTime6.getYear();
    org.joda.time.DateTime.Property property10 = dateTime6.secondOfDay();
    org.joda.time.DateTime dateTime12 = dateTime6.plusMonths(54);
    boolean b13 = gregorianChronology0.equals((java.lang.Object)dateTime6);
    org.joda.time.DateTimeField dateTimeField14 = gregorianChronology0.centuryOfEra();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField14);

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test379"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField1 = iSOChronology0.centuries();
    org.joda.time.DurationField durationField2 = iSOChronology0.halfdays();
    org.joda.time.DateTimeZone dateTimeZone3 = iSOChronology0.getZone();
    org.joda.time.DurationField durationField4 = iSOChronology0.eras();
    // The following exception was thrown during execution in test generation
    try {
      long long10 = iSOChronology0.getDateTimeMillis((-62131132445900L), 59, 61614707, 2860, 61615);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField4);

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test380"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forID("2016-02-21T16:05:54.707Z");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test381"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.DateTimeZone dateTimeZone1 = gregorianChronology0.getZone();
    org.joda.time.DateTimeField dateTimeField2 = gregorianChronology0.dayOfYear();
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.DividedDateTimeField dividedDateTimeField5 = new org.joda.time.field.DividedDateTimeField(dateTimeField2, dateTimeFieldType3, 8);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test382"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology2 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField3 = iSOChronology2.centuries();
    org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(0L, (org.joda.time.Chronology)iSOChronology2);
    org.joda.time.DurationField durationField5 = iSOChronology2.years();
    org.joda.time.DateTime dateTime6 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime8 = dateTime6.withYear(1);
    org.joda.time.DateTime.Property property9 = dateTime8.centuryOfEra();
    org.joda.time.DateTime dateTime11 = dateTime8.minus(10L);
    org.joda.time.DateTime dateTime13 = dateTime8.withMillis((-1L));
    org.joda.time.chrono.ISOChronology iSOChronology14 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField15 = iSOChronology14.eras();
    org.joda.time.DateTimeField dateTimeField16 = iSOChronology14.weekyear();
    org.joda.time.DateTime dateTime17 = dateTime13.withChronology((org.joda.time.Chronology)iSOChronology14);
    org.joda.time.DateTimeField dateTimeField18 = iSOChronology14.hourOfHalfday();
    org.joda.time.DurationField durationField19 = iSOChronology14.years();
    long long22 = durationField19.subtract(1456070755231L, (-55));
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.PreciseDateTimeField preciseDateTimeField23 = new org.joda.time.field.PreciseDateTimeField(dateTimeFieldType0, durationField5, durationField19);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long22 == 3191760355231L);

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test383"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.PreciseDurationField preciseDurationField2 = new org.joda.time.field.PreciseDurationField(durationFieldType0, 1456070754707L);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test384"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField1 = iSOChronology0.eras();
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.weekyear();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology0.hourOfDay();
    org.joda.time.DateTimeField dateTimeField4 = iSOChronology0.monthOfYear();
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.RemainderDateTimeField remainderDateTimeField7 = new org.joda.time.field.RemainderDateTimeField(dateTimeField4, dateTimeFieldType5, 707);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField4);

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test385"); }


    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder0 = new org.joda.time.tz.DateTimeZoneBuilder();
    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder2 = dateTimeZoneBuilder0.setStandardOffset(54);
    java.io.DataOutput dataOutput4 = null;
    // The following exception was thrown during execution in test generation
    try {
      dateTimeZoneBuilder0.writeTo("", dataOutput4);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZoneBuilder2);

  }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test386"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    org.joda.time.DateTimeFieldType dateTimeFieldType1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.RemainderDateTimeField remainderDateTimeField3 = new org.joda.time.field.RemainderDateTimeField(dateTimeField0, dateTimeFieldType1, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test387"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime dateTime4 = dateTime2.plusHours((-1));
    org.joda.time.DateTime.Property property5 = dateTime2.year();
    org.joda.time.DateTime dateTime7 = dateTime2.plusYears(100);
    org.joda.time.DateTime dateTime9 = dateTime2.withWeekyear(3660000);
    int i10 = dateTime2.getWeekyear();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test388"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(durationFieldType0, "(\"org.joda.time.JodaTimePermission\" \"2016-02-21T17:06:54.611+01:01\")");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test389"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.DateTime dateTime1 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime3 = dateTime1.withYear(1);
    org.joda.time.DateTime.Property property4 = dateTime3.centuryOfEra();
    org.joda.time.DateTime dateTime6 = dateTime3.minus(10L);
    org.joda.time.DateTime dateTime8 = dateTime6.minusMillis(59);
    int i9 = dateTime6.getYear();
    org.joda.time.DateTime.Property property10 = dateTime6.secondOfDay();
    org.joda.time.DateTime dateTime12 = dateTime6.plusMonths(54);
    boolean b13 = gregorianChronology0.equals((java.lang.Object)dateTime6);
    org.joda.time.DateTimeField dateTimeField14 = gregorianChronology0.secondOfDay();
    org.joda.time.ReadablePeriod readablePeriod15 = null;
    long long18 = gregorianChronology0.add(readablePeriod15, (-1L), 17);
    org.joda.time.DateTime dateTime19 = org.joda.time.DateTime.now((org.joda.time.Chronology)gregorianChronology0);
    org.joda.time.DateTimeField dateTimeField20 = gregorianChronology0.hourOfDay();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long18 == (-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField20);

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test390"); }


    org.joda.time.DateTimeZone dateTimeZone0 = org.joda.time.DateTimeZone.getDefault();
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.millisOfDay();
    org.joda.time.DurationField durationField3 = iSOChronology1.weekyears();
    org.joda.time.DurationFieldType durationFieldType4 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.ScaledDurationField scaledDurationField6 = new org.joda.time.field.ScaledDurationField(durationField3, durationFieldType4, 57955220);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField3);

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test391"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue(1970, 59, 3660000);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1970);

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test392"); }


    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder0 = new org.joda.time.tz.DateTimeZoneBuilder();
    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder11 = dateTimeZoneBuilder0.addRecurringSavings("", 10, 100, 52, '#', 100, (-1), 10, false, 52);
    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder13 = dateTimeZoneBuilder11.setStandardOffset((-10));
    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder16 = dateTimeZoneBuilder11.setFixedSavings("2016-02-21T17:06:54.611+01:01", 0);
    java.io.OutputStream outputStream18 = null;
    // The following exception was thrown during execution in test generation
    try {
      dateTimeZoneBuilder16.writeTo("ZonedChronology[GregorianChronology[UTC], +00:00:00.010]", outputStream18);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZoneBuilder11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZoneBuilder13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZoneBuilder16);

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test393"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract((-62131132445293L), 1456067095222L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-63587199540515L));

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test394"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime dateTime4 = dateTime2.plusHours((-1));
    org.joda.time.DateTime.Property property5 = dateTime2.year();
    org.joda.time.DateTime dateTime7 = dateTime2.plusYears(100);
    org.joda.time.DateTime dateTime8 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime10 = dateTime8.withYear(1);
    org.joda.time.DateTime.Property property11 = dateTime10.centuryOfEra();
    org.joda.time.DateTime dateTime13 = dateTime10.minus(10L);
    org.joda.time.DateTime dateTime15 = dateTime13.withMillis(100L);
    org.joda.time.DateTime.Property property16 = dateTime13.millisOfSecond();
    org.joda.time.DateTime dateTime18 = dateTime13.withMillisOfSecond(100);
    org.joda.time.DateTime.Property property19 = dateTime18.year();
    org.joda.time.Chronology chronology20 = org.joda.time.DateTimeUtils.getIntervalChronology((org.joda.time.ReadableInstant)dateTime7, (org.joda.time.ReadableInstant)dateTime18);
    java.util.Locale locale21 = null;
    java.util.Calendar calendar22 = dateTime18.toCalendar(locale21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(calendar22);

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test395"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime.Property property3 = dateTime2.centuryOfEra();
    org.joda.time.DateTime dateTime5 = dateTime2.minus(10L);
    org.joda.time.DateTime dateTime7 = dateTime5.withMillis(100L);
    boolean b9 = dateTime5.isEqual(1L);
    org.joda.time.DateTime.Property property10 = dateTime5.year();
    org.joda.time.DateTime dateTime12 = dateTime5.plusMonths(55);
    org.joda.time.DateTimeZone dateTimeZone15 = org.joda.time.DateTimeZone.forOffsetHoursMinutes(1, 1);
    java.lang.String str16 = dateTimeZone15.getID();
    org.joda.time.tz.CachedDateTimeZone cachedDateTimeZone17 = org.joda.time.tz.CachedDateTimeZone.forZone(dateTimeZone15);
    boolean b18 = cachedDateTimeZone17.isFixed();
    java.lang.String str20 = cachedDateTimeZone17.getNameKey(1L);
    org.joda.time.tz.CachedDateTimeZone cachedDateTimeZone21 = org.joda.time.tz.CachedDateTimeZone.forZone((org.joda.time.DateTimeZone)cachedDateTimeZone17);
    int i23 = cachedDateTimeZone21.getOffset(1456067095231L);
    org.joda.time.DateTime dateTime24 = dateTime5.toDateTime((org.joda.time.DateTimeZone)cachedDateTimeZone21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "+01:01"+ "'", str16.equals("+01:01"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(cachedDateTimeZone17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(cachedDateTimeZone21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 3660000);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime24);

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test396"); }


    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone10 = new org.joda.time.tz.FixedDateTimeZone("+00:00:00.010", "hi!", (-1), 52);
    java.lang.String str12 = fixedDateTimeZone10.getNameKey((-9L));
    org.joda.time.DateTime dateTime13 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime15 = dateTime13.withYear(1);
    org.joda.time.DateTime.Property property16 = dateTime13.yearOfCentury();
    boolean b17 = dateTime13.isAfterNow();
    int i18 = dateTime13.getDayOfYear();
    org.joda.time.DateTime dateTime20 = dateTime13.plusMonths((-1));
    boolean b21 = fixedDateTimeZone10.equals((java.lang.Object)(-1));
    java.lang.String str23 = fixedDateTimeZone10.getNameKey((-10L));
    java.util.TimeZone timeZone24 = fixedDateTimeZone10.toTimeZone();
    long long27 = fixedDateTimeZone10.adjustOffset((-62131136105303L), false);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime28 = new org.joda.time.DateTime(52, 58, 61615237, (-2016), (-1), 2, (org.joda.time.DateTimeZone)fixedDateTimeZone10);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "hi!"+ "'", str12.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "hi!"+ "'", str23.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long27 == (-62131136105303L));

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test397"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime.Property property3 = dateTime2.centuryOfEra();
    org.joda.time.DateTime dateTime5 = dateTime2.minus(10L);
    org.joda.time.DateTime dateTime7 = dateTime2.withMillis((-1L));
    org.joda.time.Instant instant8 = dateTime2.toInstant();
    org.joda.time.DateTimeZone dateTimeZone11 = org.joda.time.DateTimeZone.forOffsetHoursMinutes(1, 1);
    boolean b13 = dateTimeZone11.isStandardOffset(10L);
    org.joda.time.DateTime dateTime14 = dateTime2.toDateTime(dateTimeZone11);
    org.joda.time.DateTime dateTime16 = dateTime2.withWeekyear(20);
    int i17 = dateTime16.getMillisOfSecond();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(instant8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 707);

  }

  @Test
  public void test398() {}
// Defects4J: flaky method
//   @Test
//   public void test398() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test398"); }
// 
// 
//     org.joda.time.DateTimeZone dateTimeZone2 = org.joda.time.DateTimeZone.forOffsetHoursMinutes(1, 1);
//     java.lang.String str3 = dateTimeZone2.getID();
//     org.joda.time.tz.CachedDateTimeZone cachedDateTimeZone4 = org.joda.time.tz.CachedDateTimeZone.forZone(dateTimeZone2);
//     boolean b5 = cachedDateTimeZone4.isFixed();
//     long long7 = cachedDateTimeZone4.nextTransition((-1L));
//     org.joda.time.DateTimeZone dateTimeZone9 = org.joda.time.DateTimeZone.forOffsetMillis(10);
//     org.joda.time.LocalDateTime localDateTime10 = null;
//     boolean b11 = dateTimeZone9.isLocalDateTimeGap(localDateTime10);
//     org.joda.time.tz.CachedDateTimeZone cachedDateTimeZone12 = org.joda.time.tz.CachedDateTimeZone.forZone(dateTimeZone9);
//     long long14 = cachedDateTimeZone4.getMillisKeepLocal(dateTimeZone9, (-3659990L));
//     org.joda.time.DateTime dateTime15 = org.joda.time.DateTime.now();
//     org.joda.time.DateTime dateTime17 = dateTime15.withYear(1);
//     org.joda.time.DateTime.Property property18 = dateTime17.centuryOfEra();
//     org.joda.time.DateTime dateTime20 = dateTime17.minus(10L);
//     org.joda.time.DateTime dateTime22 = dateTime20.minusMillis(59);
//     org.joda.time.DateTime.Property property23 = dateTime20.minuteOfDay();
//     int i24 = cachedDateTimeZone4.getOffset((org.joda.time.ReadableInstant)dateTime20);
//     org.joda.time.DateTime dateTime26 = dateTime20.withDayOfMonth(1);
//     int i27 = dateTime26.getMillisOfDay();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "+01:01"+ "'", str3.equals("+01:01"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(cachedDateTimeZone4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b5 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long7 == (-1L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b11 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(cachedDateTimeZone12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long14 == 0L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i24 == 3660000);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i27 == 57954697);
// 
//   }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test399"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime5 = new org.joda.time.DateTime(61615237, 61615237, 9, 0, 16);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test400"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime dateTime4 = dateTime2.plusHours((-1));
    org.joda.time.DateTime.Property property5 = dateTime2.year();
    org.joda.time.DateTime dateTime7 = dateTime2.plusYears(100);
    org.joda.time.DateTime dateTime8 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime10 = dateTime8.withYear(1);
    org.joda.time.DateTime.Property property11 = dateTime10.centuryOfEra();
    org.joda.time.DateTime dateTime13 = dateTime10.minus(10L);
    org.joda.time.DateTime dateTime15 = dateTime13.withMillis(100L);
    org.joda.time.DateTime.Property property16 = dateTime13.millisOfSecond();
    org.joda.time.DateTime dateTime18 = dateTime13.withMillisOfSecond(100);
    org.joda.time.DateTime.Property property19 = dateTime18.year();
    org.joda.time.Chronology chronology20 = org.joda.time.DateTimeUtils.getIntervalChronology((org.joda.time.ReadableInstant)dateTime7, (org.joda.time.ReadableInstant)dateTime18);
    int i21 = dateTime18.getSecondOfMinute();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 54);

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test401"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstanceUTC();
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField2 = iSOChronology1.centuries();
    boolean b3 = gregorianChronology0.equals((java.lang.Object)iSOChronology1);
    org.joda.time.DateTime dateTime4 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime6 = dateTime4.withYear(1);
    org.joda.time.DateTime.Property property7 = dateTime6.centuryOfEra();
    org.joda.time.DateTime dateTime9 = dateTime6.minus(10L);
    org.joda.time.DateTime dateTime11 = dateTime9.withMillis(100L);
    org.joda.time.DateTime dateTime13 = dateTime11.plusDays(59);
    org.joda.time.DateTime dateTime15 = dateTime11.withDayOfYear(59);
    boolean b16 = gregorianChronology0.equals((java.lang.Object)dateTime11);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone21 = new org.joda.time.tz.FixedDateTimeZone("+00:00:00.010", "hi!", (-1), 52);
    java.lang.String str23 = fixedDateTimeZone21.getNameKey((-9L));
    org.joda.time.DateTime dateTime24 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime26 = dateTime24.withYear(1);
    org.joda.time.DateTime.Property property27 = dateTime24.yearOfCentury();
    boolean b28 = dateTime24.isAfterNow();
    int i29 = dateTime24.getDayOfYear();
    org.joda.time.DateTime dateTime31 = dateTime24.plusMonths((-1));
    boolean b32 = fixedDateTimeZone21.equals((java.lang.Object)(-1));
    java.lang.String str34 = fixedDateTimeZone21.getNameKey((-10L));
    org.joda.time.DateTime dateTime35 = new org.joda.time.DateTime((org.joda.time.DateTimeZone)fixedDateTimeZone21);
    org.joda.time.chrono.ZonedChronology zonedChronology36 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)gregorianChronology0, (org.joda.time.DateTimeZone)fixedDateTimeZone21);
    org.joda.time.DateTimeZone dateTimeZone39 = org.joda.time.DateTimeZone.forOffsetHoursMinutes(1, 1);
    boolean b41 = dateTimeZone39.isStandardOffset(10L);
    org.joda.time.Chronology chronology42 = zonedChronology36.withZone(dateTimeZone39);
    org.joda.time.DurationField durationField43 = zonedChronology36.years();
    org.joda.time.DateTimeField dateTimeField44 = zonedChronology36.dayOfYear();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "hi!"+ "'", str23.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str34 + "' != '" + "hi!"+ "'", str34.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(zonedChronology36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField44);

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test402"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime.Property property3 = dateTime2.centuryOfEra();
    org.joda.time.DateTime dateTime5 = dateTime2.minus(10L);
    org.joda.time.DateTime dateTime7 = dateTime5.withMillis(100L);
    org.joda.time.DateTime dateTime9 = dateTime7.plusDays(59);
    long long10 = dateTime7.getMillis();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long10 == 100L);

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test403"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt((-1L), 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test404"); }


    org.joda.time.DateTimeZone dateTimeZone2 = org.joda.time.DateTimeZone.forOffsetHoursMinutes(1, 1);
    java.lang.String str4 = dateTimeZone2.getName((-1L));
    org.joda.time.LocalDateTime localDateTime5 = null;
    boolean b6 = dateTimeZone2.isLocalDateTimeGap(localDateTime5);
    org.joda.time.DateTimeZone.setDefault(dateTimeZone2);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone12 = new org.joda.time.tz.FixedDateTimeZone("+00:00:00.010", "hi!", (-1), 52);
    java.lang.String str14 = fixedDateTimeZone12.getNameKey((-9L));
    long long16 = fixedDateTimeZone12.convertUTCToLocal((-9L));
    boolean b17 = fixedDateTimeZone12.isFixed();
    long long21 = fixedDateTimeZone12.convertLocalToUTC((-10L), false, 0L);
    long long23 = fixedDateTimeZone12.nextTransition((-3659990L));
    long long25 = dateTimeZone2.getMillisKeepLocal((org.joda.time.DateTimeZone)fixedDateTimeZone12, 1456063435221L);
    int i27 = fixedDateTimeZone12.getStandardOffset(100L);
    org.joda.time.DateTimeZone dateTimeZone30 = org.joda.time.DateTimeZone.forOffsetHoursMinutes(1, 1);
    java.lang.String str31 = dateTimeZone30.getID();
    org.joda.time.tz.CachedDateTimeZone cachedDateTimeZone32 = org.joda.time.tz.CachedDateTimeZone.forZone(dateTimeZone30);
    boolean b33 = cachedDateTimeZone32.isFixed();
    long long35 = cachedDateTimeZone32.nextTransition((-1L));
    org.joda.time.DateTimeZone dateTimeZone37 = org.joda.time.DateTimeZone.forOffsetMillis(10);
    org.joda.time.LocalDateTime localDateTime38 = null;
    boolean b39 = dateTimeZone37.isLocalDateTimeGap(localDateTime38);
    org.joda.time.tz.CachedDateTimeZone cachedDateTimeZone40 = org.joda.time.tz.CachedDateTimeZone.forZone(dateTimeZone37);
    long long42 = cachedDateTimeZone32.getMillisKeepLocal(dateTimeZone37, (-3659990L));
    org.joda.time.DateTime dateTime43 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime45 = dateTime43.withYear(1);
    org.joda.time.DateTime.Property property46 = dateTime45.centuryOfEra();
    org.joda.time.DateTime dateTime48 = dateTime45.minus(10L);
    org.joda.time.DateTime dateTime50 = dateTime48.minusMillis(59);
    org.joda.time.DateTime.Property property51 = dateTime48.minuteOfDay();
    int i52 = cachedDateTimeZone32.getOffset((org.joda.time.ReadableInstant)dateTime48);
    java.lang.String str54 = cachedDateTimeZone32.getNameKey((-10L));
    long long56 = cachedDateTimeZone32.convertUTCToLocal((-10L));
    long long58 = cachedDateTimeZone32.nextTransition(90276383160966L);
    boolean b59 = fixedDateTimeZone12.equals((java.lang.Object)90276383160966L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "+01:01"+ "'", str4.equals("+01:01"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "hi!"+ "'", str14.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long16 == (-10L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long21 == (-9L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long23 == (-3659990L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long25 == 1456067095222L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + "+01:01"+ "'", str31.equals("+01:01"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(cachedDateTimeZone32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long35 == (-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(cachedDateTimeZone40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long42 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i52 == 3660000);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long56 == 3659990L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long58 == 90276383160966L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b59 == false);

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test405"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime7 = new org.joda.time.DateTime(58, 54, 0, 60, 0, 77, 17);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test406"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField1 = iSOChronology0.eras();
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.weekyear();
    org.joda.time.DurationField durationField3 = iSOChronology0.hours();
    org.joda.time.DateTimeField dateTimeField4 = iSOChronology0.yearOfCentury();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField6 = new org.joda.time.field.OffsetDateTimeField(dateTimeField4, 55);
    java.lang.String str7 = offsetDateTimeField6.getName();
    int i10 = offsetDateTimeField6.getDifference(2912141510352L, 0L);
    org.joda.time.DateTime dateTime11 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime13 = dateTime11.withYear(1);
    org.joda.time.DateTime.Property property14 = dateTime13.centuryOfEra();
    org.joda.time.DateTime dateTime16 = dateTime13.minus(10L);
    org.joda.time.DateTime dateTime18 = dateTime13.withMillis((-1L));
    int i19 = dateTime18.getSecondOfMinute();
    org.joda.time.DateMidnight dateMidnight20 = dateTime18.toDateMidnight();
    org.joda.time.LocalDateTime localDateTime21 = dateTime18.toLocalDateTime();
    int[] i_array23 = null;
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array25 = offsetDateTimeField6.addWrapField((org.joda.time.ReadablePartial)localDateTime21, 54, i_array23, 17);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "yearOfCentury"+ "'", str7.equals("yearOfCentury"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDateTime21);

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test407"); }


    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.joda.time.field.FieldUtils.safeToInt(2912141510452L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test408"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime.Property property1 = dateTime0.yearOfCentury();
    org.joda.time.DateTime dateTime3 = dateTime0.withMillisOfDay(2016);
    org.joda.time.DateTime dateTime5 = dateTime0.minusMinutes(59);
    org.joda.time.DateTime dateTime7 = dateTime0.minus((-9L));
    org.joda.time.DateTime dateTime9 = dateTime7.minus(0L);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime11 = dateTime7.withMonthOfYear(58);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime9);

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test409"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.PreciseDurationField preciseDurationField2 = new org.joda.time.field.PreciseDurationField(durationFieldType0, 1456063435230L);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test410"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime.Property property3 = dateTime2.centuryOfEra();
    org.joda.time.DateTime dateTime5 = dateTime2.minus(10L);
    org.joda.time.DateTime dateTime7 = dateTime2.withMillis((-1L));
    org.joda.time.Instant instant8 = dateTime2.toInstant();
    org.joda.time.DateTime dateTime9 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime11 = dateTime9.withYear(1);
    int i12 = dateTime9.getSecondOfMinute();
    org.joda.time.Chronology chronology13 = org.joda.time.DateTimeUtils.getInstantChronology((org.joda.time.ReadableInstant)dateTime9);
    org.joda.time.DateTime dateTime14 = dateTime2.withChronology(chronology13);
    org.joda.time.format.DateTimeFormatter dateTimeFormatter15 = null;
    java.lang.String str16 = dateTime2.toString(dateTimeFormatter15);
    org.joda.time.DateTime.Property property17 = dateTime2.era();
    org.joda.time.DateTime.Property property18 = dateTime2.secondOfMinute();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(instant8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "0001-02-21T17:06:54.707+01:01"+ "'", str16.equals("0001-02-21T17:06:54.707+01:01"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property18);

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test411"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    long long5 = iSOChronology1.add(0L, 2912141510352L, 20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long5 == 58242830207040L);

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test412"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstanceUTC();
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField2 = iSOChronology1.centuries();
    boolean b3 = gregorianChronology0.equals((java.lang.Object)iSOChronology1);
    org.joda.time.DateTime dateTime4 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime6 = dateTime4.withYear(1);
    org.joda.time.DateTime.Property property7 = dateTime6.centuryOfEra();
    org.joda.time.DateTime dateTime9 = dateTime6.minus(10L);
    org.joda.time.DateTime dateTime11 = dateTime9.withMillis(100L);
    org.joda.time.DateTime dateTime13 = dateTime11.plusDays(59);
    org.joda.time.DateTime dateTime15 = dateTime11.withDayOfYear(59);
    boolean b16 = gregorianChronology0.equals((java.lang.Object)dateTime11);
    org.joda.time.Chronology chronology17 = gregorianChronology0.withUTC();
    org.joda.time.DateTime dateTime18 = org.joda.time.DateTime.now();
    org.joda.time.DateTime.Property property19 = dateTime18.yearOfCentury();
    org.joda.time.DateTime dateTime21 = dateTime18.withMillisOfDay(2016);
    org.joda.time.DateTime dateTime23 = dateTime18.minusMinutes(59);
    org.joda.time.DateTime dateTime25 = dateTime18.minus((-9L));
    org.joda.time.DateTime dateTime27 = dateTime25.minus(0L);
    boolean b28 = gregorianChronology0.equals((java.lang.Object)dateTime25);
    org.joda.time.DateTime.Property property29 = dateTime25.dayOfMonth();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property29);

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test413"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    int i3 = dateTime0.getSecondOfMinute();
    org.joda.time.ReadablePartial readablePartial4 = null;
    org.joda.time.DateTime dateTime5 = dateTime0.withFields(readablePartial4);
    org.joda.time.DateTime dateTime6 = dateTime5.withEarlierOffsetAtOverlap();
    org.joda.time.MutableDateTime mutableDateTime7 = dateTime6.toMutableDateTimeISO();
    org.joda.time.DateTime.Property property8 = dateTime6.secondOfDay();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property8);

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test414"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    int i3 = dateTime0.getSecondOfMinute();
    org.joda.time.ReadableDuration readableDuration4 = null;
    org.joda.time.DateTime dateTime6 = dateTime0.withDurationAdded(readableDuration4, 61615);
    org.joda.time.DateTime.Property property7 = dateTime6.hourOfDay();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property7);

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test415"); }


    org.joda.time.field.FieldUtils.verifyValueBounds("+01:01", 92, 60, 64794);

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test416"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime.Property property3 = dateTime2.centuryOfEra();
    org.joda.time.DateTime dateTime5 = dateTime2.minus(10L);
    org.joda.time.DateTime dateTime7 = dateTime2.withMillis((-1L));
    org.joda.time.Instant instant8 = dateTime2.toInstant();
    org.joda.time.DateTime dateTime9 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime11 = dateTime9.withYear(1);
    int i12 = dateTime9.getSecondOfMinute();
    org.joda.time.Chronology chronology13 = org.joda.time.DateTimeUtils.getInstantChronology((org.joda.time.ReadableInstant)dateTime9);
    org.joda.time.DateTime dateTime14 = dateTime2.withChronology(chronology13);
    org.joda.time.ReadableInstant readableInstant15 = null;
    org.joda.time.Chronology chronology16 = org.joda.time.DateTimeUtils.getIntervalChronology((org.joda.time.ReadableInstant)dateTime14, readableInstant15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(instant8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology16);

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test417"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime.Property property3 = dateTime0.yearOfCentury();
    org.joda.time.DateTime dateTime4 = dateTime0.toDateTime();
    org.joda.time.DateTime dateTime6 = dateTime4.withMinuteOfHour(59);
    org.joda.time.DateTime dateTime7 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime9 = dateTime7.withYear(1);
    org.joda.time.DateTime.Property property10 = dateTime9.centuryOfEra();
    org.joda.time.DateTime dateTime12 = dateTime9.minus(10L);
    org.joda.time.DateTime dateTime14 = dateTime9.withMillis((-1L));
    int i15 = dateTime14.getSecondOfMinute();
    boolean b16 = dateTime4.isBefore((org.joda.time.ReadableInstant)dateTime14);
    org.joda.time.DateTime.Property property17 = dateTime4.hourOfDay();
    org.joda.time.DateTime dateTime19 = dateTime4.minusHours((-1));
    int i20 = dateTime19.getWeekyear();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 2016);

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test418"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("+00:00:00.010", "1970-02-28T01:01:00.100+01:01");
    java.lang.Number number3 = illegalFieldValueException2.getUpperBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test419"); }


    org.joda.time.ReadablePartial readablePartial0 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b1 = org.joda.time.DateTimeUtils.isContiguous(readablePartial0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test420"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.IllegalFieldValueException illegalFieldValueException5 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.IllegalFieldValueException illegalFieldValueException8 = new org.joda.time.IllegalFieldValueException("hi!", "");
    illegalFieldValueException5.addSuppressed((java.lang.Throwable)illegalFieldValueException8);
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException5);
    java.lang.String str11 = illegalFieldValueException5.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str11.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test421"); }


    org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forOffsetMillis(61615237);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone1);

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test422"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstanceUTC();
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField2 = iSOChronology1.centuries();
    boolean b3 = gregorianChronology0.equals((java.lang.Object)iSOChronology1);
    org.joda.time.DateTimeField dateTimeField4 = gregorianChronology0.centuryOfEra();
    java.lang.String str5 = gregorianChronology0.toString();
    org.joda.time.DateTimeZone dateTimeZone6 = gregorianChronology0.getZone();
    java.lang.String str7 = gregorianChronology0.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "GregorianChronology[UTC]"+ "'", str5.equals("GregorianChronology[UTC]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "GregorianChronology[UTC]"+ "'", str7.equals("GregorianChronology[UTC]"));

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test423"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField1 = iSOChronology0.eras();
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.weekyear();
    org.joda.time.DurationField durationField3 = iSOChronology0.hours();
    org.joda.time.DateTimeField dateTimeField4 = iSOChronology0.yearOfCentury();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField6 = new org.joda.time.field.OffsetDateTimeField(dateTimeField4, 55);
    java.lang.String str7 = offsetDateTimeField6.getName();
    int i10 = offsetDateTimeField6.getDifference(2912141510352L, 0L);
    org.joda.time.chrono.GregorianChronology gregorianChronology11 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.DateTime dateTime12 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime14 = dateTime12.withYear(1);
    org.joda.time.DateTime.Property property15 = dateTime14.centuryOfEra();
    org.joda.time.DateTime dateTime17 = dateTime14.minus(10L);
    org.joda.time.DateTime dateTime19 = dateTime17.minusMillis(59);
    int i20 = dateTime17.getYear();
    org.joda.time.DateTime.Property property21 = dateTime17.secondOfDay();
    org.joda.time.DateTime dateTime23 = dateTime17.plusMonths(54);
    boolean b24 = gregorianChronology11.equals((java.lang.Object)dateTime17);
    org.joda.time.DateTime dateTime25 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime27 = dateTime25.withYear(1);
    org.joda.time.DateTime.Property property28 = dateTime27.centuryOfEra();
    org.joda.time.DateTime dateTime30 = dateTime27.minus(10L);
    org.joda.time.DateTime dateTime32 = dateTime30.withMillis(100L);
    boolean b34 = dateTime30.isEqual(1L);
    int i35 = dateTime30.getYearOfEra();
    org.joda.time.LocalDate localDate36 = dateTime30.toLocalDate();
    int[] i_array38 = gregorianChronology11.get((org.joda.time.ReadablePartial)localDate36, (-62131136105303L));
    org.joda.time.chrono.GregorianChronology gregorianChronology40 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.DurationField durationField41 = gregorianChronology40.weeks();
    org.joda.time.DateTime dateTime42 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime44 = dateTime42.withYear(1);
    org.joda.time.DateTime.Property property45 = dateTime42.yearOfCentury();
    org.joda.time.DateTime dateTime46 = dateTime42.toDateTime();
    org.joda.time.LocalDate localDate47 = dateTime46.toLocalDate();
    int[] i_array49 = gregorianChronology40.get((org.joda.time.ReadablePartial)localDate47, 0L);
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array51 = offsetDateTimeField6.set((org.joda.time.ReadablePartial)localDate36, 0, i_array49, 43);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "yearOfCentury"+ "'", str7.equals("yearOfCentury"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array49);

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test424"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField1 = iSOChronology0.centuries();
    org.joda.time.DurationField durationField2 = iSOChronology0.halfdays();
    org.joda.time.DateTimeZone dateTimeZone3 = iSOChronology0.getZone();
    org.joda.time.Chronology chronology4 = iSOChronology0.withUTC();
    org.joda.time.DateTime dateTime5 = org.joda.time.DateTime.now((org.joda.time.Chronology)iSOChronology0);
    int i6 = dateTime5.getYearOfCentury();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 16);

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test425"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    // The following exception was thrown during execution in test generation
    try {
      long long4 = unsupportedDurationField1.add((-1456063435230L), (-10));
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test426"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)92, (java.lang.Number)9, (java.lang.Number)60);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test427"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime.Property property3 = dateTime2.centuryOfEra();
    org.joda.time.DateTime dateTime5 = dateTime2.minus(10L);
    org.joda.time.DateTime dateTime7 = dateTime5.withMillis(100L);
    org.joda.time.DateTime.Property property8 = dateTime5.millisOfSecond();
    org.joda.time.DateTime dateTime10 = dateTime5.withMillisOfSecond(100);
    java.util.GregorianCalendar gregorianCalendar11 = dateTime5.toGregorianCalendar();
    org.joda.time.chrono.GregorianChronology gregorianChronology12 = org.joda.time.chrono.GregorianChronology.getInstanceUTC();
    org.joda.time.chrono.ISOChronology iSOChronology13 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField14 = iSOChronology13.centuries();
    boolean b15 = gregorianChronology12.equals((java.lang.Object)iSOChronology13);
    org.joda.time.DateTime dateTime16 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime18 = dateTime16.withYear(1);
    org.joda.time.DateTime.Property property19 = dateTime18.centuryOfEra();
    org.joda.time.DateTime dateTime21 = dateTime18.minus(10L);
    org.joda.time.DateTime dateTime23 = dateTime21.withMillis(100L);
    org.joda.time.DateTime dateTime25 = dateTime23.plusDays(59);
    org.joda.time.DateTime dateTime27 = dateTime23.withDayOfYear(59);
    boolean b28 = gregorianChronology12.equals((java.lang.Object)dateTime23);
    org.joda.time.Chronology chronology29 = gregorianChronology12.withUTC();
    int i30 = gregorianChronology12.getMinimumDaysInFirstWeek();
    boolean b31 = org.joda.time.field.FieldUtils.equals((java.lang.Object)gregorianCalendar11, (java.lang.Object)i30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianCalendar11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test428"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime.Property property3 = dateTime2.centuryOfEra();
    org.joda.time.DateTime dateTime5 = dateTime2.minus(10L);
    org.joda.time.DateTime dateTime7 = dateTime5.withMillis(100L);
    org.joda.time.DateTime dateTime8 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime10 = dateTime8.withYear(1);
    org.joda.time.DateTime.Property property11 = dateTime8.yearOfCentury();
    boolean b12 = dateTime8.isAfterNow();
    org.joda.time.DateTime dateTime14 = dateTime8.plusSeconds(55);
    org.joda.time.DateTime dateTime16 = dateTime14.minus((-9L));
    boolean b17 = dateTime5.isBefore((org.joda.time.ReadableInstant)dateTime16);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str19 = dateTime5.toString("2016-02-21T17:06:55.342+01:01");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == true);

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test429"); }


    org.joda.time.DateTime dateTime1 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime3 = dateTime1.withYear(1);
    org.joda.time.DateTime.Property property4 = dateTime3.centuryOfEra();
    org.joda.time.DateTime dateTime6 = dateTime3.minus(10L);
    org.joda.time.DateTime dateTime8 = dateTime3.withMillis((-1L));
    org.joda.time.chrono.ISOChronology iSOChronology9 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField10 = iSOChronology9.eras();
    org.joda.time.DateTimeField dateTimeField11 = iSOChronology9.weekyear();
    org.joda.time.DateTime dateTime12 = dateTime8.withChronology((org.joda.time.Chronology)iSOChronology9);
    org.joda.time.DateTimeField dateTimeField13 = iSOChronology9.hourOfHalfday();
    org.joda.time.DateTime dateTime14 = new org.joda.time.DateTime(10L, (org.joda.time.Chronology)iSOChronology9);
    org.joda.time.DateTime.Property property15 = dateTime14.millisOfSecond();
    org.joda.time.DateTimeZone dateTimeZone18 = org.joda.time.DateTimeZone.forOffsetHoursMinutes(1, 1);
    java.lang.String str19 = dateTimeZone18.getID();
    org.joda.time.tz.CachedDateTimeZone cachedDateTimeZone20 = org.joda.time.tz.CachedDateTimeZone.forZone(dateTimeZone18);
    org.joda.time.DateTime dateTime21 = dateTime14.withZone(dateTimeZone18);
    boolean b23 = dateTime21.isBefore((-1455483883030L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "+01:01"+ "'", str19.equals("+01:01"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(cachedDateTimeZone20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test430"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.PreciseDurationField preciseDurationField2 = new org.joda.time.field.PreciseDurationField(durationFieldType0, (-62131132445293L));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test431"); }


    org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forOffsetMillis(10);
    org.joda.time.LocalDateTime localDateTime2 = null;
    boolean b3 = dateTimeZone1.isLocalDateTimeGap(localDateTime2);
    org.joda.time.tz.CachedDateTimeZone cachedDateTimeZone4 = org.joda.time.tz.CachedDateTimeZone.forZone(dateTimeZone1);
    java.lang.String str5 = dateTimeZone1.toString();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.chrono.GregorianChronology gregorianChronology7 = org.joda.time.chrono.GregorianChronology.getInstance(dateTimeZone1, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(cachedDateTimeZone4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "+00:00:00.010"+ "'", str5.equals("+00:00:00.010"));

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test432"); }


    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder0 = new org.joda.time.tz.DateTimeZoneBuilder();
    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder11 = dateTimeZoneBuilder0.addRecurringSavings("", 10, 100, 52, '#', 100, (-1), 10, false, 52);
    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder14 = dateTimeZoneBuilder0.setFixedSavings("hi!", 54);
    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder16 = dateTimeZoneBuilder0.setStandardOffset(2016);
    org.joda.time.DateTimeZone dateTimeZone19 = dateTimeZoneBuilder16.toDateTimeZone("2016-02-21T17:06:55.088+01:01", false);
    java.io.OutputStream outputStream21 = null;
    // The following exception was thrown during execution in test generation
    try {
      dateTimeZoneBuilder16.writeTo("0001-02-21T17:06:54.708+01:01", outputStream21);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZoneBuilder11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZoneBuilder14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZoneBuilder16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone19);

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test433"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 707, 56, 2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test434"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime dateTime4 = dateTime2.plusHours((-1));
    org.joda.time.DateTime.Property property5 = dateTime2.year();
    org.joda.time.DateTime dateTime7 = dateTime2.plusYears(100);
    org.joda.time.Chronology chronology8 = org.joda.time.DateTimeUtils.getInstantChronology((org.joda.time.ReadableInstant)dateTime2);
    org.joda.time.DateTime dateTime10 = dateTime2.plus((-10L));
    org.joda.time.ReadableDuration readableDuration11 = null;
    org.joda.time.DateTime dateTime12 = dateTime10.plus(readableDuration11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime12);

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test435"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd((-2016), 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1916));

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test436"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime.Property property3 = dateTime2.centuryOfEra();
    org.joda.time.DateTime dateTime5 = dateTime2.minus(10L);
    org.joda.time.DateTime dateTime7 = dateTime2.withMillis((-1L));
    org.joda.time.chrono.ISOChronology iSOChronology8 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField9 = iSOChronology8.eras();
    org.joda.time.DateTimeField dateTimeField10 = iSOChronology8.weekyear();
    org.joda.time.DateTime dateTime11 = dateTime7.withChronology((org.joda.time.Chronology)iSOChronology8);
    org.joda.time.DateTimeField dateTimeField12 = iSOChronology8.hourOfHalfday();
    org.joda.time.chrono.ISOChronology iSOChronology13 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField14 = iSOChronology13.eras();
    org.joda.time.DateTimeField dateTimeField15 = iSOChronology13.weekyear();
    org.joda.time.DurationField durationField16 = iSOChronology13.hours();
    org.joda.time.DateTimeField dateTimeField17 = iSOChronology13.yearOfCentury();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField19 = new org.joda.time.field.OffsetDateTimeField(dateTimeField17, 55);
    java.lang.String str20 = offsetDateTimeField19.getName();
    int i22 = offsetDateTimeField19.getMinimumValue(0L);
    org.joda.time.DateTimeFieldType dateTimeFieldType23 = offsetDateTimeField19.getType();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField27 = new org.joda.time.field.OffsetDateTimeField(dateTimeField12, dateTimeFieldType23, 60, 1, 57954697);
    org.joda.time.DateTime dateTime28 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime30 = dateTime28.withYear(1);
    org.joda.time.DateTime.Property property31 = dateTime30.centuryOfEra();
    org.joda.time.DateTime dateTime33 = dateTime30.minus(10L);
    org.joda.time.DateTime dateTime35 = dateTime30.withMillis((-1L));
    org.joda.time.chrono.ISOChronology iSOChronology36 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField37 = iSOChronology36.eras();
    org.joda.time.DateTimeField dateTimeField38 = iSOChronology36.weekyear();
    org.joda.time.DateTime dateTime39 = dateTime35.withChronology((org.joda.time.Chronology)iSOChronology36);
    org.joda.time.DateTimeField dateTimeField40 = iSOChronology36.hourOfHalfday();
    org.joda.time.chrono.ISOChronology iSOChronology41 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField42 = iSOChronology41.eras();
    org.joda.time.DateTimeField dateTimeField43 = iSOChronology41.weekyear();
    org.joda.time.DurationField durationField44 = iSOChronology41.hours();
    org.joda.time.DateTimeField dateTimeField45 = iSOChronology41.yearOfCentury();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField47 = new org.joda.time.field.OffsetDateTimeField(dateTimeField45, 55);
    java.lang.String str48 = offsetDateTimeField47.getName();
    int i50 = offsetDateTimeField47.getMinimumValue(0L);
    org.joda.time.DateTimeFieldType dateTimeFieldType51 = offsetDateTimeField47.getType();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField55 = new org.joda.time.field.OffsetDateTimeField(dateTimeField40, dateTimeFieldType51, 60, 1, 57954697);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.ZeroIsMaxDateTimeField zeroIsMaxDateTimeField56 = new org.joda.time.field.ZeroIsMaxDateTimeField((org.joda.time.DateTimeField)offsetDateTimeField27, dateTimeFieldType51);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "yearOfCentury"+ "'", str20.equals("yearOfCentury"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str48 + "' != '" + "yearOfCentury"+ "'", str48.equals("yearOfCentury"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i50 == 55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType51);

  }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test437"); }


    org.joda.time.Chronology chronology0 = null;
    org.joda.time.Chronology chronology1 = org.joda.time.DateTimeUtils.getChronology(chronology0);
    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder2 = new org.joda.time.tz.DateTimeZoneBuilder();
    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder13 = dateTimeZoneBuilder2.addRecurringSavings("", 10, 100, 52, '#', 100, (-1), 10, false, 52);
    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder16 = dateTimeZoneBuilder2.setFixedSavings("hi!", 54);
    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder27 = dateTimeZoneBuilder16.addRecurringSavings("2016-02-21T17:06:55.153+01:01", 54, 707, 54, ' ', 4, 70, 52, false, 0);
    boolean b28 = org.joda.time.field.FieldUtils.equals((java.lang.Object)chronology1, (java.lang.Object)false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZoneBuilder13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZoneBuilder16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZoneBuilder27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);

  }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test438"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField1 = iSOChronology0.eras();
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.weekyear();
    org.joda.time.DurationField durationField3 = iSOChronology0.hours();
    org.joda.time.DateTimeField dateTimeField4 = iSOChronology0.yearOfCentury();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField6 = new org.joda.time.field.OffsetDateTimeField(dateTimeField4, 55);
    org.joda.time.DateTime dateTime7 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime9 = dateTime7.withYear(1);
    org.joda.time.DateTime.Property property10 = dateTime9.centuryOfEra();
    org.joda.time.DateTime dateTime12 = dateTime9.minus(10L);
    org.joda.time.DateTime dateTime14 = dateTime9.withMillis((-1L));
    org.joda.time.Instant instant15 = dateTime9.toInstant();
    org.joda.time.DateTimeZone dateTimeZone18 = org.joda.time.DateTimeZone.forOffsetHoursMinutes(1, 1);
    boolean b20 = dateTimeZone18.isStandardOffset(10L);
    org.joda.time.DateTime dateTime21 = dateTime9.toDateTime(dateTimeZone18);
    java.util.TimeZone timeZone22 = dateTimeZone18.toTimeZone();
    org.joda.time.DateTime dateTime23 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime25 = dateTime23.withYear(1);
    org.joda.time.DateTime.Property property26 = dateTime25.centuryOfEra();
    org.joda.time.DateTime dateTime28 = dateTime25.minus(10L);
    org.joda.time.DateTime dateTime30 = dateTime25.withMillis((-1L));
    int i31 = dateTime30.getSecondOfMinute();
    org.joda.time.DateMidnight dateMidnight32 = dateTime30.toDateMidnight();
    org.joda.time.LocalDateTime localDateTime33 = dateTime30.toLocalDateTime();
    boolean b34 = dateTimeZone18.isLocalDateTimeGap(localDateTime33);
    org.joda.time.chrono.GregorianChronology gregorianChronology35 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.DurationField durationField36 = gregorianChronology35.weeks();
    org.joda.time.DateTime dateTime37 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime39 = dateTime37.withYear(1);
    org.joda.time.DateTime.Property property40 = dateTime37.yearOfCentury();
    org.joda.time.DateTime dateTime41 = dateTime37.toDateTime();
    org.joda.time.LocalDate localDate42 = dateTime41.toLocalDate();
    int[] i_array44 = gregorianChronology35.get((org.joda.time.ReadablePartial)localDate42, 0L);
    int i45 = offsetDateTimeField6.getMaximumValue((org.joda.time.ReadablePartial)localDateTime33, i_array44);
    long long47 = offsetDateTimeField6.roundHalfFloor((-63587199540515L));
    java.lang.String str48 = offsetDateTimeField6.getName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(instant15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDateTime33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i45 == 154);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long47 == (-63587293260000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str48 + "' != '" + "yearOfCentury"+ "'", str48.equals("yearOfCentury"));

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test439"); }


    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.minuteOfDay();
    org.joda.time.DateTime dateTime3 = new org.joda.time.DateTime(0L, (org.joda.time.Chronology)iSOChronology1);
    org.joda.time.DateTimeField dateTimeField4 = iSOChronology1.dayOfMonth();
    org.joda.time.DateTimeField dateTimeField5 = iSOChronology1.millisOfDay();
    java.lang.String str6 = iSOChronology1.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "ISOChronology[+01:01]"+ "'", str6.equals("ISOChronology[+01:01]"));

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test440"); }


    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField2 = iSOChronology1.centuries();
    org.joda.time.DateTime dateTime3 = new org.joda.time.DateTime(0L, (org.joda.time.Chronology)iSOChronology1);
    org.joda.time.DateTime.Property property4 = dateTime3.minuteOfHour();
    int i5 = dateTime3.getEra();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test441"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime.Property property3 = dateTime2.centuryOfEra();
    org.joda.time.DateTime dateTime5 = dateTime2.minus(10L);
    org.joda.time.DateTime dateTime7 = dateTime2.withMillis((-1L));
    org.joda.time.DateTime dateTime9 = dateTime2.plusMinutes(59);
    java.util.GregorianCalendar gregorianCalendar10 = dateTime2.toGregorianCalendar();
    org.joda.time.DateTime dateTime12 = dateTime2.withCenturyOfEra(1);
    org.joda.time.DateTime dateTime14 = dateTime12.withMillis(100L);
    org.joda.time.TimeOfDay timeOfDay15 = dateTime12.toTimeOfDay();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianCalendar10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeOfDay15);

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test442"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue(7, 186, 3660000);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 3659822);

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test443"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(3659822, 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 3659826);

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test444"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.minuteOfDay();
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.millisOfSecond();
    org.joda.time.Chronology chronology3 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)iSOChronology0);
    org.joda.time.Chronology chronology4 = iSOChronology0.withUTC();
    org.joda.time.chrono.ISOChronology iSOChronology5 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField6 = iSOChronology5.centuries();
    org.joda.time.DurationField durationField7 = iSOChronology5.halfdays();
    org.joda.time.DateTimeZone dateTimeZone8 = iSOChronology5.getZone();
    org.joda.time.chrono.ZonedChronology zonedChronology9 = org.joda.time.chrono.ZonedChronology.getInstance(chronology4, dateTimeZone8);
    java.lang.String str10 = zonedChronology9.toString();
    // The following exception was thrown during execution in test generation
    try {
      long long16 = zonedChronology9.getDateTimeMillis(58242830207040L, 64794, 965, 1970, 186);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(zonedChronology9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "ZonedChronology[ISOChronology[UTC], +01:01]"+ "'", str10.equals("ZonedChronology[ISOChronology[UTC], +01:01]"));

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test445"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    // The following exception was thrown during execution in test generation
    try {
      long long4 = unsupportedDurationField1.getValueAsLong(2912141510352L, 0L);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test446"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    // The following exception was thrown during execution in test generation
    try {
      long long4 = unsupportedDurationField1.getValueAsLong((-62131132745303L), (-3660001L));
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test447"); }


    int i4 = org.joda.time.field.FieldUtils.getWrappedValue((-55), 186, 1, 6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 5);

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test448"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime.Property property3 = dateTime0.yearOfCentury();
    boolean b4 = dateTime0.isAfterNow();
    int i5 = dateTime0.getDayOfYear();
    org.joda.time.DateTime dateTime7 = dateTime0.plusMonths((-1));
    org.joda.time.DateTime.Property property8 = dateTime0.secondOfDay();
    org.joda.time.DateTime.Property property9 = dateTime0.weekOfWeekyear();
    org.joda.time.DateTime.Property property10 = dateTime0.centuryOfEra();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property10);

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test449"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime.Property property3 = dateTime2.centuryOfEra();
    org.joda.time.DateTime dateTime5 = dateTime2.minus(10L);
    org.joda.time.DateTime dateTime7 = dateTime2.withMillis((-1L));
    org.joda.time.chrono.ISOChronology iSOChronology8 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField9 = iSOChronology8.eras();
    org.joda.time.DateTimeField dateTimeField10 = iSOChronology8.weekyear();
    org.joda.time.DateTime dateTime11 = dateTime7.withChronology((org.joda.time.Chronology)iSOChronology8);
    org.joda.time.DateTimeField dateTimeField12 = iSOChronology8.hourOfHalfday();
    org.joda.time.chrono.ISOChronology iSOChronology13 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField14 = iSOChronology13.eras();
    org.joda.time.DateTimeField dateTimeField15 = iSOChronology13.weekyear();
    org.joda.time.DurationField durationField16 = iSOChronology13.hours();
    org.joda.time.DateTimeField dateTimeField17 = iSOChronology13.yearOfCentury();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField19 = new org.joda.time.field.OffsetDateTimeField(dateTimeField17, 55);
    java.lang.String str20 = offsetDateTimeField19.getName();
    int i22 = offsetDateTimeField19.getMinimumValue(0L);
    org.joda.time.DateTimeFieldType dateTimeFieldType23 = offsetDateTimeField19.getType();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField27 = new org.joda.time.field.OffsetDateTimeField(dateTimeField12, dateTimeFieldType23, 60, 1, 57954697);
    org.joda.time.DateTime dateTime28 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime30 = dateTime28.withYear(1);
    org.joda.time.DateTime.Property property31 = dateTime30.centuryOfEra();
    org.joda.time.DateTime dateTime33 = dateTime30.minus(10L);
    org.joda.time.DateTime dateTime35 = dateTime30.withMillis((-1L));
    int i36 = dateTime35.getSecondOfMinute();
    org.joda.time.DateMidnight dateMidnight37 = dateTime35.toDateMidnight();
    org.joda.time.LocalDateTime localDateTime38 = dateTime35.toLocalDateTime();
    org.joda.time.chrono.ISOChronology iSOChronology41 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField42 = iSOChronology41.minuteOfDay();
    org.joda.time.DateTime dateTime43 = new org.joda.time.DateTime(0L, (org.joda.time.Chronology)iSOChronology41);
    org.joda.time.chrono.ISOChronology iSOChronology44 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField45 = iSOChronology44.minuteOfDay();
    org.joda.time.DateTimeField dateTimeField46 = iSOChronology44.millisOfSecond();
    org.joda.time.DateTimeField dateTimeField47 = iSOChronology44.hourOfDay();
    org.joda.time.DateTime dateTime48 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime50 = dateTime48.withYear(1);
    org.joda.time.DateTime.Property property51 = dateTime48.yearOfCentury();
    org.joda.time.DateTime dateTime52 = dateTime48.toDateTime();
    org.joda.time.LocalDate localDate53 = dateTime52.toLocalDate();
    int[] i_array55 = iSOChronology44.get((org.joda.time.ReadablePartial)localDate53, 10L);
    int[] i_array57 = iSOChronology41.get((org.joda.time.ReadablePartial)localDate53, 0L);
    java.util.Locale locale59 = null;
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array60 = offsetDateTimeField27.set((org.joda.time.ReadablePartial)localDateTime38, 16, i_array57, "+00:00:00.010", locale59);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "yearOfCentury"+ "'", str20.equals("yearOfCentury"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDateTime38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array57);

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test450"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    int i3 = dateTime0.getSecondOfMinute();
    org.joda.time.DateTime dateTime5 = dateTime0.minusMillis(61615);
    java.util.GregorianCalendar gregorianCalendar6 = dateTime5.toGregorianCalendar();
    org.joda.time.DateTime dateTime7 = dateTime5.toDateTimeISO();
    org.joda.time.DurationFieldType durationFieldType8 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime10 = dateTime5.withFieldAdded(durationFieldType8, 61);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianCalendar6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test451"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstanceUTC();
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField2 = iSOChronology1.centuries();
    boolean b3 = gregorianChronology0.equals((java.lang.Object)iSOChronology1);
    int i4 = gregorianChronology0.getMinimumDaysInFirstWeek();
    // The following exception was thrown during execution in test generation
    try {
      long long9 = gregorianChronology0.getDateTimeMillis(0, 61614697, 54, 2);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 4);

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test452"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    // The following exception was thrown during execution in test generation
    try {
      long long4 = unsupportedDurationField1.getValueAsLong((-5329207024608895230L), 3659990L);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test453"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    // The following exception was thrown during execution in test generation
    try {
      long long3 = unsupportedDurationField1.getMillis(1456067095230L);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test454"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.DurationField durationField1 = gregorianChronology0.weeks();
    org.joda.time.DurationFieldType durationFieldType2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.DecoratedDurationField decoratedDurationField3 = new org.joda.time.field.DecoratedDurationField(durationField1, durationFieldType2);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField1);

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test455"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    // The following exception was thrown during execution in test generation
    try {
      long long4 = unsupportedDurationField1.getDifferenceAsLong((-63587293260000L), 1456067095231L);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test456"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstanceUTC();
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField2 = iSOChronology1.centuries();
    boolean b3 = gregorianChronology0.equals((java.lang.Object)iSOChronology1);
    org.joda.time.DateTimeField dateTimeField4 = gregorianChronology0.centuryOfEra();
    java.lang.Object obj5 = null;
    org.joda.time.DateTime dateTime6 = new org.joda.time.DateTime(obj5);
    boolean b7 = gregorianChronology0.equals((java.lang.Object)dateTime6);
    java.lang.String str8 = gregorianChronology0.toString();
    // The following exception was thrown during execution in test generation
    try {
      long long16 = gregorianChronology0.getDateTimeMillis(1, 8, 16, 61614697, 57955220, 0, 154);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "GregorianChronology[UTC]"+ "'", str8.equals("GregorianChronology[UTC]"));

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test457"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField2 = iSOChronology1.millis();
    org.joda.time.chrono.GregorianChronology gregorianChronology3 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime((org.joda.time.Chronology)gregorianChronology3);
    org.joda.time.DateTimeField dateTimeField5 = gregorianChronology3.hourOfDay();
    org.joda.time.DurationField durationField6 = gregorianChronology3.months();
    long long9 = durationField6.subtract(100L, 1026);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.PreciseDateTimeField preciseDateTimeField10 = new org.joda.time.field.PreciseDateTimeField(dateTimeFieldType0, durationField2, durationField6);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long9 == (-2698185599900L));

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test458"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime7 = new org.joda.time.DateTime(0, 70, 57954697, (-16128), 54, 16, 61614707);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test459"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime5 = new org.joda.time.DateTime(0, 2, 965, 4, 1970);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test460"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.PreciseDurationField preciseDurationField2 = new org.joda.time.field.PreciseDurationField(durationFieldType0, (-177695049261166580L));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test461"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField1 = iSOChronology0.eras();
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.weekyear();
    org.joda.time.DurationField durationField3 = iSOChronology0.hours();
    org.joda.time.DateTimeField dateTimeField4 = iSOChronology0.yearOfCentury();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField6 = new org.joda.time.field.OffsetDateTimeField(dateTimeField4, 55);
    java.lang.String str7 = offsetDateTimeField6.getName();
    int i9 = offsetDateTimeField6.getMinimumValue(0L);
    int i11 = offsetDateTimeField6.get((-62131132445900L));
    org.joda.time.chrono.GregorianChronology gregorianChronology12 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.DateTime dateTime13 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime15 = dateTime13.withYear(1);
    org.joda.time.DateTime.Property property16 = dateTime15.centuryOfEra();
    org.joda.time.DateTime dateTime18 = dateTime15.minus(10L);
    org.joda.time.DateTime dateTime20 = dateTime18.minusMillis(59);
    int i21 = dateTime18.getYear();
    org.joda.time.DateTime.Property property22 = dateTime18.secondOfDay();
    org.joda.time.DateTime dateTime24 = dateTime18.plusMonths(54);
    boolean b25 = gregorianChronology12.equals((java.lang.Object)dateTime18);
    org.joda.time.DateTimeField dateTimeField26 = gregorianChronology12.hourOfHalfday();
    java.lang.Object obj27 = null;
    boolean b28 = gregorianChronology12.equals(obj27);
    org.joda.time.DateTime dateTime29 = org.joda.time.DateTime.now();
    org.joda.time.DateTime.Property property30 = dateTime29.yearOfCentury();
    org.joda.time.DateTimeZone dateTimeZone33 = org.joda.time.DateTimeZone.forOffsetHoursMinutes(1, 1);
    java.lang.String str34 = dateTimeZone33.getID();
    org.joda.time.tz.CachedDateTimeZone cachedDateTimeZone35 = org.joda.time.tz.CachedDateTimeZone.forZone(dateTimeZone33);
    java.lang.String str37 = dateTimeZone33.getName((-1L));
    org.joda.time.DateTime dateTime39 = org.joda.time.DateTime.parse("2016-02-21T17:06:54.611+01:01");
    int i40 = dateTimeZone33.getOffset((org.joda.time.ReadableInstant)dateTime39);
    org.joda.time.DateTime dateTime41 = dateTime29.withZone(dateTimeZone33);
    boolean b42 = gregorianChronology12.equals((java.lang.Object)dateTime41);
    org.joda.time.LocalDateTime localDateTime43 = dateTime41.toLocalDateTime();
    org.joda.time.chrono.ISOChronology iSOChronology45 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField46 = iSOChronology45.eras();
    org.joda.time.DateTimeField dateTimeField47 = iSOChronology45.weekyear();
    org.joda.time.DurationField durationField48 = iSOChronology45.hours();
    org.joda.time.DateTimeField dateTimeField49 = iSOChronology45.yearOfCentury();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField51 = new org.joda.time.field.OffsetDateTimeField(dateTimeField49, 55);
    org.joda.time.DateTime dateTime52 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime54 = dateTime52.withYear(1);
    org.joda.time.DateTime.Property property55 = dateTime54.centuryOfEra();
    org.joda.time.DateTime dateTime57 = dateTime54.minus(10L);
    org.joda.time.DateTime dateTime59 = dateTime54.withMillis((-1L));
    org.joda.time.Instant instant60 = dateTime54.toInstant();
    org.joda.time.DateTimeZone dateTimeZone63 = org.joda.time.DateTimeZone.forOffsetHoursMinutes(1, 1);
    boolean b65 = dateTimeZone63.isStandardOffset(10L);
    org.joda.time.DateTime dateTime66 = dateTime54.toDateTime(dateTimeZone63);
    java.util.TimeZone timeZone67 = dateTimeZone63.toTimeZone();
    org.joda.time.DateTime dateTime68 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime70 = dateTime68.withYear(1);
    org.joda.time.DateTime.Property property71 = dateTime70.centuryOfEra();
    org.joda.time.DateTime dateTime73 = dateTime70.minus(10L);
    org.joda.time.DateTime dateTime75 = dateTime70.withMillis((-1L));
    int i76 = dateTime75.getSecondOfMinute();
    org.joda.time.DateMidnight dateMidnight77 = dateTime75.toDateMidnight();
    org.joda.time.LocalDateTime localDateTime78 = dateTime75.toLocalDateTime();
    boolean b79 = dateTimeZone63.isLocalDateTimeGap(localDateTime78);
    org.joda.time.chrono.GregorianChronology gregorianChronology80 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.DurationField durationField81 = gregorianChronology80.weeks();
    org.joda.time.DateTime dateTime82 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime84 = dateTime82.withYear(1);
    org.joda.time.DateTime.Property property85 = dateTime82.yearOfCentury();
    org.joda.time.DateTime dateTime86 = dateTime82.toDateTime();
    org.joda.time.LocalDate localDate87 = dateTime86.toLocalDate();
    int[] i_array89 = gregorianChronology80.get((org.joda.time.ReadablePartial)localDate87, 0L);
    int i90 = offsetDateTimeField51.getMaximumValue((org.joda.time.ReadablePartial)localDateTime78, i_array89);
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array92 = offsetDateTimeField6.addWrapField((org.joda.time.ReadablePartial)localDateTime43, 707, i_array89, 1026);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "yearOfCentury"+ "'", str7.equals("yearOfCentury"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str34 + "' != '" + "+01:01"+ "'", str34.equals("+01:01"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(cachedDateTimeZone35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str37 + "' != '" + "+01:01"+ "'", str37.equals("+01:01"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 3660000);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDateTime43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(instant60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b65 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i76 == 59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDateTime78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b79 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i90 == 154);

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test462"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract(0L, (-62131132445303L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 62131132445303L);

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test463"); }


    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder0 = new org.joda.time.tz.DateTimeZoneBuilder();
    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder11 = dateTimeZoneBuilder0.addRecurringSavings("", 10, 100, 52, '#', 100, (-1), 10, false, 52);
    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder14 = dateTimeZoneBuilder0.setFixedSavings("hi!", 54);
    org.joda.time.DateTimeZone dateTimeZone17 = dateTimeZoneBuilder0.toDateTimeZone("", false);
    org.joda.time.DateTimeZone dateTimeZone20 = org.joda.time.DateTimeZone.forOffsetHoursMinutes(1, 1);
    java.lang.String str22 = dateTimeZone20.getName((-1L));
    int i24 = dateTimeZone20.getOffsetFromLocal(1456070755176L);
    long long26 = dateTimeZone17.getMillisKeepLocal(dateTimeZone20, 1456070755176L);
    long long28 = dateTimeZone20.convertUTCToLocal((-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZoneBuilder11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZoneBuilder14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "+01:01"+ "'", str22.equals("+01:01"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 3660000);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long26 == 1456067095230L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long28 == 3659999L);

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test464"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime.Property property3 = dateTime2.centuryOfEra();
    org.joda.time.DateTime dateTime5 = dateTime2.minus(10L);
    org.joda.time.DateTime dateTime7 = dateTime2.withMillis((-1L));
    org.joda.time.Instant instant8 = dateTime7.toInstant();
    org.joda.time.DateTime dateTime10 = dateTime7.withWeekyear(10);
    org.joda.time.ReadablePeriod readablePeriod11 = null;
    org.joda.time.DateTime dateTime12 = dateTime10.minus(readablePeriod11);
    org.joda.time.DateTimeZone dateTimeZone13 = org.joda.time.DateTimeZone.UTC;
    org.joda.time.tz.CachedDateTimeZone cachedDateTimeZone14 = org.joda.time.tz.CachedDateTimeZone.forZone(dateTimeZone13);
    org.joda.time.DateTime dateTime15 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime17 = dateTime15.withYear(1);
    org.joda.time.DateTime.Property property18 = dateTime17.centuryOfEra();
    org.joda.time.DateTime dateTime20 = dateTime17.minus(10L);
    org.joda.time.DateTime dateTime22 = dateTime20.withMillis(100L);
    org.joda.time.DateTime.Property property23 = dateTime20.millisOfSecond();
    boolean b24 = cachedDateTimeZone14.equals((java.lang.Object)property23);
    boolean b26 = cachedDateTimeZone14.equals((java.lang.Object)(byte)100);
    boolean b28 = cachedDateTimeZone14.isStandardOffset(1L);
    org.joda.time.MutableDateTime mutableDateTime29 = dateTime12.toMutableDateTime((org.joda.time.DateTimeZone)cachedDateTimeZone14);
    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder30 = new org.joda.time.tz.DateTimeZoneBuilder();
    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder41 = dateTimeZoneBuilder30.addRecurringSavings("", 10, 100, 52, '#', 100, (-1), 10, false, 52);
    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder44 = dateTimeZoneBuilder30.setFixedSavings("hi!", 54);
    org.joda.time.DateTimeZone dateTimeZone47 = dateTimeZoneBuilder30.toDateTimeZone("", true);
    org.joda.time.DateTime dateTime48 = dateTime12.withZoneRetainFields(dateTimeZone47);
    org.joda.time.ReadablePeriod readablePeriod49 = null;
    org.joda.time.DateTime dateTime50 = dateTime12.minus(readablePeriod49);
    boolean b52 = dateTime50.equals((java.lang.Object)20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(instant8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(cachedDateTimeZone14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZoneBuilder41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZoneBuilder44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b52 == false);

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test465"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime.Property property3 = dateTime2.centuryOfEra();
    org.joda.time.DateTime dateTime5 = dateTime2.minus(10L);
    org.joda.time.DateTime dateTime7 = dateTime2.withMillis((-1L));
    org.joda.time.Instant instant8 = dateTime7.toInstant();
    org.joda.time.DateTime dateTime10 = dateTime7.withWeekyear(10);
    int i11 = dateTime7.getMinuteOfDay();
    org.joda.time.DateTimeFieldType dateTimeFieldType12 = null;
    boolean b13 = dateTime7.isSupported(dateTimeFieldType12);
    org.joda.time.DateTime dateTime15 = dateTime7.withWeekyear(100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(instant8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime15);

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test466"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    // The following exception was thrown during execution in test generation
    try {
      long long3 = unsupportedDurationField1.getMillis(154);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test467"); }


    org.joda.time.JodaTimePermission jodaTimePermission1 = new org.joda.time.JodaTimePermission("2016-02-21T17:06:54.611+01:01");
    org.joda.time.JodaTimePermission jodaTimePermission3 = new org.joda.time.JodaTimePermission("2016-02-21T17:06:54.611+01:01");
    boolean b4 = jodaTimePermission1.implies((java.security.Permission)jodaTimePermission3);
    java.lang.Object obj5 = null;
    jodaTimePermission1.checkGuard(obj5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test468"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField1 = iSOChronology0.eras();
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.weekyear();
    org.joda.time.DurationField durationField3 = iSOChronology0.hours();
    org.joda.time.DateTimeField dateTimeField4 = iSOChronology0.yearOfCentury();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField6 = new org.joda.time.field.OffsetDateTimeField(dateTimeField4, 55);
    long long8 = offsetDateTimeField6.roundHalfFloor(1456074415220L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 1451602740000L);

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test469"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime dateTime4 = dateTime2.plusHours((-1));
    org.joda.time.DateTime.Property property5 = dateTime2.year();
    org.joda.time.DateTime dateTime7 = dateTime2.plusYears(100);
    org.joda.time.Chronology chronology8 = org.joda.time.DateTimeUtils.getInstantChronology((org.joda.time.ReadableInstant)dateTime2);
    org.joda.time.DateTime dateTime10 = dateTime2.plus((-10L));
    org.joda.time.DateTime dateTime12 = dateTime2.minusYears(54);
    org.joda.time.DateTime dateTime13 = dateTime2.toDateTimeISO();
    org.joda.time.DateTimeFieldType dateTimeFieldType14 = null;
    boolean b15 = dateTime2.isSupported(dateTimeFieldType14);
    org.joda.time.DateTime.Property property16 = dateTime2.millisOfDay();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property16);

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test470"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    // The following exception was thrown during execution in test generation
    try {
      long long4 = unsupportedDurationField1.getMillis(2912141510352L, 90276383160966L);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test471"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime.Property property3 = dateTime2.centuryOfEra();
    org.joda.time.DateTime dateTime5 = dateTime2.minus(10L);
    org.joda.time.DateTime dateTime7 = dateTime5.withMillis(100L);
    org.joda.time.DateTime.Property property8 = dateTime5.millisOfSecond();
    org.joda.time.DateTime dateTime10 = dateTime5.withMillisOfSecond(100);
    org.joda.time.Instant instant11 = dateTime5.toInstant();
    int i12 = dateTime5.getEra();
    org.joda.time.chrono.ISOChronology iSOChronology14 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField15 = iSOChronology14.minuteOfDay();
    org.joda.time.DateTime dateTime16 = new org.joda.time.DateTime(0L, (org.joda.time.Chronology)iSOChronology14);
    org.joda.time.chrono.ISOChronology iSOChronology17 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField18 = iSOChronology17.minuteOfDay();
    org.joda.time.DateTimeField dateTimeField19 = iSOChronology17.millisOfSecond();
    org.joda.time.DateTimeField dateTimeField20 = iSOChronology17.hourOfDay();
    org.joda.time.DateTime dateTime21 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime23 = dateTime21.withYear(1);
    org.joda.time.DateTime.Property property24 = dateTime21.yearOfCentury();
    org.joda.time.DateTime dateTime25 = dateTime21.toDateTime();
    org.joda.time.LocalDate localDate26 = dateTime25.toLocalDate();
    int[] i_array28 = iSOChronology17.get((org.joda.time.ReadablePartial)localDate26, 10L);
    int[] i_array30 = iSOChronology14.get((org.joda.time.ReadablePartial)localDate26, 0L);
    org.joda.time.DateTime dateTime31 = dateTime5.withFields((org.joda.time.ReadablePartial)localDate26);
    org.joda.time.chrono.ISOChronology iSOChronology33 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField34 = iSOChronology33.minuteOfDay();
    org.joda.time.DateTime dateTime35 = new org.joda.time.DateTime(0L, (org.joda.time.Chronology)iSOChronology33);
    org.joda.time.DateTimeField dateTimeField36 = iSOChronology33.dayOfMonth();
    int i37 = dateTime31.get(dateTimeField36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(instant11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 21);

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test472"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.minuteOfDay();
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.millisOfSecond();
    org.joda.time.Chronology chronology3 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)iSOChronology0);
    org.joda.time.Chronology chronology4 = iSOChronology0.withUTC();
    org.joda.time.chrono.ISOChronology iSOChronology5 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField6 = iSOChronology5.centuries();
    org.joda.time.DurationField durationField7 = iSOChronology5.halfdays();
    org.joda.time.DateTimeZone dateTimeZone8 = iSOChronology5.getZone();
    org.joda.time.chrono.ZonedChronology zonedChronology9 = org.joda.time.chrono.ZonedChronology.getInstance(chronology4, dateTimeZone8);
    org.joda.time.DateTime dateTime11 = org.joda.time.DateTime.parse("2016-02-21T17:06:55.088+01:01");
    boolean b12 = zonedChronology9.equals((java.lang.Object)dateTime11);
    org.joda.time.DateTime.Property property13 = dateTime11.year();
    org.joda.time.DateTime dateTime14 = org.joda.time.DateTime.now();
    org.joda.time.DateTime.Property property15 = dateTime14.yearOfCentury();
    org.joda.time.DateTime dateTime17 = dateTime14.withMillisOfDay(2016);
    org.joda.time.DateTime dateTime19 = dateTime14.minusMinutes(59);
    boolean b20 = dateTime11.isEqual((org.joda.time.ReadableInstant)dateTime14);
    org.joda.time.chrono.GregorianChronology gregorianChronology21 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.DateTime dateTime22 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime24 = dateTime22.withYear(1);
    org.joda.time.DateTime.Property property25 = dateTime24.centuryOfEra();
    org.joda.time.DateTime dateTime27 = dateTime24.minus(10L);
    org.joda.time.DateTime dateTime29 = dateTime27.minusMillis(59);
    int i30 = dateTime27.getYear();
    org.joda.time.DateTime.Property property31 = dateTime27.secondOfDay();
    org.joda.time.DateTime dateTime33 = dateTime27.plusMonths(54);
    boolean b34 = gregorianChronology21.equals((java.lang.Object)dateTime27);
    org.joda.time.DateTime dateTime35 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime37 = dateTime35.withYear(1);
    org.joda.time.DateTime.Property property38 = dateTime37.centuryOfEra();
    org.joda.time.DateTime dateTime40 = dateTime37.minus(10L);
    org.joda.time.DateTime dateTime42 = dateTime40.withMillis(100L);
    boolean b44 = dateTime40.isEqual(1L);
    int i45 = dateTime40.getYearOfEra();
    org.joda.time.LocalDate localDate46 = dateTime40.toLocalDate();
    int[] i_array48 = gregorianChronology21.get((org.joda.time.ReadablePartial)localDate46, (-62131136105303L));
    boolean b49 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate46);
    org.joda.time.DateTime dateTime50 = dateTime11.withFields((org.joda.time.ReadablePartial)localDate46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(zonedChronology9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i45 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime50);

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test473"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(1456063435230L, (-62131132445900L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test474"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField1 = iSOChronology0.eras();
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.weekyear();
    org.joda.time.DurationField durationField3 = iSOChronology0.hours();
    org.joda.time.DateTimeField dateTimeField4 = iSOChronology0.yearOfCentury();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField6 = new org.joda.time.field.OffsetDateTimeField(dateTimeField4, 55);
    org.joda.time.DateTime dateTime7 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime9 = dateTime7.withYear(1);
    org.joda.time.DateTime.Property property10 = dateTime9.centuryOfEra();
    org.joda.time.DateTime dateTime12 = dateTime9.minus(10L);
    org.joda.time.DateTime dateTime14 = dateTime9.withMillis((-1L));
    org.joda.time.Instant instant15 = dateTime9.toInstant();
    org.joda.time.DateTimeZone dateTimeZone18 = org.joda.time.DateTimeZone.forOffsetHoursMinutes(1, 1);
    boolean b20 = dateTimeZone18.isStandardOffset(10L);
    org.joda.time.DateTime dateTime21 = dateTime9.toDateTime(dateTimeZone18);
    java.util.TimeZone timeZone22 = dateTimeZone18.toTimeZone();
    org.joda.time.DateTime dateTime23 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime25 = dateTime23.withYear(1);
    org.joda.time.DateTime.Property property26 = dateTime25.centuryOfEra();
    org.joda.time.DateTime dateTime28 = dateTime25.minus(10L);
    org.joda.time.DateTime dateTime30 = dateTime25.withMillis((-1L));
    int i31 = dateTime30.getSecondOfMinute();
    org.joda.time.DateMidnight dateMidnight32 = dateTime30.toDateMidnight();
    org.joda.time.LocalDateTime localDateTime33 = dateTime30.toLocalDateTime();
    boolean b34 = dateTimeZone18.isLocalDateTimeGap(localDateTime33);
    org.joda.time.chrono.GregorianChronology gregorianChronology35 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.DurationField durationField36 = gregorianChronology35.weeks();
    org.joda.time.DateTime dateTime37 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime39 = dateTime37.withYear(1);
    org.joda.time.DateTime.Property property40 = dateTime37.yearOfCentury();
    org.joda.time.DateTime dateTime41 = dateTime37.toDateTime();
    org.joda.time.LocalDate localDate42 = dateTime41.toLocalDate();
    int[] i_array44 = gregorianChronology35.get((org.joda.time.ReadablePartial)localDate42, 0L);
    int i45 = offsetDateTimeField6.getMaximumValue((org.joda.time.ReadablePartial)localDateTime33, i_array44);
    long long47 = offsetDateTimeField6.roundHalfFloor((-63587199540515L));
    // The following exception was thrown during execution in test generation
    try {
      long long50 = offsetDateTimeField6.set(3659990L, "");
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(instant15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDateTime33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i45 == 154);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long47 == (-63587293260000L));

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test475"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    // The following exception was thrown during execution in test generation
    try {
      long long3 = unsupportedDurationField1.getValueAsLong((-3660001L));
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test476"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime.Property property3 = dateTime2.centuryOfEra();
    org.joda.time.DateTime dateTime5 = dateTime2.minus(10L);
    org.joda.time.DateTime dateTime7 = dateTime5.withMillis(100L);
    boolean b9 = dateTime5.isEqual(1L);
    org.joda.time.DateTime.Property property10 = dateTime5.year();
    org.joda.time.DateTime dateTime11 = org.joda.time.DateTime.now();
    int i12 = dateTime5.compareTo((org.joda.time.ReadableInstant)dateTime11);
    org.joda.time.DateTime dateTime13 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime15 = dateTime13.withYear(1);
    org.joda.time.DateTime.Property property16 = dateTime15.centuryOfEra();
    org.joda.time.DateTime dateTime18 = dateTime15.minus(10L);
    org.joda.time.DateTime dateTime20 = dateTime18.withMillis(100L);
    org.joda.time.DateTime dateTime21 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime23 = dateTime21.withYear(1);
    org.joda.time.DateTime.Property property24 = dateTime21.yearOfCentury();
    boolean b25 = dateTime21.isAfterNow();
    org.joda.time.DateTime dateTime27 = dateTime21.plusSeconds(55);
    org.joda.time.DateTime dateTime29 = dateTime27.minus((-9L));
    boolean b30 = dateTime18.isBefore((org.joda.time.ReadableInstant)dateTime29);
    boolean b31 = dateTime11.isBefore((org.joda.time.ReadableInstant)dateTime29);
    int i32 = dateTime29.getYearOfCentury();
    int i33 = dateTime29.getDayOfMonth();
    org.joda.time.DateTime.Property property34 = dateTime29.monthOfYear();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property34);

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test477"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField1 = iSOChronology0.eras();
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.weekyear();
    org.joda.time.DurationField durationField3 = iSOChronology0.hours();
    org.joda.time.DateTimeField dateTimeField4 = iSOChronology0.yearOfCentury();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField6 = new org.joda.time.field.OffsetDateTimeField(dateTimeField4, 55);
    int i7 = offsetDateTimeField6.getOffset();
    org.joda.time.ReadablePartial readablePartial8 = null;
    java.util.Locale locale9 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str10 = offsetDateTimeField6.getAsText(readablePartial8, locale9);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 55);

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test478"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    int i3 = dateTime0.getSecondOfMinute();
    java.lang.String str4 = dateTime0.toString();
    org.joda.time.DateTime dateTime6 = dateTime0.minusYears(58);
    org.joda.time.DateTime.Property property7 = dateTime0.weekOfWeekyear();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "2016-02-21T17:06:54.707+01:01"+ "'", str4.equals("2016-02-21T17:06:54.707+01:01"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property7);

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test479"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.minuteOfDay();
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.millisOfSecond();
    org.joda.time.Chronology chronology3 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)iSOChronology0);
    org.joda.time.Chronology chronology4 = iSOChronology0.withUTC();
    org.joda.time.chrono.ISOChronology iSOChronology5 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField6 = iSOChronology5.centuries();
    org.joda.time.DurationField durationField7 = iSOChronology5.halfdays();
    org.joda.time.DateTimeZone dateTimeZone8 = iSOChronology5.getZone();
    org.joda.time.chrono.ZonedChronology zonedChronology9 = org.joda.time.chrono.ZonedChronology.getInstance(chronology4, dateTimeZone8);
    org.joda.time.DateTime dateTime10 = new org.joda.time.DateTime((org.joda.time.Chronology)zonedChronology9);
    java.lang.String str11 = zonedChronology9.toString();
    org.joda.time.DateTime dateTime12 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime14 = dateTime12.withYear(1);
    org.joda.time.DateTime.Property property15 = dateTime14.minuteOfHour();
    org.joda.time.TimeOfDay timeOfDay16 = dateTime14.toTimeOfDay();
    org.joda.time.LocalTime localTime17 = dateTime14.toLocalTime();
    org.joda.time.chrono.GregorianChronology gregorianChronology18 = org.joda.time.chrono.GregorianChronology.getInstanceUTC();
    org.joda.time.chrono.ISOChronology iSOChronology19 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField20 = iSOChronology19.centuries();
    boolean b21 = gregorianChronology18.equals((java.lang.Object)iSOChronology19);
    org.joda.time.DateTime dateTime22 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime24 = dateTime22.withYear(1);
    org.joda.time.DateTime.Property property25 = dateTime24.centuryOfEra();
    org.joda.time.DateTime dateTime27 = dateTime24.minus(10L);
    org.joda.time.DateTime dateTime29 = dateTime27.withMillis(100L);
    org.joda.time.DateTime dateTime31 = dateTime29.plusDays(59);
    org.joda.time.DateTime dateTime33 = dateTime29.withDayOfYear(59);
    boolean b34 = gregorianChronology18.equals((java.lang.Object)dateTime29);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone39 = new org.joda.time.tz.FixedDateTimeZone("+00:00:00.010", "hi!", (-1), 52);
    java.lang.String str41 = fixedDateTimeZone39.getNameKey((-9L));
    org.joda.time.DateTime dateTime42 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime44 = dateTime42.withYear(1);
    org.joda.time.DateTime.Property property45 = dateTime42.yearOfCentury();
    boolean b46 = dateTime42.isAfterNow();
    int i47 = dateTime42.getDayOfYear();
    org.joda.time.DateTime dateTime49 = dateTime42.plusMonths((-1));
    boolean b50 = fixedDateTimeZone39.equals((java.lang.Object)(-1));
    java.lang.String str52 = fixedDateTimeZone39.getNameKey((-10L));
    org.joda.time.DateTime dateTime53 = new org.joda.time.DateTime((org.joda.time.DateTimeZone)fixedDateTimeZone39);
    org.joda.time.chrono.ZonedChronology zonedChronology54 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)gregorianChronology18, (org.joda.time.DateTimeZone)fixedDateTimeZone39);
    org.joda.time.DateTime dateTime55 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime57 = dateTime55.withYear(1);
    org.joda.time.DateTime.Property property58 = dateTime57.centuryOfEra();
    org.joda.time.DateTime dateTime60 = dateTime57.minus(10L);
    org.joda.time.DateTime dateTime62 = dateTime60.minusMillis(59);
    int i63 = dateTime60.getYear();
    org.joda.time.TimeOfDay timeOfDay64 = dateTime60.toTimeOfDay();
    int[] i_array66 = gregorianChronology18.get((org.joda.time.ReadablePartial)timeOfDay64, (-62131132745303L));
    zonedChronology9.validate((org.joda.time.ReadablePartial)localTime17, i_array66);
    // The following exception was thrown during execution in test generation
    try {
      long long72 = zonedChronology9.getDateTimeMillis(154, 61614707, 19, 70);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(zonedChronology9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "ZonedChronology[ISOChronology[UTC], +01:01]"+ "'", str11.equals("ZonedChronology[ISOChronology[UTC], +01:01]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeOfDay16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localTime17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "hi!"+ "'", str41.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i47 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str52 + "' != '" + "hi!"+ "'", str52.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(zonedChronology54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i63 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeOfDay64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array66);

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test480"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField1 = iSOChronology0.eras();
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.weekyear();
    org.joda.time.DurationField durationField3 = iSOChronology0.hours();
    org.joda.time.DateTimeField dateTimeField4 = iSOChronology0.yearOfCentury();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField6 = new org.joda.time.field.OffsetDateTimeField(dateTimeField4, 55);
    int i7 = offsetDateTimeField6.getOffset();
    org.joda.time.DurationField durationField8 = offsetDateTimeField6.getDurationField();
    // The following exception was thrown during execution in test generation
    try {
      long long11 = offsetDateTimeField6.set((-62131132445900L), "");
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField8);

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test481"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.DurationField durationField1 = gregorianChronology0.weeks();
    org.joda.time.DateTimeField dateTimeField2 = gregorianChronology0.minuteOfHour();
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.ZeroIsMaxDateTimeField zeroIsMaxDateTimeField4 = new org.joda.time.field.ZeroIsMaxDateTimeField(dateTimeField2, dateTimeFieldType3);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);

  }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test482"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiply(20, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2000);

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test483"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.IllegalFieldValueException illegalFieldValueException5 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.IllegalFieldValueException illegalFieldValueException8 = new org.joda.time.IllegalFieldValueException("hi!", "");
    illegalFieldValueException5.addSuppressed((java.lang.Throwable)illegalFieldValueException8);
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException5);
    illegalFieldValueException5.prependMessage("2016-02-21T17:06:55.176+01:01");
    java.lang.Number number13 = illegalFieldValueException5.getUpperBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number13);

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test484"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime.Property property3 = dateTime0.yearOfCentury();
    org.joda.time.DateTime dateTime4 = dateTime0.toDateTime();
    org.joda.time.DateTime dateTime6 = dateTime4.withMinuteOfHour(59);
    org.joda.time.DateTime dateTime8 = dateTime4.plusWeeks(1);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime10 = dateTime8.withEra(1970);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime8);

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test485"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("hi!", (-2016), 2, 60);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test486"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime.Property property3 = dateTime2.centuryOfEra();
    org.joda.time.DateTime dateTime5 = dateTime2.minus(10L);
    org.joda.time.DateTime dateTime7 = dateTime2.withMillis((-1L));
    org.joda.time.Instant instant8 = dateTime2.toInstant();
    org.joda.time.DateTime dateTime9 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime11 = dateTime9.withYear(1);
    int i12 = dateTime9.getSecondOfMinute();
    org.joda.time.Chronology chronology13 = org.joda.time.DateTimeUtils.getInstantChronology((org.joda.time.ReadableInstant)dateTime9);
    org.joda.time.DateTime dateTime14 = dateTime2.withChronology(chronology13);
    org.joda.time.DateTime.Property property15 = dateTime2.era();
    int i16 = dateTime2.getYearOfCentury();
    org.joda.time.DateTime dateTime18 = dateTime2.withMillisOfSecond(100);
    int i19 = dateTime18.getYearOfCentury();
    org.joda.time.ReadableDuration readableDuration20 = null;
    org.joda.time.DateTime dateTime21 = dateTime18.plus(readableDuration20);
    org.joda.time.DateTime dateTime23 = dateTime21.minusHours(10);
    long long24 = dateTime21.getMillis();
    org.joda.time.DateTime.Property property25 = dateTime21.minuteOfDay();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(instant8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long24 == (-62131132445900L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property25);

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test487"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.DateTime dateTime1 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime3 = dateTime1.withYear(1);
    org.joda.time.DateTime.Property property4 = dateTime3.centuryOfEra();
    org.joda.time.DateTime dateTime6 = dateTime3.minus(10L);
    org.joda.time.DateTime dateTime8 = dateTime6.minusMillis(59);
    int i9 = dateTime6.getYear();
    org.joda.time.DateTime.Property property10 = dateTime6.secondOfDay();
    org.joda.time.DateTime dateTime12 = dateTime6.plusMonths(54);
    boolean b13 = gregorianChronology0.equals((java.lang.Object)dateTime6);
    org.joda.time.DateTimeField dateTimeField14 = gregorianChronology0.secondOfDay();
    org.joda.time.ReadablePeriod readablePeriod15 = null;
    long long18 = gregorianChronology0.add(readablePeriod15, (-1L), 17);
    org.joda.time.DurationField durationField19 = gregorianChronology0.minutes();
    org.joda.time.DurationField durationField20 = gregorianChronology0.millis();
    // The following exception was thrown during execution in test generation
    try {
      long long28 = gregorianChronology0.getDateTimeMillis(61, 61, 43, 21, 61614707, 60, 707);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long18 == (-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField20);

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test488"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    // The following exception was thrown during execution in test generation
    try {
      int i4 = unsupportedDurationField1.getDifference(1456063435221L, 3191760355231L);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test489"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    // The following exception was thrown during execution in test generation
    try {
      long long3 = unsupportedDurationField1.getMillis(707);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test490"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.minuteOfDay();
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.millisOfSecond();
    // The following exception was thrown during execution in test generation
    try {
      long long8 = iSOChronology0.getDateTimeMillis((-62135600460000L), 55, (-10), 0, 52);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test491"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime2 = dateTime0.withYear(1);
    org.joda.time.DateTime.Property property3 = dateTime2.centuryOfEra();
    org.joda.time.DateTime dateTime5 = dateTime2.minus(10L);
    org.joda.time.DateTime dateTime7 = dateTime5.withMillis(100L);
    boolean b9 = dateTime5.isEqual(1L);
    org.joda.time.DateTime.Property property10 = dateTime5.year();
    org.joda.time.DateTime dateTime12 = dateTime5.plusMonths(55);
    org.joda.time.chrono.ISOChronology iSOChronology13 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField14 = iSOChronology13.centuries();
    org.joda.time.DurationField durationField15 = iSOChronology13.halfdays();
    org.joda.time.DateTimeZone dateTimeZone16 = iSOChronology13.getZone();
    org.joda.time.DateTimeField dateTimeField17 = iSOChronology13.secondOfMinute();
    org.joda.time.MutableDateTime mutableDateTime18 = dateTime5.toMutableDateTime((org.joda.time.Chronology)iSOChronology13);
    org.joda.time.DateTimeField dateTimeField19 = iSOChronology13.secondOfMinute();
    org.joda.time.chrono.GregorianChronology gregorianChronology20 = org.joda.time.chrono.GregorianChronology.getInstanceUTC();
    org.joda.time.chrono.ISOChronology iSOChronology21 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField22 = iSOChronology21.centuries();
    boolean b23 = gregorianChronology20.equals((java.lang.Object)iSOChronology21);
    org.joda.time.DateTime dateTime24 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime26 = dateTime24.withYear(1);
    org.joda.time.DateTime.Property property27 = dateTime26.centuryOfEra();
    org.joda.time.DateTime dateTime29 = dateTime26.minus(10L);
    org.joda.time.DateTime dateTime31 = dateTime29.withMillis(100L);
    org.joda.time.DateTime dateTime33 = dateTime31.plusDays(59);
    org.joda.time.DateTime dateTime35 = dateTime31.withDayOfYear(59);
    boolean b36 = gregorianChronology20.equals((java.lang.Object)dateTime31);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone41 = new org.joda.time.tz.FixedDateTimeZone("+00:00:00.010", "hi!", (-1), 52);
    java.lang.String str43 = fixedDateTimeZone41.getNameKey((-9L));
    org.joda.time.DateTime dateTime44 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime46 = dateTime44.withYear(1);
    org.joda.time.DateTime.Property property47 = dateTime44.yearOfCentury();
    boolean b48 = dateTime44.isAfterNow();
    int i49 = dateTime44.getDayOfYear();
    org.joda.time.DateTime dateTime51 = dateTime44.plusMonths((-1));
    boolean b52 = fixedDateTimeZone41.equals((java.lang.Object)(-1));
    java.lang.String str54 = fixedDateTimeZone41.getNameKey((-10L));
    org.joda.time.DateTime dateTime55 = new org.joda.time.DateTime((org.joda.time.DateTimeZone)fixedDateTimeZone41);
    org.joda.time.chrono.ZonedChronology zonedChronology56 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)gregorianChronology20, (org.joda.time.DateTimeZone)fixedDateTimeZone41);
    org.joda.time.DateTime dateTime57 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime59 = dateTime57.withYear(1);
    org.joda.time.DateTime.Property property60 = dateTime59.centuryOfEra();
    org.joda.time.DateTime dateTime62 = dateTime59.minus(10L);
    org.joda.time.DateTime dateTime64 = dateTime62.minusMillis(59);
    int i65 = dateTime62.getYear();
    org.joda.time.TimeOfDay timeOfDay66 = dateTime62.toTimeOfDay();
    int[] i_array68 = gregorianChronology20.get((org.joda.time.ReadablePartial)timeOfDay66, (-62131132745303L));
    int[] i_array70 = iSOChronology13.get((org.joda.time.ReadablePartial)timeOfDay66, (-62131136105303L));
    org.joda.time.DateTimeField dateTimeField71 = iSOChronology13.centuryOfEra();
    org.joda.time.DateTimeFieldType dateTimeFieldType72 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.OffsetDateTimeField offsetDateTimeField74 = new org.joda.time.field.OffsetDateTimeField(dateTimeField71, dateTimeFieldType72, 1026);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str43 + "' != '" + "hi!"+ "'", str43.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b52 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str54 + "' != '" + "hi!"+ "'", str54.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(zonedChronology56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i65 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeOfDay66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField71);

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test492"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    // The following exception was thrown during execution in test generation
    try {
      long long3 = unsupportedDurationField1.getValueAsLong(10000L);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);

  }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test493"); }


    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder0 = new org.joda.time.tz.DateTimeZoneBuilder();
    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder11 = dateTimeZoneBuilder0.addRecurringSavings("", 10, 100, 52, '#', 100, (-1), 10, false, 52);
    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder14 = dateTimeZoneBuilder0.setFixedSavings("hi!", 54);
    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder25 = dateTimeZoneBuilder14.addRecurringSavings("2016-02-21T17:06:55.153+01:01", 54, 707, 54, ' ', 4, 70, 52, false, 0);
    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder27 = dateTimeZoneBuilder25.setStandardOffset(61615);
    java.io.OutputStream outputStream29 = null;
    // The following exception was thrown during execution in test generation
    try {
      dateTimeZoneBuilder27.writeTo("2016-02-21T17:06:54.707+01:01", outputStream29);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZoneBuilder11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZoneBuilder14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZoneBuilder25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZoneBuilder27);

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test494"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.DateTime dateTime1 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime3 = dateTime1.withYear(1);
    org.joda.time.DateTime.Property property4 = dateTime3.centuryOfEra();
    org.joda.time.DateTime dateTime6 = dateTime3.minus(10L);
    org.joda.time.DateTime dateTime8 = dateTime6.minusMillis(59);
    int i9 = dateTime6.getYear();
    org.joda.time.DateTime.Property property10 = dateTime6.secondOfDay();
    org.joda.time.DateTime dateTime12 = dateTime6.plusMonths(54);
    boolean b13 = gregorianChronology0.equals((java.lang.Object)dateTime6);
    org.joda.time.DurationField durationField14 = gregorianChronology0.centuries();
    org.joda.time.DurationField durationField15 = gregorianChronology0.hours();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField15);

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test495"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    // The following exception was thrown during execution in test generation
    try {
      long long4 = unsupportedDurationField1.add((-5329177612274507790L), 21);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);

  }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test496"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField1 = iSOChronology0.eras();
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.weekyear();
    org.joda.time.DurationField durationField3 = iSOChronology0.hours();
    org.joda.time.DateTimeField dateTimeField4 = iSOChronology0.yearOfCentury();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField6 = new org.joda.time.field.OffsetDateTimeField(dateTimeField4, 55);
    org.joda.time.DateTime dateTime7 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime9 = dateTime7.withYear(1);
    org.joda.time.DateTime.Property property10 = dateTime9.centuryOfEra();
    org.joda.time.DateTime dateTime12 = dateTime9.minus(10L);
    org.joda.time.DateTime dateTime14 = dateTime9.withMillis((-1L));
    org.joda.time.Instant instant15 = dateTime9.toInstant();
    org.joda.time.DateTimeZone dateTimeZone18 = org.joda.time.DateTimeZone.forOffsetHoursMinutes(1, 1);
    boolean b20 = dateTimeZone18.isStandardOffset(10L);
    org.joda.time.DateTime dateTime21 = dateTime9.toDateTime(dateTimeZone18);
    java.util.TimeZone timeZone22 = dateTimeZone18.toTimeZone();
    org.joda.time.DateTime dateTime23 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime25 = dateTime23.withYear(1);
    org.joda.time.DateTime.Property property26 = dateTime25.centuryOfEra();
    org.joda.time.DateTime dateTime28 = dateTime25.minus(10L);
    org.joda.time.DateTime dateTime30 = dateTime25.withMillis((-1L));
    int i31 = dateTime30.getSecondOfMinute();
    org.joda.time.DateMidnight dateMidnight32 = dateTime30.toDateMidnight();
    org.joda.time.LocalDateTime localDateTime33 = dateTime30.toLocalDateTime();
    boolean b34 = dateTimeZone18.isLocalDateTimeGap(localDateTime33);
    org.joda.time.chrono.GregorianChronology gregorianChronology35 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.DurationField durationField36 = gregorianChronology35.weeks();
    org.joda.time.DateTime dateTime37 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime39 = dateTime37.withYear(1);
    org.joda.time.DateTime.Property property40 = dateTime37.yearOfCentury();
    org.joda.time.DateTime dateTime41 = dateTime37.toDateTime();
    org.joda.time.LocalDate localDate42 = dateTime41.toLocalDate();
    int[] i_array44 = gregorianChronology35.get((org.joda.time.ReadablePartial)localDate42, 0L);
    int i45 = offsetDateTimeField6.getMaximumValue((org.joda.time.ReadablePartial)localDateTime33, i_array44);
    long long47 = offsetDateTimeField6.roundHalfFloor((-63587199540515L));
    boolean b49 = offsetDateTimeField6.isLeap(90276383160966L);
    org.joda.time.chrono.GregorianChronology gregorianChronology50 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.DateTime dateTime51 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime53 = dateTime51.withYear(1);
    org.joda.time.DateTime.Property property54 = dateTime53.centuryOfEra();
    org.joda.time.DateTime dateTime56 = dateTime53.minus(10L);
    org.joda.time.DateTime dateTime58 = dateTime56.minusMillis(59);
    int i59 = dateTime56.getYear();
    org.joda.time.DateTime.Property property60 = dateTime56.secondOfDay();
    org.joda.time.DateTime dateTime62 = dateTime56.plusMonths(54);
    boolean b63 = gregorianChronology50.equals((java.lang.Object)dateTime56);
    org.joda.time.DateTime dateTime64 = org.joda.time.DateTime.now();
    org.joda.time.DateTime dateTime66 = dateTime64.withYear(1);
    org.joda.time.DateTime.Property property67 = dateTime66.centuryOfEra();
    org.joda.time.DateTime dateTime69 = dateTime66.minus(10L);
    org.joda.time.DateTime dateTime71 = dateTime69.withMillis(100L);
    boolean b73 = dateTime69.isEqual(1L);
    org.joda.time.DateTime.Property property74 = dateTime69.year();
    org.joda.time.DateTime dateTime75 = org.joda.time.DateTime.now();
    int i76 = dateTime69.compareTo((org.joda.time.ReadableInstant)dateTime75);
    org.joda.time.chrono.ISOChronology iSOChronology77 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField78 = iSOChronology77.minuteOfDay();
    org.joda.time.DateTimeField dateTimeField79 = iSOChronology77.millisOfSecond();
    org.joda.time.Chronology chronology80 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)iSOChronology77);
    org.joda.time.Chronology chronology81 = iSOChronology77.withUTC();
    org.joda.time.chrono.ISOChronology iSOChronology82 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField83 = iSOChronology82.centuries();
    org.joda.time.DurationField durationField84 = iSOChronology82.halfdays();
    org.joda.time.DateTimeZone dateTimeZone85 = iSOChronology82.getZone();
    org.joda.time.chrono.ZonedChronology zonedChronology86 = org.joda.time.chrono.ZonedChronology.getInstance(chronology81, dateTimeZone85);
    org.joda.time.DateTime dateTime88 = org.joda.time.DateTime.parse("2016-02-21T17:06:55.088+01:01");
    boolean b89 = zonedChronology86.equals((java.lang.Object)dateTime88);
    org.joda.time.DateTime dateTime90 = dateTime75.withChronology((org.joda.time.Chronology)zonedChronology86);
    org.joda.time.YearMonthDay yearMonthDay91 = dateTime75.toYearMonthDay();
    int[] i_array93 = gregorianChronology50.get((org.joda.time.ReadablePartial)yearMonthDay91, 100L);
    java.util.Locale locale94 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str95 = offsetDateTimeField6.getAsShortText((org.joda.time.ReadablePartial)yearMonthDay91, locale94);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(instant15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDateTime33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i45 == 154);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long47 == (-63587293260000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i59 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b63 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b73 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i76 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(zonedChronology86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b89 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(yearMonthDay91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array93);

  }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test497"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.minuteOfDay();
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.millisOfSecond();
    org.joda.time.Chronology chronology3 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)iSOChronology0);
    org.joda.time.Chronology chronology4 = iSOChronology0.withUTC();
    org.joda.time.chrono.ISOChronology iSOChronology5 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField6 = iSOChronology5.centuries();
    org.joda.time.DurationField durationField7 = iSOChronology5.halfdays();
    org.joda.time.DateTimeZone dateTimeZone8 = iSOChronology5.getZone();
    org.joda.time.chrono.ZonedChronology zonedChronology9 = org.joda.time.chrono.ZonedChronology.getInstance(chronology4, dateTimeZone8);
    org.joda.time.DateTime dateTime11 = org.joda.time.DateTime.parse("2016-02-21T17:06:55.088+01:01");
    boolean b12 = zonedChronology9.equals((java.lang.Object)dateTime11);
    // The following exception was thrown during execution in test generation
    try {
      long long18 = zonedChronology9.getDateTimeMillis((-62131132445293L), 0, 54, 64794, 70);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(zonedChronology9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test498"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.tz.ZoneInfoProvider zoneInfoProvider1 = new org.joda.time.tz.ZoneInfoProvider("0001-02-21T17:06:54.707+01:01");
      org.junit.Assert.fail("Expected exception of type java.io.IOException");
    } catch (java.io.IOException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.io.IOException")) {
        org.junit.Assert.fail("Expected exception of type java.io.IOException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test499"); }


    org.joda.time.ReadableInstant readableInstant0 = null;
    long long1 = org.joda.time.DateTimeUtils.getInstantMillis(readableInstant0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1456070754707L);

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test500"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime7 = new org.joda.time.DateTime(59, 0, 43, 61615, (-1), 100, 58);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

}
